2ab2130714881919d28b816b8fb90ff7403614bb Release Entropy 302
dceea5bc79098ded31fdbe94529a1e8fa2290a7e Merge pull request #27 from mudler/master
8af6a2678d00d222c670260b7d3ec7db6eac65b6 [entropy.client] adding support for wildcard in ACCEPT_LICENSE
f935b1821f4cb23880ab7c5efc40968cf99379b3 Merge pull request #26 from mudler/master
67a645fabe4dcc99a63c7999eaf989cfbc11de51 [entropy.tools] add IA_64 to elf_class_strtoint
af86b583680fddab16c35e3ace0e74d6231d076c Merge pull request #22 from Enlik/repo-on-conflict-for-mask
0c9212003132dac2912fe307f5aca1d40e918780 Merge pull request #25 from Enlik/tests-and-ldd
97a99edbf35b3d46680d51156ef2dfcb655cd5de [entropy.tools] correct read_elf_broken_symbols
d9843c2d1d6538135f05d0d78700bb20247c846d [tests] enforce default caching policy
b12a25e72d119ae4c137ffc66a52cce6c115558b [entropy.client] print repository on conflict
1e23d2cecb7a6878cbe89e35a26bca002ce44521 Tagging Entropy version 301
96ed6d3c5e8502f85693e1533747041d599bc24d Release Entropy 301
91ed0f744d246c0f81de3ee957e39993c2a930de Update translations
a305f121eeb2abc9dfcf5d56c7123fbaf2bec025 Merge pull request #21 from Enlik/oscheck-packages
b43498596e1eea2eaca281d33940e453551e6b7d [solo.commands.security] repair --mtime in oscheck
449b1c3fe75fbf0d94ae4ce03231b05be7b708c4 [solo.commands.security] support for package names in oscheck
b17686f00812c47b0f614559172ff2253b3c970e Merge pull request #20 from mudler/master
3ff54e824f3f11bf9528b66edd88607076825972 [entropy.tools] add PPC to elf_class_strtoint
b5bbd6dcda627e839d6733032765d55c9496ee7b [conf] update GARR mirror URLs
d90f406218a6b706271eee715056bfbbeea83127 Merge pull request #18 from mudler/patch-2
a20db47d825bd017d9b2f0c1d9931da76216cd73 [entropy.tools] add MIPS to elf_class_strtoint
f394eff9255b4aa16b4f0b6f951c973cb7a8a799 Tagging Entropy version 300
5ea91aefd72d7d8e2e43b2fa9383352c14c09209 Release Entropy 300
09ed451247d157d58765346301e9874b54d8344d [entropy.core.settings.base] fix call to .write()
6bb13e1f584ec021f0c6f7652fe2950b0c909050 Tagging Entropy version 299
baa30318e17698e6726e464933fca668660ae71c Release Entropy 299
6f061406c16f475587057650e91f0707c1c44fc8 [entropy.core.settings.base] fix tuple index when value is NoneType
ed70e372d5014a62b98fabb9960d361980104f7b Tagging Entropy version 298
da39ba3ad954431ab4fb35cb4f31f37ab0051eb6 Release Entropy 298
9a106f81f68aef4eeeaf62f69027bc32315f350e Merge pull request #16 from Enlik/master-more-arches
bfe8b9951cf49105454e272084ae2f30ebc344b1 [entropy.tools] add AARCH64 to elf_class_strtoint
460adbe92f38b5c63d3093fc14e9fdf4506423b6 Merge pull request #13 from geaaru/basic_ssl
38d03dc200a618a70e6bf297bb8599463d7bf66f Add support to Basic Authentication and permit disable of SSL certificate validation on https protocol
4d40ea44aa209808db5b99bb964f64f71c38642f Tagging Entropy version 297
dd2e9560a33fadb1627b1db410365a7e546da283 Release Entropy 297
72851f1948d5b9efe819bd833597380ab380d191 Merge pull request #15 from Enlik/master-more-arches
d2273933e922e717a32986847cbdb5a763f6e254 [entropy.tools] add more arches to elf_class_strtoint
1753bc2c005fb00e0ffe969780464b22627e753f Merge pull request #14 from Enlik/master-lic-EOF
1bda075ad07a4f2a57c8ed73be4daaf6eeb77c5b [entropy.client] while asking to accept the license, interpret EOF as "no"
d92c7ca45c3ea64b6d71fe2724cf6b1a3841a196 Tagging Entropy version 296
1e83c54741c7966535280ab135f7ffd5ce2d9fb5 Release Entropy 296
39884e2a6a7fb5809f22a63098e0274bab4fd660 [entropy.tools] add support for "ARM" in elf_class_strtoint
fec14117314a3d098a737d047145642fb9e961ba Tagging Entropy version 295
c875341fa555b20ccf3e647aabd30209d450a71a Release Entropy 295
edcd57c9de85d25afce28b7fb444a1036e0f9805 [Rigo] Gtk 3.14 fixes
7cb29fb57b00c876fd460ef65e84af34e888c9c0 Tagging Entropy version 294
0baa8ffedcc75543643b6c3662360d353fabde01 Release Entropy 294
265eb182f864acbe7ebab32106f8c4c943764e85 [Rigo] fix various deprecation warnings
648aceef2b0f6e6e9fb0021be094b052e4259e5d Tagging Entropy version 293
4e0232f22e9fcd7c8c29a38df2b09c34807b094c Release Entropy 293
12d01a9465e8a2ae7338e195d399fe0aaa86916c [entropy.server] fix typo in list comprehension
a67ea012dd3357aee3e686609f5d0569943bdb0b [entropy.server] make dep_rewrite also affect conflicts
b7f30dafc8b1f3f2f3ef08e9e015cbb3d6037761 [todo] update TODO
604a43cbc72bca9efc13643f7dcbe4f202e3a6c6 Tagging Entropy version 292
6940a64e76c568f0d814798a96706d11c736279d Release Entropy 292
bbca80a3ed2bf0c0c48a307b2ea95895611b2ec3 [entropy.client.interfaces.server] fix format string
bfb5de8ce455ae09195da133aa507441c8f35b27 Tagging Entropy version 291
bb8cb2e354244e3be8b1e667bedc6d63c93489e0 Release Entropy 291
5d1aba59b99016ab3b7f36e01cbefe376dc3d2d7 [entropy.client.interfaces.dep] use dict comprehension instead of canonical for loop
a3abd709a94b72d0bd0e5c11dc881121e265740c [entropy.client.interfaces.dep] exclude non-relevant metadata from library breakage computation
4afda8f02f903fdb8976ea618973dcc0176e9f8d [entropy.client.interfaces.dep] resolve needed libs by also using RPATH
66afa1bdbb95da10324a95d665ef92788572c012 [entropy.tools] collect_linker_paths() returns a tuple() now.
531c769b9b273e6c92a5b8f3b053ed2ff5795866 [entropy.tools] avoid open() races in collect_linker_paths()
8d87024cd0d867113dbb6ae721caea7bce9bc537 [entropy.db.sqlite] do not drop neededreference, keep it for backward compat.
90d6b4bafc728a4d232913dfb4d9e22fc7b809dc [entropy.client.interfaces.dep] extend usage of needed_libs, propagate rpath
e04bb66e3d1ba769ac44a11177ab19b1bd651cab [entropy.client.interfaces.dep] fix usage of new needed_libs metadata
376d8e11cef2c1e6dcb05c1ebf3d0ff899fbf672 [entropy.qa] drop warn_missing_dependencies, no longer used
d857d99832680a068b3fae5ce00f7e8051f33c76 [entropy.qa] test_missing_runtime_libraries: migrate to new needed_libs metadata
a3de15d3cf13dc77630ce7a109a75b1e1da30d18 [entropy.qa] migrate parts of the module to the new needed_libs metadata
3389374cdb236f0d4f6e7ab8511c51e41d0c9311 [entropy.spm] do not use server-side linker paths to determine provided_libs
9f910e9b09b0cafe2a08131236cf0ff0dcaacdf8 [entropy.tools] add helper function: parse_rpath
363c6a175f183e8eace729a0c17e1b5673d280d0 [entropy.*] migrate all retrieveNeeded uses to retrieveNeededLibraries
79de77cad6cd34e798723154c9a1ea5a5deebeec Tagging Entropy version 290
645dec3d941229b0d7091fb1242209e199efcaca Release Entropy 290
6925722fc0c517a25deecd4f1caf6bbac3d5e45f [entropy.db] do not drop needed, improve backward compat.
5a88ea3f211619c45246401ec11498d08fbf4d1d Tagging Entropy version 288
e36fd3d6c82bbb4397a05bcf514588370bf8f87d Release Entropy 288
c3f57228bf82b0c1a30666fd190c783d2e071f4c [entropy.tools] fix read_elf_metadata in case of no metadata
0cb63c69f0946ff6393834eba50e5aabbe752dfa Tagging Entropy version 287
f282e30422655f413e4dd5e453766244e0a85472 Release Entropy 287
35542de6c0c2626f2c00d59555ba94cff0f63351 Merge pull request #10 from Enlik/master-like-depclean
bbb1b710c25a21c6e9779980cf9ea74695ac97f7 [entropy.client] updates to unused.py after review
deeb3e8dd65d82d993372c92120236f34147f201 [entropy.client] equo unused that works more like emerge --depclean
86e2094824c2a3b6e7461f65d6a64085a8f12d1a Tagging Entropy version 286
95f594388c4d8e7b311c01144154447d46d9c0e5 Release Entropy 286
49c970974d8ad1b9b730320a43ba2e8b1d42ab82 [entropy.db.sql] fix typo in SQL in resolveNeeded
2a35e8a9d043bfdc884219e1da333c5f36997a5d [solo.commands.pkg] EEXIST is fine when using makedirs()
eed20a69c02cec91cf41d8c6065b3fd772967fbd Merge pull request #9 from kpcyrd/master
bbedeeb4539c40f2188f23e6defd9ba9521a9f84 Update package-hashes to default to sha256 gpg
7b2810c0543f5910a785fed09f7c4e31727ae3e4 [entropy.db] rewrite needed libraries SQL schema, keep compat.
7e2846c4916e689e6d69c721d1aaf31a72ef2b8d [matter] binpms: return int on push()
f506573ae4639094d74cfa5ac59855c3b1682364 Tagging Entropy version 285
68dc9f92df207ce62069c5ebed5afd3f8fb38ce0 Release Entropy 285
92254d3986f9ba3ac6a8dca77fcc606ebbdf38a0 [eit.commands.deps] add support for adding and removing conflicts
d2e181bcb42f8607048fde66b10316016940c915 [entropy.db] add removeConflicts() and insertConflicts()
713fd9dd74f8c40c4b16e4ad1087c731ff32bf5e [entropy.client] ignore package masking for the first element when only_deps is True
40a05bf1c301d887d8ddc59373b2296945964104 [entropy.client] use const_convert_to_rawstring with hashlib
efd8d941125f773ada8dd116a07db385ee37a398 Tagging Entropy version 284
76dd2fb9a06ff55f567a68bada14622a29f3154d Release Entropy 284
39e2ab68908133c080db9b0238f3f088ff1d343a [solo.commands.pkg] add missing import: errno
d55bddc3e6fd43d10f2a08db6db0882ba760aefc Tagging Entropy version 283
6faaad1d0b66a068b7904b0440f1d8b0b40194fe Release Entropy 283
87702f9aa04c550d1b914869d17f16724b4037c9 [misc] update ifconfig and sha256sum usage in hwgen
a4f32bf2d87829305603ea42640281ecab01446f Tagging Entropy version 282
38b08e5429cf9136cd6c4564790bcc18eb6b3a9b Release Entropy 282
bc06fe30c28018dff3ec2424639addb878ae3136 [entropy.server] catch KeyError during init in _enabled_repos()
984158659d6713b8876a6ef0afd9f6010468759e [entropy.server] provide an overridden _enabled_repos attribute
36c347180c9f763d6721fad9ab396cfc4e3cd710 Tagging Entropy version 281
796db961f971ccc0deb3bd2d7f2252452e69bc0b Release Entropy 281
61ba6ea268127e1807889fd213d0e0c32389bf11 [entropy.client] fix deadlock when running "equo rescue generate"
f1e7432bef30ef9a10e8de93255b68b878f5aa2a [entropy.fetchers] fix undefined reference, std_err (it is actually std_r)
2f88a7e672114f5900fa8dea22658e639cb08c1d Tagging Entropy version 280
7c6b27437c22f66bdd0a9e5a6da7ace5c7b7b397 Release Entropy 280
f95946754db8a37d71583ddd21ec088f71a02da5 [eit.commands.cp] fix parsing of source and dest repos
8cbab29394bfc11cd35f4fee4223c44437705cfa [eit.commands.cp] replace "+" with "*" in the packages argument spec
a08324f43490dbca115f022ac7638819d0ddfd6a Tagging Entropy version 279
050a79044500e769f207428598aa66ce2756029f Release Entropy 279
ba1d77fa10831a159cac75443a248e48ea7194ce [eit.commands] add --quick support to eit {mv,cp}
8f8f58bb41a15d660ced8b58b8da7dc53b008b31 [eit.commands] remove _get_parser() from EitMv, it's shared with EitCp
7c4cedae0bbc4385455ea5ee76e6a685626e226f Tagging Entropy version 278
6c5626f63847dc5f2141297c6b646d7a996177c3 Release Entropy 278
1f064736a316ef74efcd78061ee96e88483d826a [entropy.server] do not warn about missing dependencies
73c6c1e7011a2758811511f165dada9e71824742 Tagging Entropy version 277
62e1b9e63b1036f341255e49c4f567950b375f7f Release Entropy 277
788e54ced342054e558cf8003b8edace635c6e2a [Rigo] update translations
3ddeed9cdffa752c176d12e6a5e32b13a28359f8 [client] update translations
06ba8833df5e2e505937448e02fb260dab35ee99 [entropy.qa] catch FileNotFound on read_elf_real_dynamic_libraries
de1baee2ccb447936ae58b9f7422d1d57c65b629 [entropy.tools] read_elf_real_dynamic_libraries: do not block if stdout buffer is full
1ead98fb6eb794f40de2c4c07a383a2e77c19593 [entropy.tools] open os.devnull and pass a file handle to Popen()
97a5b45e27e5c3f5b21d6953a6336a54ffc0a313 [entropy.tools] open stdout and redirect it to os.devnull
f2ddad2e0c913f8e158198e41a78c3d371095284 [entropy.tools] do not read stdout at all
bb47a20fc9d168367b87d1e43e35a3229cd6669c [entropy.tools] avoid blocking on stdout when stderr buffer was full
85c262ff90477ec95d7d49633fe747542deb60df [entropy.tools] read_elf_broken_symbols: do not block when stdio buffers are full
b8ee50d5148ca5246d141a831e9f990d99f20a42 [entropy.client.package] install: correctly deal with mkdir, makedirs errors
95702f0d7b291fc1565908ebac4d1596901bdf2e Tagging Entropy version 276
6c10619d21f25b97607d4b47b43ddbcf9b46386b Release Entropy 276
cda2ff9e0fed3d9c73e443c7a692f20eaddfb809 [eit.command.status] fix _calculate_local_upload_files() usage
119dd0c36b65348a3beece05b7371b836b041900 [eit.commands.commit] fix "eit add foo" (when foo does not exist)
4aede70e108482a22243b5d3ce689835428dde10 [eit.commands.repack] do not set self._packages, adds unnecessary elaboration
09505b7eadb7c76157bafc4bedc0a237083b2ed8 [entropy.qa] do not account for broken executables if there are no missing sonames
5c246d10bad7d56be8eb67bb20a9e613850ef8aa [entropy.qa] filter out missing sonames if they belong to system packages
d0fce0b3750ff4b5b391aae3982b82646004d269 [entropy.qa] move is_system_pkg to instance method
b9d87febc23fae19f82a0470a00e3d0bd64e2ab9 Tagging Entropy version 275
8e64909155f672c0f62a84a113c5f3bf765138cd Release Entropy 275
a04e6381bb9aa7679ea1b8b2ff2290859631a9d5 [Rigo] update translations
0af817e33b14b952c1be16bdb0bb8964fd8b53af [client] update translations
b8d3b84f4cd21270f7869360379c2cf8ee09e17f [entropy.qa] catch FileNotFound when calling read_elf_broken_symbols
54afc204d5cc8fa8af05bbc94dc270d83ef59d4d Tagging Entropy version 274
200d0ce137638cc4751ec0c63cbe07448f7de669 Release Entropy 274
704b9a161a9893e463df490d2428cfa329e23f79 [entropy.server.interfaces.mirrors] fix _calculate_remote_package_files wrt separate package dirs
285b5558af59fd4fe63ac5bb2f428b66f163b6a3 [entropy.server.interfaces.mirrors] speed up _calculate_local_{upload,package}_files
880aba81cbc59bfd65eddf6e055c499b6b96f7d5 [entropy.server.interfaces.mirrors] simplify local packages calculation methods
7bc1306d285a64ce3dddae9e802b643639fe43e3 [Rigo] require Gtk+ 3.10 and solve all deprecation warnings related to Gtk*Box
11d166dfad96250917e5e783968853351c07ab17 Tagging Entropy version 273
846e9b16d85488536e453151339e0ee5b935567d Release Entropy 273
9c505b4f58293dc5d84c58e20ba9309c65f6a7c3 [entropy.server] correctly generate extra_download URLs
55d7dc68ef245a685d5e8611c3c679248c7f511c Tagging Entropy version 272
2e82d22768398496a2cf320071a0ceade94ba56a Release Entropy 272
7456df4e9aff9b85f4ec66c1e17dbd7c76272b4f Tagging Entropy version 271
82f2d2e1dee1499f8f0740fe942d902730f66cbb Release Entropy 271
fc2488e5f7ac1c3176edae80729e76a17eafc2a4 [matter] merge_list could be None, make sure it never is
855afdff1d13af186d37f47ed22389fbf6d9480f [entropy.client.package] Do not alter repository package file directory permissions
4c8d1801eaeb994c169e878b78a18a272517886a [entropy.tools] dump_entropy_metadata: follow symlinks when determining file size
1f6bd34749db3388a6530713b72223d19072ca10 [entropy] prefix package download URLs with the category directory
e45b5dc73eeb17cc41af3701bfacb1c4e6f0048a [todo] update TODO
1345074a61bad2e31485c3529c03e07693b4d610 Tagging Entropy version 270
9724a166892d00f1605e5ea6d8ac59bd36cba01e Release Entropy 270
49426c2aadf1396af3213788c592875d9f7b613f [server] update translations
e4411da04980eec8ad8a7a41b6b1b6888bc64e5c [Rigo] update translations
f833a6cca5ab97df8a45efaeccb8b71cdb05d094 [client] update translations
d759bdd74ba1f11d70aa9f4f31f5fc4f16b59ee9 [entropy.client] move LoadersMixin back into the Client class
03ef3991bd3a77d3d3e6df422202738a6085545b [entropy.client] refactor NoticeBoard Entropy Client API
10d8c6b6d59c2e96cbf08b24cb8d718b849d1116 [entropy.tools] generate_entropy_delta: make sure not to leak any fds
f44eb72b81b4780d38550241b1f2a82bb718a0a5 [entropy.tools] pass prefix= to every const_mkstemp call
92146a8c1719cd240b9c87421441d7121ff9777e [entropy.tools] apply_entropy_delta: avoid potential fd leaks
4a9980d37c04cd2a9f8bfc9063c39efaf36bc78f [entropy.qa] rename ErrorReportInterface to ErrorReport, it's cleaner
715e628c848560628328346452a35d3c8ebcb470 [entropy.client] drop CacheMixin class
b4196026d85a047744bc1c01e81ef61ec6ed894f [entropy.client] drop _get_available_packages_hash()
d0cf15ffc6aff9d3c6ab17655e6897276927010c [entropy.client] add missing imports
cc3d69c8b2dceeafffc9fdd7f317631008fb7668 [entropy.client] rename _repositories_hash() to repositories_checksum()
2b6a4e8d9afd638d88167d795e8f6f82c8dbe4ba [entropy.client.cache] improve _repositories_hash() robustness against collisions
f6591e1ade652dee5713cb5a7ae6238c8a72f8d0 [entropy.client.cache] drop _selective_repositories_hash()
f5eb6c1803e141bb84a3eb7473cab73d550bf53c [entropy.client.cache] drop _all_repositories_hash, duplicate of _repositories_hash()
3c3a376a3ba5df18217985accba17b08e60c5469 [entropy.client] rename _filter_available_repositories() to filter_repositories()
a83935d33c32a0863ed59f13a0037f9cfcdb1e0a [entropy.client.client] move clear_cache() to Client
8589b8746544435e91ed1872ad8fc8c0d7487bee [matter] add clear_cache() to BaseBinaryPMS to clear memory caches
c43f7700621c01a58fe92c5c821a5633b6216b6a Tagging Entropy version 269
34a03796cb5cec9d0ab344025ae53362702c1c38 Release Entropy 269
574a30bd988b7e251427763f58e9df548e03852f [eit.commands.command] add missing import
fb96b498e9566ff48287bc19342b9290d82dea54 Tagging Entropy version 268
1841234eb45a671d7102acb3a8f30d8e08e949a9 Release Entropy 268
976c5e72c408dd759529e7f38ac8def80969ec36 [eit.commands.command] make possible to avoid dealing with the Entropy Resources Lock
c598dcfcd070c2b1d16128091d9b93f935d5259c Tagging Entropy version 267
4988c545025a760760cbd3111e91d7d5b8068695 Release Entropy 267
97b90950feb16713c07f808716a464bd0a3ac274 [matter] expose more status info to pkgpost
c16b2e24e57164c39435f4a0436e86083d41e711 Tagging Entropy version 266
49b210e6b097dbdf98beb0effceab24a3726c089 Release Entropy 266
96b3b7115af3876b31faacce768471a7fdd25ef0 [entropy.locks] call const_setup_directory only, it's enough
5423663751de79112ef24e98593e5b2951bb12a2 [entropy.const] fix default makedirs permissions, const_setup_file does it anyway
89983b970576257001f39068a24aa22fb59b212b Tagging Entropy version 265
0b881e238fbac3093e6d20e0e3eceda0d037682d Release Entropy 265
eb64e4156a24f018bd9004c68414c46f84c10163 [Rigo] do not show app management buttons during upgrade
0b1b213730d4c04ca48f8265b2169c6a5df32b17 [Rigo] translate IDLE DaemonAppAction as well
14cff214c6e0a2c4d4a6f49c838ab5c7dffdac29 [Rigo] Always execute _entropy_bus() from the main thread, avoids deadlocks
f9a80d7bd02d1e5a171b4ab74d17c16b04651411 [Rigo] add IDLE to AppActions enum
7c8bfe830370211c40bdd6f14d29784be4d00907 [Rigo] emit application-abort when busy() fails with BusyError
6b7e4f96c33b9ee1e5911a12f31395dc72e56041 [Rigo] add UPGRADE to AppActions to match DaemonAppActions
d856204a8d88a66b9afc1694cf964f986b9dee54 [solo.commands.rescue] simplify "generate" code
c22a8efc2cc097fa9b9efbea11c0287c762113f7 [solo.commands.rescue] handle the inst_repo lock when needed
86820a9abaa07e7e1805a8260c7c5316c532b18b [solo.commands.hop] acquire the inst_repo exclusive lock before touching it
e76775701edd86c1d3bbf97dd124ac2aa61769e2 [entropy.client.package] multifetch: define failed_downloads before use
64b0e8baa99235fb93135a12a3f8e7745ad70ee2 [entropy.client] Client: rewrite lazy loading support, improve reliability
301aa281d5ddd89bf334ddf30f06b070eb7abc8a [entropy.client] avoid races in Entropy Client @property methods
881f8831cff98174bf83d04e91cd5a2034e5cf80 [entropy.client] set _real_enabled_repos atomically
8c4737ef7a745af554d61994b92fe8b5f2ae6445 [entropy.core] SystemSettingsPlugin: make parse() return plugin metadata
64fb91dcaec6ab3d3b4cd2b65f6497809f99f20c [entropy.core] SystemSettings: enable lazy loading of external plugins as well
ce070e541b13df58b7bf7fc483d14f99f38841eb Merge pull request #7 from prescott66/patch-4
a03296d92d9990eae76afc6e436adf6d1a1645a6 Slovak translation update
282fd0d74c1f4450c40f9f3e26fb0d1d2ba6063e Merge pull request #6 from prescott66/patch-3
1152e6e6f0c230c98c57ba483431e5b3020becaa Slovak translation update
1d965c7185f88915baa8639e4a8d9da6da955e88 Merge pull request #5 from prescott66/patch-2
1f4ecf45b3adfdad45b75decd4ced9c7b0635894 Merge pull request #4 from prescott66/patch-1
42f9df141b1dde5c053110c1261ef66459f1ae02 Slovak translation update
95a37ca2a21c74a47f5adc61feabc9f82f14ef50 Slovak translation update
c946bacd7d1cf5e72c191f647b72ede8d41e126b [conf] update sabayon-limbo repository description
2e36e7c86c6e4bdacba1dc7ce1823f01f1568e9e Tagging Entropy version 264
92a5f2fcc1e2ebf34add0a0bfe6fb15d1a29a824 Release Entropy 264
de156b083b612ca28336b87235466165f4b0b3ab [Rigo] change the EntropyRepository default cache policy to NONE
3ebba8b14f2951610297b92b175005fe4dcefe5f [entropy.db.sql] fix typo in SQL query, s/tag/versiontag/
c48869bb31294c1b25ae61014a54f23b3b0e5b12 [entropy.core] SystemSettings: drop mtime based in-RAM cache
c98c39db062709af5b4815875e7b5512b39e2a72 [entropy.core] SystemSettings: drop mtime based cache validation
5da276bfb6e08cda82f1145aa3daa61cd2a452ce [entropy.core] SystemSettings: __remove_repo_cache() is no longer necessary
d20ce3c2cc745e3066c493362b49bb71cdc440ba [client] update translations
3238689ad4e807b1edb11f84bc218a33bb4e49bc [client] update Slovak translation, thanks to Dušan Kazik
9af5689a130c32889306476318bc9836411743ff [entropy.core] SystemSettings: simplify __getitem__
ab6d1f9fc4bc6e2e2b257226ddc5f79ae998834e [entropy.core] SystemSettings: lazy load item only if it hasn't been loaded yet
2053989b2728b97bf5bb8022c64f930b509ffbb5 [entropy.core] SystemSettings: add lazy loading of metadata
289add075b1a10a47202aa04f50f21418eeea511 [Rigo] Update the Slovak translation, thanks to Dušan Kazik
86f31f29483816c365238138d4f74addb5816303 Tagging Entropy version 263
7877126107ff05dc36c57bc05d7c7c66635a3524 Release Entropy 263
b0bd765b50573195e853c303746a1a54b9fbd885 [entropy.db.sqlite] do not acquire the repo lock if it's not strictly needed
d7d75b4ad9e8cd8a6167ac15346d9ccf8319762b Tagging Entropy version 262
f1de6accefbf47d21e75217a0a2098aba09567d7 Release Entropy 262
74f8bb63f5bc7db6e7112dd126326af6d930f6be [entropy.spm] PortagePlugin: update portage.doebuild() call, remove deprecated root argument
c65d713c913a25d0917ef2905eb2d3875ecfa407 [Rigo] fix NotificationBox message_type keyword argument
d03466ea102285814e8e5f151e0f87e6b6b0c541 [entropy.db.cache] disable in-RAM cache if total memory is less than 4G
ee48b812ed56031ae70960132a2f0825d5081438 [entropy.tools] add total_memory() function
cbe42edee9c792dc4a5322db8bd4db86ac29eb80 [RigoDaemon] set the cache policy to EntropyRepositoryCachePolicies.NONE
338b3f6cc59240431921188c2601429a02f718d0 [entropy.db] expose and use the currently set cache policy
b6ed5f9948f77df8dc59b2a2421fdd6c5a6e6323 [entropy.db.cache] introduce EntropyRepositoryCachePolicies
ba70572e17b8ab64296854af0b56bb5da48d3faf Tagging Entropy version 261
2d2241408667b34cea7d3a45fe49acb0dbfb1011 Release Entropy 261
e16ad0a82869ae7e187e6680648cdf8bda19885b [entropy.db.sqlite] catch LockAcquireError in _maybeDatabaseSchemaUpdates
999f0509dda2775d920a478730413e4b4650ec85 [entropy.db] raise LockAcquireError in case of lock acquire error failures
eda8a7bafbe6dd58de5480812c347402aeb68741 Tagging Entropy version 260
f0d437a090235c43946e834b4851e4fe2e1140ef Release Entropy 260
2f713f73d5907091c7fe51b9730cd0d95e93f27c [entropy.db.sqlite] raise timeout to 300 seconds
f446b8d05b09c5f7d645ccf25bdcd39771defb12 [RigoDaemon] reimplement Entropy.get_repository()
1598f5e50164d9962f3b8c537f27b8a39a4db044 [entropy.*] use get_repository() to return a GenericRepository as well
4edaf614f44bef071ac96e728aee3f8da8699b33 [entropy.db.sql] in global context, the current thread is always MainThread
72aa0a07d14a4aebd59d85dc2f64a9aaf4057227 [entropy.*] turn get_repository() into a classmethod
956b31d05e9303ffa954eb996db8c275010afcba [entropy.db.sql] add overridable isMainThread method
88ea4c74275d6ec9f141e2f16a6247996c169d2d [entropy.client.services] fix typo in HTTP arguments for get_documents()
5ccde22103c3aa477168a7c0ea9f3364db5ec09a [RigoDaemon] clear resources at the end of the action queue
af6fa0d32f44cde10bcf5c24b2b8d6c0294ffd12 [entropy.spm] PortagePlugin: add clear() to API, see documentation
e943b0fe0534b9df4e911f0a2b26bd8daf82b51e Tagging Entropy version 259
0a9fbaf0df000b7424f205cfb03b12ac03c3a1e9 Release Entropy 259
711db81d41a258b70d470dc3d58ac5542fc7a6db [Rigo] disable recent searches for now, since the feature doesn't respect the use cases
be063dca578dd6f851d8bffe3b94dc241c8472ab [Rigo] emit application-abort when Application action is cancelled by the user
2ff820f683d21e6f7f6957a0d31fdf7600f00765 Tagging Entropy version 258
cf9fc1b9471d0bf62e5094d1623208a597318837 Release Entropy 258
0c09a2f7ca80b0b6c4da9ab3669c7ad0e38b37e6 [RigoDaemon] wrap TextInterface.output in order to catch all the messages
f4591d642f93a51a4c057063785eaeb89f4c8b63 [Rigo] use nice unicode headers
f30efd3a8d0c6085cee59eda99d201dbe4d8dc05 [Rigo] MANAGING_APPLICATIONS, UPGRADING_SYSTEM no longer use the exclusive lock
7ec49e5c991bfd49c6bc12d57785556025d6fc79 [Rigo] make sure to operate on EntropyResourcesLock from the main thread
d6aa5795229dc6d868f214ff72803cdb7a485b1a [Rigo] add comment about EntropyResourcesLock requirements
0346f74c1a033b4a57d4b4e856fb8d348e6e5abd [entropy.client.package] catch InterruptError raised by fetch_abort functions
61f11deef942e0bcb666e3e7e117357e0bea4ec0 Tagging Entropy version 257
c5adbc0b200f541b7dfd56ec9c9c15ed34fe0566 Release Entropy 257
86c264a60d15a81ba12d15017e925d4867123174 [todo] update TODO
b088df88bd1afbae643d9276dd23b134ef1cf8bd [entropy.cache] EntropyCacher: drop CACHE_IDS (\o/) and clear_cache()
4fc40101ec6d539be76d88ec759c948c1e8b8ab1 [entropy.core.settings.base] drop any explicit clear_cache() call
f7bebcba0f81b6979072cb907c75f646284a6af8 [entropy.core.settings.base] drop _clear_repository_cache(), no longer needed
1d42427eb176055a65c6e97531099b7667e5a66a [entropy.core.settings.base] add license_accept and system_mask to packages_configuration_hash()
29af5160468c5295fa7e46a43e85fe7217cb3129 [entropy.client.methods] drop _clear_repository_cache() usage
df6d28f58f76085357278e1fa40253e600c898b6 [entropy.client.db] stop using EntropyCacher.CACHE_IDS['mask_filter']
6d1f2ab77f84415d0b892d464102a98bb4d4bf19 [entropy.db.skel] expose atomMatch cache key generation hook
b2fe272ebfd1444c354e90e54667b8d35b28f08e [entropy.client.dep] use ClientSettings.packages_configuration_hash() as part of cache keys
f31cdb59ff4b8dd339625940c24a5db94ad77e11 [entropy.client.settings] add packages_configuration_hash()
68e664c94756026bd031e5a85691d4215cea9ac4 [entropy.client.dep] use SystemSettings.packages_configuration_hash() for cache validation
d461ffa02ff07c41cd8b627d7e872f9be94ce267 [entropy.core.settings.base] introduce packages_configuration_hash()
1f75376b8eff5bbea6437c9d0665cccd6b2243ec [entropy.cache] drop EntropyCacher.CACHE_IDS['db_match']
dabdb9dff9c3050ff8e2caf40f37737b9b5ad0f0 Tagging Entropy version 256
6c9ffc0e59b71722d615c657a21145a3ba199b91 Release Entropy 256
ccf10bb416aa1fb182dd901acfe6640160a56ffd [todo] update TODO
cc9c66395464d548065d88ddc3915aa455525ab2 [Rigo] update translations
57b672043c1396433dae2a00a665c33456d29a33 [Rigo] update rigo.pot
08c635623d443718e4d9f883e071039760792d31 [server] update translations
84fb3a948ddffa75dc37be4efdc68aeff13c7d56 [server] update entropy-server.pot
d4af59b609c8760716903144fb627d01eb691879 [client] update translations
6048d06fca1625b5c30c052f1e1f3d0270d256b5 [client] update entropy.pot
2a034e4a05000bb9391941583fead2cf6a11a88e [entropy.client.methods] add an "unlocked" version of get_package_action()
11e6d596b80421d5eba5614f33d963e934c87f7e [entropy.db.sqlite] do not clear the cache if locks are already acquired
603c96fc059d39510623299785eb18447e6eed29 [entropy.locks] add is_already_acquired()
0dcfc0f5bc90ef3ead29acf3c0850f9654d108e8 [todo] update TODO
d0d4b45e738ace3093dc28808af4065c54ddf239 [todo] update TODO
528d4ff116c4207003c11aa10d4840fc07cfb1d5 [entropy.client.dep] drop unused imports
6b3e5810fc85e2cf9437258ac64854f6c659cf96 [entropy.client.settings] drop repos_installed{_keys,} settings metadata
4da9953a716e529ac8f08e27ddcfe1731c200158 [entropy.cache] drop EntropyCacher.CACHE_IDS['atom_match']
be311e70458e80a311795f2957e3ce45eba5fcb9 [entropy.cache] drop EntropyCacher.CACHE_IDS['atom_search']
0f59b909c9b27bfca0d25ee8a595cb04d4f975ff [entropy.cache] drop EntropyCacher.CACHE_IDS['dep_tree']
55faf98b59ad41e37305492e93749f5bb4336822 [entropy.cache] drop EntropyCacher.CACHE_IDS['check_package_update']
6121ab63bc28ce6a4bb96f31e2f2bad4e27dca86 [entropy.cache] drop EntropyCacher.CACHE_IDS['depends_tree']
3bb2abc102cffdf35c8f3f3959f1c28ad3728f76 [entropy.cache] drop EntropyCacher.CACHE_IDS['library_breakage']
cbe52e67cef86de786328d408c67c24ededb0dd0 [entropy.cache] drop EntropyCacher.CACHE_IDS['filter_satisfied_deps']
3fb69053878925186c2a6feb3dd58748d59bee2b [entropy.cache] drop EntropyCacher.CACHE_IDS['world_update']
57e2ab5ec80deaa05f7d3aee6e713821e25df41f [entropy.core] when clearing repository cache, don't clear the whole cache
4c0bbd07892f83445d4b985026a43340feeee2ba [entropy.client.cache] drop methods used by the dep module only
cd199b0496bf0bb8dffbdebffebe3a027f45df3e [entropy.client.dep] fix format string typo
a8bdb9a4ea365de05e0008499f370b7a230587a6 [entropy.cache] drop EntropyCacher.CACHE_IDS['critical_update']
034061620cab415b72bb6458c0cb12d04924cf19 [entropy.cache] drop EntropyCacher.CACHE_IDS['world_masked']
01e54a75b914f6705cd9052625383f742ae5cbcb [entropy.cache] drop EntropyCacher.CACHE_IDS['world_available']
55f5d892aa3f65aafb9a53ecf0aeae0483e9674f [entropy.client.settings] add installed packages repository locking support
e976ea337cd7c8cbf95aca9453959474520466a0 [entropy.client.methods] add installed packages repository locking support
b4f445a61b0b7ab7e11ab392792ea3fd724bccea [entropy.client.repository] drop entropy_updates_alert argument
cf3305ed43f2e144f8245d9277d1065f891c349b [entropy.client.repository] do not check the instance type of installed_repository
d2c47cc3ba31419622a3621b9ce33b2bc1849814 [entropy.client.db] add installed packages repository locking support
12c34ab8d4ff7ba18f4f37a5d371c8c037d28385 [entropy.client.dep] add installed packages repository locking support
f143614555075a3fde48ac00a2cb7b69de290f80 [entropy.client.client] add installed packages repository locking support
f5efd44cc21c1fab10054176c735d195c21fd387 [RigoDaemon] acquire UpdatesNotificationResourceLock in non blocking mode
f1a925c2203bb65bab2544743a1600ccc365e482 [solo.commands.install] acquire the notification lock in shared NB mode
ec198d632b7e22b4072a5cff9934527675fe63d0 [RigoDaemon] make sure that the serializer is always released
bccbce4a34fb18461a5a0fe7177493beecea7369 [RigoDaemon] use UpdatesNotificationResourceLock to avoid signal spam
00f43b043cb06e3997b1db5ee0937ab0d2c58196 [solo.commands.install] acquire the UpdatesNotificationResourceLock in shared mode
6f44f5c40a81b3afccda8f64a18423ffbad22dce [entropy.locks] UpdatesNotificationResourceLock: do not dictate any particular lock mode
934a7ce14b6ad1f7e952a43a26a311cf841cbf3d [RigoDaemon] drop sleep()
69d44732494cfb46477f5ba72ca0e3ee9c051267 [entropy.locks] introduce UpdatesNotificationResourceLock
8049f88c5641ffee0231f836352c6b90aa0e1dd6 [entropy.locks] make sure not to leak fds when using non-blocking calls
ca862463d444c2914b76531c8910e2759abd38af [entropy.locks] make sure not to leak fds when using non-blocking calls
cf8984982ad02cd1446ea22ba3631dc48e9cef40 [entropy.output] sychronize writes to stdout/stderr to avoid garbled output
8ed4bff872327e53b86e28cb08fd7797dbaaf124 Revert "[entropy.client.package] synchronize text output calls to avoid garbled output"
a0ec911e681c964af800b7f36db6c302fa6c2d4a [entropy.client.package] synchronize text output calls to avoid garbled output
ca3b960dca4b1d618435c4119489f2def4663564 [entropy.client.sets] make Sets a new-style class
c2d15ddd23379958c9748c95e7fb960bbb467770 [entropy.client.misc] add sharedinstlock and exclusiveinstlock decorators
0df7092e052ebee38c8958761eaafa8e68ff63f1 [entropy.locks] drop "_lock", just "acquire" or "release", it's cleaner
1f2575204ea69edcbda6cdcc3d6a8f6b2fa79d90 [entropy.locks] make ResourceLock reentrant wrt to individual threads only
3a448a3b194eb5b5c44eb3e1b610779b7b42f9ab [entropy.client.package] use atom as part of the unpack directory
0cb12a0dae23961df82fdee3321ea391a0b95b07 [entropy.misc] RSS: be more tolerant against xml file corruptions
f6dd07cb0d10455d57122e6ce5c3616c194eaaa0 Tagging Entropy version 255
24b5b8c66143a2368efdca8ac8337d9ba72eecf1 Release Entropy 255
304f57434f4a78590ca7f78d60c934b83e7116e3 [entropy.db.skel] filterTreeUpdatesActions: warn and fix illegal circular slotmoves
5bafa6e755cbe5601d4680c2de5206a37fab3c4d [entropy.spm] PortagePlugin: make __get_portage_update_actions protected
c9629b9457e93665698a062d0285175b88fc5aa1 [entropy.spm.skel] allocate_protected_file: python2 os is not unicode friendly
ea52b8630bb20140246c16b3b0b07ae72b5531b7 [entropy.client.package] _handle_config_protect: python2 os module is not unicode friendly
1e16119560e657ac1a3f40177b33c1b49d18af19 [eit.commands] remove leading ">>" string from ask_question() message.
beff483d19ab82faf373cbbde43decc4e864aa74 [solo.commands] remove leading ">>" string from ask_question() message.
53cbf979c5a11103769523c7c6ef2fea9a23a6fd [eit.commands.cp] make sure to open the source repository in rw
9b78a9b6a021b1ffdfc566fe1209dc5996eb7105 [entropy.db.sqlite] lock_path() should not use id(self) for memory repositories
ae8b91ac0c3184267cda4a930a0ab49d0aa46ac9 [entropy.*] s:occured:occurred:
fe807526125932d512e0a59284e8b1a3977beadd [entropy.output] use nice unicode chars for warning and error messages
e23396625b62c4c6894e521f3f77236b9d3be8e3 [entropy.const] set entropy git version to 1
a8e902b0a57c9c5b5f67d8864e054acb0b4544ab [eit.commands] rename call_unlocked to call_shared, call_locked to call_exclusive
3e528ae1ae36750f7913622dc7e5b70c791acb3d [solo.commands.*] rename call_unlocked to call_shared, call_locked to call_exclusive
bf724d9b39a2471f1bd4be29353111c80e6428d8 Tagging Entropy version 254
c60cee8082aeea5cc3db65545b7f903ebb91718d Release Entropy 254
7bb3007704c3719285ea324b64c6fd61262e9963 [entropy.services.client] always append the entropy version string to requests
1f6dd3500157f98c9618a5340cdc355e36b9c42e Tagging Entropy version 253
da31e2b49dff8239a67a748d97e20e7d137d1b9e Release Entropy 253
4d3eef0d19272a1fe9625d0ae8e1ee0bf81a1162 [entropy.server] Server: initialize Client superclass as soon as possible
869e8df574448c07cf3b3f51893575dd9d4a3f4b Tagging Entropy version 252
42c66c84b4f02a3cc0f855b1b8a45073fb13c375 Release Entropy 252
e47db9bfd7c0e1fe631f37a744fcfb527237695b [eit.utils] use the public message header variable
162c08961fd6c0b0fd92d6f88a3c56d0cfc107ac [solo.utils] use the public message header variable
c02da8d31527ba52aee255297c36d7dddd29e8d8 [entropy.output] make the message header variable public
44c1f6662946364cf59fabbd6d2df197c0010ef2 [client] update entropy.pot
e6b129ae7e3409aaa56f7bb8a4a3a29c70028e4c [entropy.client] move ClientSystemSettingsPlugin to a separate module
c78b90563c751b2de3f7fb5728b4f1a696d3a58f [entropy.client.package] use ClientSettings() rather than SystemSettings()[id]
1eed3123c8325f421fa98612e57af32232fd6fc7 [entropy.client.misc] use ClientSettings() rather than SystemSettings()[id]
c22f4121f69e7657ea7136c97ee178a0ecc68032 [RigoDaemon] use ClientSettings() rather than SystemSettings()[id]
aa4e2441beb54afedc8abe78190ef5577e01d3a0 [entropy.client] move _enabled_repos to a property, allow lazy loading
88ca752724253c52a79b9a3bc1f28ec1ea05f175 [entropy.client] remove repositories list cache validation code
fdceeaffbd7b1cf2b42c26e93900aa492998c061 [entropy.client] always use repositories hashes for cache keys
3574cb029fa3dc5aa7d8406b43b866ef516d7564 [entropy.client] do not clear cache if xcache is False
67cccf3e8a67ebbebe939564237bc7b067408117 [entropy.client] lazy load ClientSystemSettingsPlugin
8a7afe97e8cc943ad475b80d2d81078517021289 [entropy.client] use ClientSettings() whenever needed
56f0ed4fd5dd3536f07651f053c6b61d8b0d1b37 [entropy.client] Client: move object attributes to @property to enable lazy loading
3a7269aa5c4f963e04010d7837783b4576ff2046 [entropy.db] EntropyBaseRepository: turn lock methods into no-op if direct mode
e55ac6e58f617afa7b016534124869e3a1a6db49 Tagging Entropy version 251
412759e20fab4fa8bd2aa2d107c2782b29268af9 Release Entropy 251
db8bd0fb40c17e400b412d056cb5d71b53e18adc [entropy.client.package] multifetch: ensure that path exists before calling _match_checksum
4b8b3b1af752dbcd0deb17959d43db03e6da9381 [entropy.client.package] multifetch: use the same path for both calls
864e3ecf21a053f74294ee5626165e2175ec9dd9 [entropy.client.package] multifetch: fix exit status in case of download failures
36b634aea7df8351b4fa82bc382a64a59d483616 [entropy.output] _print_prio: use nice unicode header chars :-)
89b0c053ff547715469d1e7ef231e0c4ac86e239 Tagging Entropy version 250
e21d56466998eaac865a2c44bf939c1b7ed8646c Release Entropy 250
d04f67c96ff1918bcdd78eb72241c00b2fe0a4b6 [entropy.db.sqlite] fix typo in argument name
023e8e1b7240cacbade230505f2bdc6ae34890e6 [entropy.db] EntropyBaseRepository: make possible to permanently enable direct mode
0f84117aa2b49d21d56a7966d23cdbd641bd915e Tagging Entropy version 249
af2ce34d576edcaa3c240d5e01c84c6a6ba5cefe Release Entropy 249
856184b530c40f0f2a01c578013fa493543f6066 [entropy.client.db] do not hide the exception traceback
0243ed70b14b73a34a47ed4bc5e468a596a54d4c [entropy.db.sql] rewrite type checking in insertDependencies()
eada088f56a5f51092aeec0c82b6a6770e139697 [entropy.client.db] do not catch KeyError for update() but just during object init
52f99ee60c87fd3b8a9560fafa1edc995bd1307a [conf] add /run/entropy to tmpfiles.d
7589fbe6c0bd1903359d493220858198d21100be Tagging Entropy version 248
43f4bd5ee3f18a3f2e462ae261cf33e426c3015d Release Entropy 248
29c1eba9a69cd1088e4c3aaac5faaa978a0146cd [Rigo] expand NotificationBox content area horizontally. This fix is needed by Gtk+ 3.10
592f6e9279899ea295c341125b3796b74390b16e [server] update translations
8284141f642c020e05f5f7c2b2a3a96b9b2324ee [client] update translations
cc9c35fd81b23271302b74ec423b7e6ca98ea3eb [Rigo] update translations
041cf6687561db734952814f1770bfdf6a5d6a5b Merge branch 'brave-new-lock'
4bf19be3bf1d80d21f88432d9e0ae81698ea18f7 [server] update translations
bd253f3dabb18114c69c246a5f3fe5c07624c63a [client] update translations
fa786cce39df5397e8eb1f9fbad5781a47260d90 [Rigo] update translations
68fe99d33ec80ad14a6446cb07c93e9b39515111 [entropy.db.sqlite] acquire an exclusive lock if schema updates are needed
061b02bebc5cd0bfeae1750f387daf572ca3880f [entropy.db.sqlite] move indexing setup back to object constructor
023dc52368e977cfa4fb00bbec1bae88c0ee7031 [todo] update TODO
c67e227b48b27fc323f58ba22447c7f6710c1e6e [todo] update TODO
de88d6cc73e691722dd537b4d632e3176c3e239a [entropy.client.repository] wrap Repository.sync() around a ResourceLock
82d6d37bcf8881028a8a0abfd34c9524e2b0b368 [entropy.db.sqlite] move schema update code away from __init__
7808ad6b92926491026396fd48c9a932c6c13c03 [entropy.db.sqlite] migrate locking code to entropy.locks.ResourceLock
401b9cbeb3ffe2c3558e02cb74bc9cb58b93f43f [entropy.client.loaders] Security: pass args and kwargs down to the object constructor
498674828dd4fe774ab313055edbc80c76221dca [entropy.tools] get_hash_from_md5_file: do not hide IOError exceptions
fc597d04c59373ed912028de445b248699388895 [entropy.security] refactor System, add internal locking support, improve speed
b99def91287d04c1ca7b245f878f9dbdb522ebdb [entropy.locks] add exclusive() and shared() context managers
47e9b6ee0ebd136f626190ca73c58da62fae9d98 [entropy.locks] rename _GenericResourceLock to ResourceLock
94ab49fd0b0e6aa7cf32a3dec415de2184a12047 [tests] use const_mk{s,d}temp instead of tmpfile ones, default TMPDIR to /var/tmp
6a2d45df4712dd1830a715218b8ff910d0990a59 [entropy.locks] set recursed to False only when the reference counter is 0
d080db0d3b63d6fb239adc0db656fdd2461a4876 [tests] locks: fix test class name
bf3a8b79f9c6e7cadd784161e9003212916d0445 [entropy.locks] use TLS for reentrancy safety checks, update tests
7e30b65744b543237bf5657fd6014a16b112dde4 [entropy.locks] _file_lock_create: beautify, open O_CREAT | O_RDONLY if shared mode
ebf63e606051aa5643de2c7048b99144eb633545 [entropy.locks] fix shared/exclusive locking mix due to reentrancy, add tests
97f18338bad1c78a4bd38eaf9df3ab00c3f0e61d [entropy.locks] move acquire_lock(), release_lock() from entropy.tools
d0f11728c848f53b93aee98cfe63667fc42da6e2 [entropy.security] remove unlocked_sync(), locking happens externally nowadays
358c6cc80c4d4e38b8075644a84c31eb031d133b [entropy.client.repository] drop unlocked_sync(), locking happens externally nowadays
1917771b545092e70e4985fa70aaceb1893fadb2 [entropy.locks] move Entropy Resources Lock code to a separate module
f758c1bfb5dc7ec4366763e216c069b08b4096f6 [Rigo] initialize the CSS provider as soon as possible, fixes a glitch with GTK 3.10
99bb796952f3609a7058292dba2c42cef90be84b [Rigo] initialize the CSS provider as soon as possible, fixes a glitch with GTK 3.10
b1ed42d80a315965be0ea47edf7552ae405a7d20 [entropy.db.skel] drop __atomMatchValidateCache
c0776b07bdc98a5deda85197df5aa44b1e8dc6a5 [RigoDaemon] import the threading module directly
0f32ae26960ec68983bd2f0c197b9b835d316817 [RigoDaemon] use systemd-logind shutdown/idle Inhibit() API
d8ee468768698c8d092d309864cf838a15193c62 [RigoDaemon] add execute_mainloop() wrapper method
e213a5e775f5e38e752faca7256098aae23d77f6 [RigoDaemon] fix regression in api(), the keyword argument must be "sender"
4e597b87692d7649d9c836f23224c6f94332d908 [RigoDaemon] use a shared lock with clean_package_cache
1688ce53ace5c355575d422fbc648968f65e2bf2 [entropy.client] clean_downloaded_packages, add skip_available_packages keyword arg
16025afc75bdf6fd05e10d7c0a638f0371225b3f [entropy.client.package] move "QA:" to translatable strings
e75b95a1b314b2c87c1f3a3dd394f688ff7c170f [entropy.client.package] workout_subdir: do not rmtree if symlink expected but directory found
e6cca254730d35c00373eed3688353747ea47e7b [entropy.client.package] fail (rather than rmtree) when a file is expected but directory is found
0d486bc47090d4f3600b415fbfd0283eaccc4a31 [entropy.client.package] if a directory is a file, do not unlink() but rename()
a0d4711cdce8d239d802f90ebad785e89305cf56 [entropy.client.package.actions] remove: commit after insertSpmUid()
6d4f9e3089634fd70fb569ad208f70f32513b6bd [entropy.client.package.actions] install: commit after insertSpmUid()
529203ce5a284b1db13dfc191c3f90b5e820fa99 [RigoDaemon] maybe_enqueue_kernel_actions: use simulate
4f9d8ef61ddbc4d29149544e4124e661acedf091 [RigoDaemon] fixup pylint warnings
b26842e8265252407a9a2d2ab9c4cb3030ef014c [entropy.db] direct: wrap yield around a try/finally block
c356d615f357d736aa8905c00928fd3c79236645 [Rigo] use direct access to the installed packages repository, avoid locking
3545f2b6199a203adcfdf20225cf45edcb9c84b3 [entropy.db] add direct access support to repository
1739953f8d3cb30a56509bd8c5cc534251acf00b [Rigo] add installed pkgs repository wherever it makes sense
94e07648ec54b2cd37d062ad1107827e4765a437 [RigoDaemon] add concurrency support \o/
f8d0511506f140043d347214a7ffb6e6d001adf1 [entropy.client.package.actions] multifetch: fix pre_download_hook for edeltas
d88e33c40ccea2fbf71a08485df1e26df949f1ee [RigoDaemon] use context manager with ReadersWritersSemaphore
65f5dce076e1f0bdbfa8efa5dd928e8459fb91de [entropy.client.package] add sys import
a8c98a508199b217ec0dd72890e4def8658b3c7a [entropy.client.package.actions] action: cope with unavailability of file locking
76df355ca4036cf16705d66964c47a30f618dccd [solo.commands.pkg] add concurrency support
53b5d9cddc6f072649f4981171b5677c2bbae9fa [solo.commands.unused] add concurrency support
e0142412d8317aa2fd7a726d7643c1c051df2093 [solo.commands.mask] acquire the Entropy Resources Lock in shared mode
25d88d95b66da0f33f118137b9256a1e51963661 [solo.commands.conf] acquire the Entropy Resources Lock in shared mode
9298c740fe0c3c8f9986506edd4541cd99a5e9e1 [solo.commands.ugc] acquire the Entropy Resources Lock in shared mode
ecb09140845addbb192ca05a7d14473f1311e698 [Rigo] add "in:exact" command to allow users to match packages, use it for lts kernels
b7eeb5ce8a780818bfa33841fdfb285424a7f0b8 [Rigo] use context manager with Entropy.rwsem()
73789063967c27877b05b9645ac10301d0601e10 [entropy.misc] ReadersWritersSemaphore: add reader() and writer() context managers
68f5fd0320690e99d62433cc21f74eae16310e6d [entropy.client] Trigger: lazily load the Source Package Manager instance object
6af6a2115ef9b9a3cdc4c7100adc1fbbdedc0a85 [entropy.client] move Trigger class under package.actions, make it "private"
c8a037784519b7c6e66fdb92159bfa9ab75d3366 [solo.commands.cache] add concurrency support
818f96fdf7fb5b1c4461366b53e7a8e68de85ee8 [entropy.db.sqlite] increase sqlite3 internal lock timeout to 60 seconds
8c73f9b24cfa7f8938765d33d6d4ec89f8391024 [matter] lazily load the Entropy Server instance object
b886d7e3fc1f5c4d603afa0a04855d6444806293 [matter] use Server class with acquire_entropy_locks
072561250828ddc5db8743167420b472a23b3b8b [kernel-switcher] use Client class with acquire_entropy_locks
6e81d188c3ef99a0bdc659f77eaf856c1374166a [kernel-switcher] add concurrency support
a8fcfd7b1588bd9acd38aa029f0ea53f6bd118e6 [kswitch] add concurrency support
e7555f4127d3309a5d25a46ef01da7ede757599b [solo.commands.manage] allow concurrency, use the Entropy Resources Lock in shared mode
9c38af6a341cb5075b964f86b20bcd6576200d55 [entropy.security] document installed repository lock usage requirements
19439db61cd5ce873499098f53f6e04c0031c7f4 [solo.commands.security] add concurrency support
13af91c7bacca75f90c3ce86a59891b6c4daa7f6 [solo.commands.libtest] add concurrency support
e317a71524a1398e765ae0b83e059acae646c00a [solo.commands.deptest] add concurrency support
f4a25af5d0a270ecee648e2ad7b944ef96f896fb [solo.commands.upgrade] add concurrency support
5dfcdb2794c44ba9d2b86cc343a9fd12d5984104 [solo.commands.remove] add concurrency support
3e97a39779e147a97fe5d3a58023d747e1c365b1 [solo.commands.preservedlibs] add concurrency support
008b65d11b8b5ab264d02f194a27e4756bc798cf [solo.commands.download] add concurrency support
55d1b8aa8f829bf09c5e1193c14564d9ae17d9f4 [solo.commands.source] add concurrency support
7046aedc5217f2f309b6b1e07b1b4c1d58da8782 [solo.commands.config] add concurrency support
53a1b117ae7564bc27ff0bd8b322f68e7149d387 [entropy.client.package] preservedlibs: update API documentation
ac0e1ca28e858b82a94fb6333f1b45b8eb569d65 [solo.commands._manage] make _show_preserved_libraries process and thread safe
24993db8bbb8dcafcce8104cb0e16c245329557c [solo.commands.remove] remove _prompt_removal(), old heritage
87ef9a169dc327cffd51a1b2a94bc4d8890b35f6 [solo.commands.install] add concurrency support
72069d4227e7c325d7ed570a3969e64340c93ca6 [solo.commands._manage] remove _show_packages_info(), old heritage
1c7b684aa41c9f9aca4fb352a72effecd1ad40e0 [entropy.client.misc] make ConfigurationFiles process and thread safe wrt inst_repo
2393f5dda2f4346f3a268023ff3a4c6d9b5dbfea [entropy.client] update API documentation with information regarding repository locking
50940859165a2798f0e1aabee06841c7b6f14866 [solo.commands.query] add concurrency support
fc686c9c09587bf915d8a032b65200f48bd0a843 [solo.commands.match] use the sharedlock decorator
7b0dbac6eb993a44661687770025ff3bf2c04923 [solo.commands.search] use the sharedlock decorator
6b3f25a8ef2a13d3dd1ff30fc98626defbca5484 [solo.commands.command] add sharedlock and exclusivelock decorators
d802bb81861f986e9c5706445f2de97489367f73 [entropy.db.skel] clarify the cases where locking could be avoided
20a3cc35254df70615f4f5c0ae32c2d53f6a1b8c [solo.commands.query] rename entropy_repository to inst_repo for consistency
532c71261b803ced933ff01b9e0359ddaf4199d2 [solo.utils] print_package_info: improve ability to deal with stale data
d5d5ef11ea00bd05a4a1e8d9b53bcd472affdbcb [solo.commands.match] add concurrency support
b0c85ffcce6bca6458d3454710156881f6ee42b2 [solo.commands.search] do not hold the inst_repo lock while using stdio functions
aa30310ae2983dc71fad49ee975da2536071c9db [solo.commands.search] add concurrency support
fa68f56545cbd54b3958273c16d9959f881690b4 [entropy.client.package.actions] install: pass remove_package_id to _install_package_unlocked
95c69168c56a647f2580d13d603ecf169124d545 [entropy.db.sqlite] make possible to acquire the repository lock file in shared mode by users
86b25739c729c2169ae91504d776247024d9a0c0 [entropy.client.package.actions] remove: add concurrency support
e6e020e4041ac623557c09a3ebfe802f20884614 [entropy.client.package.actions] _manage: move _get_remove_trigger_data() here
1a8c291ae002013ea367cfaa7fcd9afd6ad49d68 [solo.commands.query] acquire the Entropy Resources General Lock in shared mode
8111284a4fc79282965ebd6fcaa884d700b953e9 [entropy.client.package.actions] config: add concurrency support
12e4c4a7a353e4dc9220e2d936d6aa0aff1ebb5b [entropy.client.package.actions] install: rewrite lock handling
3b069f111d697c1bb1e178f6bc21bc77a7565af9 [entropy.client.package.actions] install: always validate installed_package_id
3bd97b8c32c0e661dc8f60c3880ef40464aecca1 [entropy.client.package.actions] source: add concurrency support
685b7625d9fd482161f7bca7176571c20e29528c [entropy.client.package.actions] multifetch: do not show data transfer if it's 0
fca17af8c85dc448b48867339cdad44090f42a33 [entropy.client.package.actions] fetch: avoid using output() with back = True
8c3798c4dc8acaafd68df79e227235cd9fed3bb5 [entropy.client.package.actions] fetch: replace "matches" with "validated"
2e92fddbf5b86d956af68bb0e7b8b396c2afe440 [entropy.client.package.actions] multifetch: add concurrency support
1ac0e3811560d625f5a92d3336d2152415bb9a9b [entropy.fetchers] update pre_download_hook API, add post_download_hook
126caaca9ee3d242f3ced9acbcb31c1fb8b1755c [entropy.client.package] install: use _is_package_repository()
eab15e1cb7a66c2b800b230fc496c7a9ea72df25 [entropy.client.package] install: avoid deadlocks during conflicts removal
c54c893e554c40ea5e5f0b51a5de73fc72e4ca91 [entropy.db] implement locking infrastructure (with the same semantics) for in-memory repositories
d7f22534b24ae2c7663855764e68c3aaa2cdc0ba [entropy.db] rewrite locking infrastructure, handle multithreading use case
8c2b9c48415fe92e7fe68548375b56085660d77e [entropy.fetchers] add locking infrastructure support code
5b1d071361eb6d79adfb82c4abd121c2193d59c7 [entropy.client.package.actions] fetch: update docstring
43223c03c5cb31ec270c2f4842bf9966f6d117e2 [entropy.client.package.actions] fetch: avoid potential deadlocks
6efc069ddc750f903aa4efa8cd769d2f54a926e1 [entropy.client.package.actions] fetch: reduce installed_repository() lock contention
4447190b4c39e0931934744b6ae3d61a1dc87120 [entropy.client.package.actions] action: add stat import
bd5100730e8c473084dd1e18cae4e126bf12430e [entropy.client.package] rename fetch phase to _fetch_phase()
9d3acd63aa3f6f1c3351199c721e5bd169640665 [entropy.client.package.actions] install: complete concurrency support
173b93ab5240214c5c8bff24453850d9ff2653dd [entropy.client.package.actions] action: move _stat_path() here
1b5253c6e85a93c0f5d216545b8e47ec51ab86e1 [entropy.client.package.actions] fetch: remove unused method
7e7058eb46860b16dfb6966b74eb1a505f8e7fcf [entropy.client.package] fetch: add initial concurrency support
85e360b1964a41023ae11aaa8b389a2b9968cddb [entropy.client.package.actions] action: fix typo in path_lock()
582bf7262a3017b273b9e5c9f5c9cc013ffc93ee [entropy.client.package.actions] action: expose a path_lock() method
5d8055cb3c119a653c0a320e7fa8bfed673432fc [entropy.client.package.actions] install: drop unused metadata
9953048c6f4abda4eb7ded7dd3e992e574155a1d [entropy.client.package.action] install: apply tarball files ownership to extra download files as well
f1ef4bb5e59edb35060d2089f168d7a50714ffbd [entropy.misc] FlockFile: also pass the FlockFile instance to the callback
8dd42f9663cbed06d3080da42457f5d3f0fdc0f0 [entropy.misc] FlockFile: move wait and acquired message callbacks to instance
2514ab2725b79793354bad82106c0a5a72d54f1a [entropy.misc] FlockFile: add support for wait messages in shared() and exclusive()
4d24a9566786f0b6ea05a3b97f0e1f253900275f [entropy.misc] FlockFile: add a get_path() method
76bd97981679646f0a93aa261cef8102663cc91c [entropy.client.package] install: add initial concurrency support
02d35f58c337543ce1a321c6e3092c0a03a1091b [entropy.db.sqlite] commit() any pending transactions on release
e717f7a1b36a2630ce5a8155ca7900abc65e23b7 [entropy.db.sqlite] drop support for locking based on rwsem for memory repositories
5b6da64e35bcee9471a698fa2dca7e6c33fbf11a [entropy.db.skel] document further locking infrastructure assumptions
688b8f97965023b5431d6c00f0744f94c92d3b85 [entropy.db.sqlite] clear in-RAM cache after lock acquisition
df4b71d6a9eee1d48df412ac375a3ba0158e4f45 [entropy.db.sqlite] use lock_path() instead of self._db for file locking
5e5b006da0cb7593b7093da4fe3f893da0bbd27a [entropy.db.skel] expose lock_path() and make file lock path configurable
58815a17ed96bd78da7d5d58421dd318d37d9aad [entropy.const] add /run/entropy directory setup, expose it through etpConst['entropyrundir']
d9f76137f0aaf5f4794078f33a6c4ed9657cd150 [entropy.db.skel] improve output during lock contention phases
d5634b2b29bc1fd93801595e41975db7bc3de810 [entropy.db.skel] write locking output to stderr
75b1d8498bcd2568944fd02dbda4df6727f086f5 [entropy.db.skel] fix exclusive() wrt acquired bool
489e48ba4694cba615af20ebfb024a3d71d2fc35 [entropy.db.skel] warn when repository locks are being acquired
6f37738781aa217702c33d02b7fb5c030a4d7776 [entropy.client] always prefer installed_repository() over protected attribute
366fc37f59670c0d71e802cad712cb6bb08a88ed [entropy.db.sqlite] implement locking infrastructure
a8fd6c52c0d631f4ef85d7dda6ea425d4e2f66b2 [entropy.db.skel] warn about flock related methods usage
3d6021042f65ff99aab6b250a88ba75e51a4204a [entropy.db.skel] split release() into release_shared() and release_exclusive()
6206c3de48aed87ec60df42314ae9a0ad8a2dce0 [entropy.db.sqlite] add _is_memory() method
4903d261daff8e1f772daaf8603cd1b93076af28 [entropy.db.skel] add base API for handling flock based synchronization
8852a159137b0c635022d805d3dc2216005edcb5 [entropy.misc] add shared(), release() context managers to FlockFile
a13d78d840c624cdd1dbad41a51247975de89d4f [magneto] tell the user not to shutdown nor reboot if the system upgrade started
1c25cda14977b96ac706b01134bb7d5519a41f82 Tagging Entropy version 247
f28ab4f7027663827fdd13f8c98cd7757943786d Release Entropy 247
7b0d41e50f174b67560d84ad7d17c98fcd780c04 [Rigo] add "in:exact" command to allow users to match packages, use it for lts kernels
0184dac61733525b62b31e70b37f888020507d52 [entropy.db.skel] fix matching of old style virtuals
454b1b61fae5be5f8f4d39c776abd522ecf7aac6 Tagging Entropy version 246
d029f5568c916840c869d2972717c15914dc970c Release Entropy 246
5c717701f7af8e0730755b1ad04b2d7003183702 [entropy.client.package.actions] fetch: pass metadata through _check_package_path_download
525bab67144934b0d0c96fda36818b1c5a24387b Tagging Entropy version 245
f85c890f9add76ba80550ffe99a00be69ca34c0c Release Entropy 245
0bf9ab5d82afcf15c094aa6c9fe9a585bf437bc6 [Rigo] document the installed repository lazy load requirement
a2e1e6ba94074067d404daf54c49e8782449e245 [entropy.client] delay installed repository initialization as much as possible
78c47b65bcd13f48208ed087e74018f4dfff64c2 Tagging Entropy version 243
addd11b19164da2e04ad55c9205d37f032d0a9b6 Release Entropy 243
81dca7339e8d64468d57ff863242bd8b5d04b21b [eit.commands.command] use the Entropy class object to acquire the Entropy Resources Lock
c26b8fb971be6a9d2bbb57fafb446c09e8beaf71 [solo.commands.command] use the Entropy class object to acquire the Entropy Resources Lock
9c7fdd5410596246fcd542f9f0e7ee4238171d53 [entropy.tools] update docstrings for Entropy Resources Lock methods
b21eeaf4d2e5dd21857c0c1f4c56cd7db48ad64f [entropy.client.methods] make Entropy Resources Lock methods classmethods
82b85704ce530fa0849b07891bb40517eadd5d82 [entropy.output] make TextInterface methods classmethods
391ed26f4fa7a0e2995d9a431b635d9a1806351a Tagging Entropy version 242
4d20097e97abc543ccf92e7f01cc8e47ec76c2b7 Release Entropy 242
8846e063aeaef263eb8454c79e3874de25d734f2 [entropy.db.sqlite] add preserved_libs related methods for backward schema compat
87a3b0d73f26ca7c71eebc634158ab89ced20a42 Tagging Entropy version 241
c6aced2bdc29df07a8f4b193512028340ba556b3 Release Entropy 241
255b9f7d36c580d84efa20e74491e54432923d39 Tagging Entropy version 240
755c751d40e3ef9df55bb24a94363ec9e16d523b Release Entropy 240
43992dd452cc55803c6e1f5a1b626a2d6c3023b0 [entropy.client.package.actions] install: fix entropy_install_unpack_hook() in case of smart packages
cedee6a35ca2efbf5d5a59e95944f242d9e0f1b8 [entropy.client.package.actions] install: use the correct package_id
32027b244968367122e46699d4392610cbf030ab [entropy.spm] fix vdb handling wrt locking, fix several potential races
b70ceca1cee3146ef2e3264caaf90fe10c9d5f28 [entropy.db.sqlite] drop retrieveSignatures
ec3d091c22eece10674aaa73946ae517a0837c83 [entropy.db.sqlite] drop retrieveProvide and searchProvidedVirtualPackage
c8c20f03aa96e424806d823639a0f865872c83db [entropy.db] drop support for deprecated eclasses and messages metadata
c199b6839f8262c372ef1b3366ad570f95f32143 [entropy.db] remove support for deprecated provide metadata
a54f5b36bc61ad5a94f1223a5a79eaa679e5b096 [entropy.db] drop 'dependencies' metadata support completely
a42711086b4825dbad61b7ca66976c166586278d [tests] tools: mute output
cd6d6b9d22df14345db171982d2162949ce5524d [tests] use const_mkdtemp() instead of tempfile.mkdtemp()
ac1548207d48022f831c66444888f109319d64c1 [entropy.tools] restore python3 compatibility on newly tested functions
3a05acd16a079f5b415b47284e3ca857d0d43ffc [tests] spm: use const_mkdtemp() instead of tempfile.mkdtemp
d3cfd35bf528f4ed4e44d7f305b799234cea4046 [entropy.client.package] reopen the installed packages repository to trigger schema updates
cf16a4e11ee1f8a246dfe5c9a8acab58c61e024f Tagging Entropy version 239
4d9397c140c6e2f4c2763bbda2fe371cd22a48dc Release Entropy 239
38810e2c83e5cd8bb460e92409b2f173530e8386 [entropy.spm] PortagePlugin: drop dependencies metadata compatibility
a5761e0302b50b7dbb5d0040a4c0c703fbed3891 [entropy.server.db] migrate to pkg_dependencies
c9809f077512985a92fa8d46bba5a9ac6ca0ffd2 [entropy.server] migrate to pkg_dependencies metadata
5c120efb6134de3a70413db60f4e8731268c2358 Tagging Entropy version 238
d10d82bebb0ffd5397d98e557eddee1c495deaf4 Release Entropy 238
a01f0bd1038bc1f945cccef916e4f37cf7f507a6 [tests] mute QA and Security test function outputs
982d99fe30522514b211b0cced99446536e6c326 [tests] client: silence tests
464ae46d90ede34374bf83355ca949af2b39c079 [tests] drop debug output
e6d0a556b7183e01ca83577a745a7cd70b45d03c [entropy.spm] PortagePlugin.__source_env_get_var: silence stderr
e406a4edaa1c8e2fbe822f0966931d28a9ba11a0 [entropy.*] create new dependencies metadata "pkg_dependencies"
48794603d09c01796aa6f35872f73a1aad57e13d [entropy.spm] PortagePlugin: make sure that /usr/lib/portage/pym is in sys.path
79885e0e0f11952eeef96cb0fe0a5be84a7ae9e4 [entropy.client.interfaces.dep] restore python3 compatibility
078c24de3b73dd4379ab1fe2ee1b6c9fd4ec0662 Tagging Entropy version 237
d28fd6050fcc5220c3f1b73d4e77bff9bb18f0a5 Release Entropy 237
57d22348ea5e5bf8eec78c3eedeea227ebb6fac8 [entropy.qa] _get_unresolved_sonames: try to resolve the lib using its real path
2b082167cd5c360aa2ff332d6f8e772c866b15d2 [entropy.tools] read_elf_real_dynamic_libraries: correctly filter out elf_file
32e48aa576fb6bd53d94da96b45bde821a66cad6 [entropy.qa] rewrite _get_unresolved_sonames: reduce false positives
53ef2c06bd51cd80b2a05efb3ddee80a8a4e6339 [entropy.qa] _get_unresolved_sonames: filter symlinks from elf_files
aab2449b2b00535dab9ae65aa3ecadaaa8b0f51f [entropy.qa] _is_elf_executable_or_library: add allow_symlink keyword arg
ed6e58551d71e2122ead06e8f419c3efe46f4b7b [entropy.qa] move ELF file checks to separate unified function, add debug dir check
734fe7a0f92d056ce4a6633cbf63ad29cee05d18 [entropy.client.interfaces.sets] fix undefined variable: err
b08389db21045c92bed51040b08ac1974822e90e Tagging Entropy version 236
46cbde0a878d22c57cfb6e7381b6f5cbc4061b61 Release Entropy 236
b7292eadf133091ce169e5f5b3fee21e1d5f6d9c [entropy.fetchers] do not print "Infinity" but rather warn about the accuracy
a5910790a607f34b7b5c692be8a7ae8271a5722a [entropy.fetchers] clean code a bit
6f8164dd14017e73e91cb46584dc710f14d0da88 [entropy.client.package] fix regression in .edelta files download support
7fc8ad14adbff7d205f2fa0989b3404990cb3f81 [RigoDaemon] add debug output on _authorize callback method
3d1c79c299dc007983edf0d0640b67c82af8322e [Rigo] update translations
0ce468721227b15af6228ece5fdbcee11914dc6a [Rigo] update rigo.pot
f68ddef4ae5007e7174f34bfb5e64ee66e135c81 [Rigo] add support for basic preserved libraries notification
ae9707d39e9dac17193379248bd1984a59073719 [Rigo] make possible to toggle the VteTerminal scroll-on-output mode
04048b88186456c34da3e90b66865d682063721a [RigoDaemon] signal preserved libraries through preserved_libraries_available()
52791086d589fb5d28ee1627607a07e26997ed1a [Rigo] derive Shape from object, avoid python warning
6848c9cda0ae9df3a9a5803c0f37ebcde566a95c Tagging Entropy version 235
b21654e7053b0bf8f7689397d21bfc616aa64484 Release Entropy 235
56bc937e4730e02d2419670877f4fb5e0b9df674 [tests] cleanup run
2c1226f909a11739a7283740d8c2b1b23c12f656 [client] update entropy.pot
57918399e4c1639741a4c7efd9f34b427178c22f [solo.commands.manage] inform user about preserved libraries
c459d63fcc3c922e81ea5b58c64c159d875d8a2b [client] translate file paths on "equo remove" to packages.
ed3e8cc263174c1942de8aefe41bf93ad4852fcf [client] update translations
f4c1cae4fea9fe246e565e77494a2d00d719cde7 [client] update entropy.pot
3f046e6c07da121f24559857e16336b006dfb371 [entropy.client.package] _garbage_collect_preserved_libs: remove library iff there are no owners
dfb6fadf99648c3c6eb6f989e024288a0c752ded [entropy.client.package] PreservedLibraries: fix insertPreservedLibraries() call
fe649e5f2b0c0883e38ab970031c9755a790e1bc [solo.commands.preservedlibs] drop atom argument from PreservedLibs()
2b3b2d0f275810a3f1f718d495fccd74052e6d26 [entropy.client.package] PreservedLibraries: tweak API
7cd5228b3afbc145668a317ebb23f7b856a7c5b2 [solo.commands.preservedlibs] inform user about libraries owned by packages in gc
9d733afefbaf5d221b92702fbf00f500e968fec4 [solo.commands.preservedlibs] drop unused imports
67443f16456aef8a2d309c7122ca0b34a13c6b3a [entropy.client.package] PreservedLibraries: accept any provider as valid
b548f4b357f505cb2f3c1ef2d0369bf2c0f2da1a [solo.commands.preservedlibs] add new command "preservedlibs"
97f2e47438086bc9c617897c87fac186a4c8c0d9 [entropy.client.package] simplify PreservedLibraries.remove()
e7c482ac215d999aee557ba24be17595e311e195 [entropy.db] add atom field to preserved_libs metadata
334172f8f941ee0d21f81e8cbfecab173f03f235 [entropy.client.package] expose a list() method, wrap listAllPreservedLibraries()
87d375e9ecfd13113eaea227101d57646591f932 [entropy.client.package] force self._root to unicode
66dd05936ea23317e3075682cb659165a5d331c4 [client] add new paths to POTFILES.in
fa97583cacd279a1c2d7b64af1a9da534f3c41bd [entropy.client.package] initial preserved libraries support
5efdb319037df43e2a0f53a4a80dbc5e241b6892 [entropy.client.package] correctly handle symlinks to hardlinks, see Gentoo bug #406837
81cf0befe41732914841ba2988ebf46070216d2f [entropy.client.package] extend the preservedlibs module with more methods
3c8f5ae81272d2243cd5739069752d4a3848fea2 [entropy.client.package] remove useless del calls
68f3db82d67811b6d295cb7fad6a6f6bb0543669 [entropy.client.package] add metadata parameter to _get_system_root()
0a948b87847fcee380a80181d17e098b4318a1f2 [entropy.client.package] move self._meta to _PackageInstallRemoveAction
548d579d2f3be4e3a36dab78cfdc2d9309633791 [entropy.client.package] add initial preserved libraries support class
86cdf058a393406ad81eaea88f6fd18c4d245049 [entropy.tools] move struct import to global scope
ff461f467686a80db07d914e6b9aca94b4a16d50 [entropy.client.package] add _PackageFetchAction.package_path() for PackageKit
70a0a1c983e6529d26ad28cf73a85bcd4cc35400 [entropy.client.interfaces.package] drop unused metadata
41e0cf576bd1b2b236f12db526eeffe3d1fc5167 [RigoDaemon] migrate to the new PackageActionFactory API
005ac42610a2c41167f3ced859cf5496ffe7c9c5 [tests] port code to the new PackageActionFactory API
f10b9341f90aa74a3cba125a845ac7b2a589e745 [client] migrate solo to the new PackageActionFactory API
453481204d2512f0bac28e75fafa89bf4fc04b85 [entropy.client.interfaces.package] split Package class, create new API
44444b43d8768a21dc30523062a3f02e666a846d [entropy.client.misc] drop unused variables
8f083449a6832d6d38a0a7fbce398c1f0f31ba46 [entropy.client.misc] drop deprecated class, sulfur is dead
1b6e7ff2fff78036be3a1da47dfc06f91dfca45b [entropy.client.package] move FileContent* classes to separate module
7fe3c021bdf7f5e9b35a8d3540d60a23b87adc02 [entropy.client] move package.py to Python package
69fb71f9578c6bfaeaddb5e16597edb77f9ec696 [entropy.client.package] code style updates
c04f2c5a50c4228d39f3658756a483e76687b98d [entropy.client.package] pylint sweep
ddfdc517919fdb9dea8732690a613f9de56b9fa9 [entropy.client.package] make _handle_config_protect() faster, use sets
782ec72fd60403e6cca735d119d1fe260227c0d1 [entropy.const] drop all the config_protect+mask objects from etpConst
d41aa402bae69ba3c3c18cf2f94e5b6567d67e52 [entropy.client.package] rewrite config_protect+mask handling code
36b38487a47bc73f6f5599752bd1e04befa022f5 [entropy.client.package] some cleanups
41988b7002c3c145ea7584d9ff4489067661d129 [entropy.client.package] fix config protect and mask handling
9c73be1d0393137313d89145cb8c01047882aec1 [entropy.client.interfaces.package] drop type checking
3d7b00725bb554c83561a8f7a1408c0db31d5a54 [entropy.tools] drop stale comments
8c5a499e5845ccd0ba30bd4816185aac5a063066 [RigoDaemon] set the default terminal (${TERM}) if unset
7091c56fe0845249ee9cd236e6c28bd3597d0cba [entropy.tools] rewrite read_elf_linker_paths(), improve speed, add tests
60af35b7488d3a3ae1ebf5dad975c8b92b954c2f [entropy.tools] rewrite read_elf_broken_symbols(), add tests
70fc4598402ab912d5839f97b517a44561484832 [entropy.tools] rewrite read_elf_real_dynamic_libraries(), add tests
1f6805d389620cf041a881202fa0d3be1b9a6b41 [entropy.tools] fix FileNotFound exception handling
5509272fdddb0e7d338f855e6ae8402ea721e3e6 [entropy.tools] rewrite read_elf_dynamic_libraries(), make it use scanelf
36285567849170a29737c0519574dac369494aaf Tagging Entropy version 234
efeefa1d7ce7481e004323170bc29162dc89ea74 Release Entropy 234
24ff697eae45e563d3bf12e19eb769ab6f7b7055 [todo] update TODO
161dbed43d76fb4bc4df30318c8de6e9e5f63569 [todo] update TODO
14f4b7b8c5a2b17cc7b29e0913e82e07cb326f09 [entropy.spm] PortagePlugin: drop the old license setup code, fix portage >=2.2.0_alpha189 support
973dbc62e764ae7a1ec8bec18ac173871c2682a8 [todo] update TODO
96ef5868f4b09bc7a4c6a12219d47a91e2788639 [entropy.db] initial repository database support for preserved libraries
3c7fc6f4d09343c6ab2bb1cdcca2c7e421dee0aa Tagging Entropy version 233
66f146348849b89989563251e7642e0be5ce26ad Release Entropy 233
d089978b7439180bf8e4155a5b6744eb8f8f166e Revert "[entropy.db.cache] add timed expiration support for cached elements"
d786c403c8a9c912c7b013de57c95f5d511ac96b [entropy.db.sqlite] fix the retrieveDependencies cache invalidation paths
8b7c48c2d99822d154bb0cca90f41683551691ca [entropy.db.cache] add timed expiration support for cached elements
47657d62854964a8f8f8c3b0877844d2a31abc7b [entropy.misc] ParallelTask: code style update
465f086148be012e1fe729b01a40997e6df7a054 Tagging Entropy version 232
8124d071d671852a327769bcc61ad495ebdc836a Release Entropy 232
275f4d4c7491a603ace4bed19024b0a4706814df [entropy.server] validate missing dependency string using searchPackageIdFromDependencyId()
650a4626320d9b06c43d5332a7068c4a507348df [€ntropy.client] s/idpackage/package_id/
8ce1f920e06e15c7b2f625314d8e0adffded622c [entropy.server] s/idpackage/package_id
17d1a89ee440f717e5c9921dff10846622725127 Tagging Entropy version 231
435b75effa7bba772f8df4a8937c9a10704d387c Release Entropy 231
421b65ab3a6d9e73ca8afe26bdece174aa8f3d0f [eit.commands.commit] use map() instead of filter() in installed packages scan
b36119bd55371dc04812df3431aa16aa5c313d58 [eit.commands.commit] start counting from 1
b1d0c40153d11346c3901d851c19c47b100d80b1 [entropy.server.interfaces.db] do not pull packages.db.light.bz2
0a1c08b1e87bf0cf7b0dbf1d63179032d02a1f95 [entropy.server] simplify _deps_tester(), improve speed
7eb0687ba9e695a9f9d23dead8f7e69faa53b560 [entropy.db] make listAllDependencies() public
1834dbe55d30af6a4c98267d086498333eb07581 [entropy.db.sqlite] retrieveDependencies: final performance tweaks
66c01f339b6e73618d7f12adff44c4baf067adbc [entropy.db.sqlite] simplify retrieveDependencies() code
a8d2ae3313bb4971f46149aa2adcaae72ad22632 [entropy.db.sqlite] add in-RAM cache support for retrieveDependencies()
8e600c39eaefecf03ecef590ca1ac22f123be104 [entropy.client] code style updates to dependencies_test()
016573701c7859de7906702666b9e7ceb4217bcd [entropy.db.sql] fix retrieveDependencies() usage of resolve_conditional_deps
3e4e81fe8a7f8e6dc976e209962245aaef1c1b42 Tagging Entropy version 230
1c6fd477764b69c95f359bfd2ab362575d6e0add Release Entropy 230
8d6002edaf30eda7c11bbbabe14adbd920b454d9 [eit.commands.commit] commit data only when something changed
9e2a324e83cdab0cd59a025ed3d4f255567f0326 [entropy.server.db] use revision from package data if none is forced
08e4b487bfe1d5d04b197007e334129e3a47e72c [entropy.db] API change, handlePackage(forcedRevision -> revision)
704e5c8765d757c4a8d3c564f157159d5e512218 [eit.commands.commit] refactor _commit(), divide the function into multiple sub-functions
715251d062756a274116ed2102a7e61fa4ab019f [eit.commands.commit] start splitting _commit() method
85d56085625ebf002f672d442e903c974124c9fb [eit.commands.commit] make "eit repack" not fall back to packages scanning
b70d9c2f2920a469e56d6c1d8323fbf05288a623 [eit.commands.commit] make "eit repack" smarter and more reliable
384db92b1738ae1041b17dcea47e056ac29f6495 [eit.commands.commit] improve output function usage
f0db93e10c987fdf3c0c1c1618aaa0472bb0086e Tagging Entropy version 229
7f6def42e7132894ec1b9079255cffb272899ced Release Entropy 229
e164b4b57794e53bd4f52367c1d41d92c53e5834 [matter] fix portdb.xmatch() when package is keyword masked
7c21ee500d7af49c28447d29e2792dd9a9a43ed5 [matter] do not create a new settings object, but keep reusing the same one
1f0750a183412f1647cbfe109fa5e201d2fae15f [entropy.server] add another QA test, guard against revision downgrades
3431755aaf201735d6153a49f4b34de508b12bf4 [RigoDaemon] do not trigger kernel-switcher if kernel is already installed
c689434298ef6783a3cde0f65e899086485153f0 Tagging Entropy version 228
e5226d2d762c1bc03375d995e3ff57b74c729286 Release Entropy 228
42ab0c38a1ff75b9e68b7a7fec5e261d5d9ba583 [RigoDaemon] use KernelSwitcher.list() rather than reimplementing the same logic
e93eb247281a32652d4a4500b8af1227a5fd3c87 [RigoDaemon] implement transparent kernel-switcher support
51c77c13788e304f54c46f64ac176b360e21549e [kswitch] fix undefined reference "kernel_atom" in PreparedSwitch.post()
4fbfdaea763c931c2a1a1d670ee10d2319750580 [kswitch] improve API usability by external components (RigoDaemon)
5e523521efcb908697df86f7185ac4ee0a50e009 [Rigo] use kswitch to get the kernel binary package names
6b3d4d99782df4339cf1e03c01bf6390ff07f42a [kswitch] add virtual/linux-binary-lts variable string
1938f9e439052276575ded7bd86cc3b2e25ab9aa [Rigo] update rigo.pot
fb25f279f446915f959e4168f78fabc3a4f385f0 [Rigo] add preferences menu to show available kernel binaries (both LTS and not)
718b03f5cc8cd828a6ed0798858efc8ac2fe4128 [Rigo] add author bday check
e18b93a8ff222b0b424b5792ea87a94a364adad3 [entropy.tools] add is_author_bday method
015bda378bf906b89916b939607a59e422dcacf7 Tagging Entropy version 227
2bbeae69e104d6f25b7c3eebc87ed1386f9655fa Release Entropy 227
000056afaa95b4a516213a18819403fdf02afa9b [matter] improve ACCEPT_KEYWORDS setup basing on the "stable" parameter
939367dec8dd40057c41798dd145ea21dc03bd8f [entropy.client.interfaces.dep] introduce rewrite_selected_matches fixup code
c54a6e54adf991cc7ebfc1819e47768cb847ff67 [entropy.client.interfaces.dep] use set type for internal selected_matches
f1ef265b2fc7b82782b56ad365890b688612bd8e Tagging Entropy version 226
220e55045357a8ea7a7febe78066899fcbe6fc24 Release Entropy 226
52da3768739798885964e6c8f735bc750cf15644 [client] update translations
fd835e2c45c132bf3cb42ec9df23de69103aa751 [Rigo] update translations
7a24bbc39b003b0533b826602113ab37b67a3ae6 [conf] protect /var/tmp/entropy from systemd-tmpfiles.d
fe225252539246c3640dae70312dd008dd3bfe8e [client] update translations
37fb558566e6af1923e90814cce7f23e6e45a755 [client] update translations
cef85712fcf1ba57c194ea9225ed2fb5c3ea52d2 [magneto] connect to "system_restart_needed" signal
a323563b227d3a9b0b4e9d496f9db1a29fd70e53 [RigoDaemon] add "system_restart_needed" signaling
a7d90680de94545773d70a3888b317be276f7288 [client] update entropy.pot
18364abe636053765c948c5d8bf35ed4ae7f5e9f Tagging Entropy version 225
ce8498a1fb2d33096db20d565784b93027998c7e Release Entropy 225
5f93a73f463017b4cae873db3a5b632cda9908aa [tests] update bytes_into_human() test case
82a2239c626029d1044f57c2aec0f8f23164373d [magneto] implement One Click Update support for all the frontends
ecc0cc9ca63fd24d054fddc361fad573aaabec94 [magneto.gtk] set the appropriate icon name on the notification object
7034a4570188da91bf91bd002236d147b9095cb9 [magneto.gtk3] set the appropriate icon name on the notification object
71df773f5c2e0d7527802e192081dcc2a6e74d0f [server] update translations
4f4fed68196689eb90429c26151a7c227db62f4b [server] update entropy-server.pot and config
bc0e366884dd90a07b51b8e5ab2746b5eb300fe9 [Rigo] update translations
fc3dc5181a9bdcd080442896cdd45b6b05f77b0d [Rigo] update translations and config
819ea31c59d9519de1a09eacb9e1e98c002427f3 [client] update translations
30d2a572bb6e412e1b78edb97e4ef36a0194ddd1 [client] update entropy.pot and config
b71ede2b25d51d8bfedea317fd96c967940f2590 [RigoDaemon] implement support for fetch_abort_function
51e7e03c0015664116a052862ed8ba3c8130adeb [entropy.client.interfaces.package] call fetch_abort_function early
c2feb6354db93001432d94640a06e27ed26b2aa1 [entropy.fetchers] do not leak a fd if the abort function raises an exception
1ebbae17fde66f80b127f0affb148d11d20c435f [Rigo] 1kB is 1000 bytes
acc96f1adad4e07d9a1a0836965a5dc594d4180a [entropy.transceivers] 1kB is 1000 bytes
1b120b53ff41ef7bfc50e80a198ea94510e25339 [entropy.fetchers] 1kB is 1000 bytes
c752b7775a5f027a6fbec3f29dcff661b2620efa [entropy.tools] 1kB is 1000 bytes
a0f684b8aed253871c0c1f3a82f705068de44d84 [RigoDaemon] fix MultipleUrlFetcher stats computation
880ec0588af0ead0a4fc754bf7800ac0d7573600 [entropy.fetchers] MultipleUrlFetcher: move stats calculation to separate method
3fe20f1bd9147ca3f61228a85b631e0836167aa4 [entropy.fetchers] make url_path_list and transfer_data protected
b1642ac2cb4e3ae7281ddfd5acd47c1acbc904c3 [RigoDaemon] *UrlFetcher: move class variables inside instance
898a200479af7f1a3bcfdc69139fb14b1e965898 [RigoDaemon] always avoid transfer_output() signal floods
23e18a9dfe69a2d7651454d0171a1e291a8eb9e4 [entropy.fetchers] do not calculate any stats until all threads have computed theirs
0a7251bcbd43ab535a2a62a90359d50ef6d0037f [entropy.fetchers] remove unused variable update_step
246863357b4c2b63654784e3ac853eac22251d7c [entropy.fetchers] MultipleUrlFetcher: protect __progress_data with a mutex
a71e59cd663d17e899e103d9c6d6b72b8fd4695c [Rigo] add --upgrade cmdline switch
747cfc9ad4383078d96410c13cd29356bbfd7625 [Rigo] debug_rigo.sh: append argv at the end of exec()
60febda4f06a6a1bf0c5f2f0c9eecd48cd57a335 [RigoDaemon] add initial One Click Update notification support
d91a8d7c9ed29a088057600289c612360b824b46 [kswitch] fix _guess_kernel_package_file subdirs generation
91f6c24d9dfbbe2b8454a42748bf2df7e25a5622 [kswitch] add new method KernelSwitcher.running_kernel_package()
5b9a5ee27345d1f4dd01a3685e9491def2dbbd91 [RigoDaemon] extend updates_available() signal with "One Click Update" information
e02c8da563616af6cffaa3a0e360057f0c855c61 [RigoDaemon] fix xml indentation
82ca6450d93a224fba322a4925896c9629d435ac Tagging Entropy version 224
3d2eb09213bc6f0d9300c0497703e8487bcb8b6f Release Entropy 224
fa71378cca200d29283e58dab140eed4429b33c6 [matter] fix typo in variable name
7680861cbbbea10857463811abed73465f940e0c [matter] fix post_build execution wrt collected statistics
d8a4b741a52069c82bfd803decf6ebfd28cf47a6 [matter.builder] fix needed_license_changes backtrack info handling
fc56ba5be290c402e15402713070fc71432c4bac [matter.builder] execute post-build operations iff there has been vdb activity
964b8ad7cf191f6cc1cce1d591465f1f3bb081fc Tagging Entropy version 223
28cb3980694e9266e1885c43d2418cc2033a27a4 Release Entropy 223
1c2b6d01536e3000c3086666d0adccf7350f2392 [matter] fix function calls wrt dict expansion
f66aee8ef5cd4849d4ccf1c2df0ede9dc9adebb8 Tagging Entropy version 222
d7b9cd30b779f19aa4a7abdf6c74d03e31f65f08 Release Entropy 222
eeac4a7782ee23020dc8e51826b1c966d6c9ad22 [matter.builder] use __str__ or __unicode__ instead of copy.deepcopy() when possible
c2c4647c860f3d2a2338fb921dc259e4ebe5f880 [matter.builder] regenerate dbapi.auxdb objects after calling close_caches()
b427d09f67be3a548723699323a8b4b62b49e0b5 Tagging Entropy version 221
93bc50c5397a496420b28c553683a93b690a0792 Release Entropy 221
5884c68bcdc8043401cddd73cbc636c69ee1e1f0 [matter] use PackageBuilder.clear_caches()
66db77935dd71a72642e0755282224bb76c8f9ad [matter.builder] add PackageBuilder.clear_caches()
ee4452ff3131dc74ab0c82ef9c14cfbb018597cc [matter.builder] use copy.deepcopy to copy more objects, avoid circular references
47ea8c70cac135c32aec03fbd61b77d0e15c73d6 [matter.builder] use vardb.match without cache, reduce memory usage
3ae112caae8baac4788959bdea7928d1050b8ab5 [matter] use collections.deque instead of lists, improve memory efficiency
274adb4c3e75afbc802d9669f58e2216b2b1ff7e [matter.builder] acquire a file lock before calling PackageBuilder.sync()
b5dadd905ded82a24be88cd8a1359e73ad7facea [matter] add another example particle
6969da5a3eccbb72f6cd6a9780b29f613c0a7d04 Tagging Entropy version 220
c95955c1ae8aa541c779628858fabf36977c027a Release Entropy 220
aa2a6520f4fb17aecb15c91be467e12c8b56ce0f [matter.builder] expand depstring to match all the available slots
594656e03d929d656a55af51314740d35d67c872 [solo] try to append a category to package names in case of no match
79261d50861a465f2849cd16cbcd5885e8efd3d9 [RigoDaemon] increase auto_repositories_update randomization space
78144d3a6606cdf669252ef92898479985b119ad [matter] use copy.deepcopy for every portage backtrack generated object
886c441850d73f23d2008239bb120b1bc1913396 [matter.main] merge the use_changes dicts in a safer way
94d04cc1ef6014bcd50ef145dfac56370f43411c [matter] add support for needed_license_changes backtrack info
4124a3e4e99c175c09c4221a91345c843f79d701 [matter] add support for needed_p_mask_changes backtrack info
2594f3f1d2eac72b60900b0aacfd09c774b2cfff [matter] use copy.deepcopy with Portage Package.pkg objects to avoid leaks
487bfc183d270ee1fa4d395f7add99b8791e4682 Tagging Entropy version 219
85a653ba65efb87f2385ffb503874aa3804ccd90 Release Entropy 219
ed6224576dc34bf4f352a9982cbb6f7bea2413ae [entropy.client.interfaces.dep] move calculate_updates() back to single threaded implem.
764b2152787602aa9828d63e9b61f1a40a793672 [eit.commands.{mv,cp}] add support for package sets
16ec9990e0f7d83af74df47efe64c14596886090 Tagging Entropy version 218
d842b47396b96cd287127e7f67ed0fb72f0f4851 Release Entropy 218
64629bde8abee1ffd5b9c38e39bf2efdd561cae2 [entropy.qa] add missing import
0ae6d16483a86b3de37b58522a7d674555afee2f [entropy.cache] do not use hash() in MtimePingus, but SHA1
77db0cf3cdb3523d0316d06b3e7325b07551c4f9 [entropy.client.interfaces.dep] add experimental multithreading support to calculate_updates()
4313baf4b6a4b35d339ceba0df2c449eeac4d1ae [solo.utils] enlightenatom: add slot substring support
a079e57ccc6519815160ef0e514a51879b055dce [matter] add Portagge backtrack info "needed_unstable_keywords" support
8aa8f1b3e436f07404079ccaee41223b43846f76 [entropy.transceivers] remove unneeded .flush() calls
78deb16b821fcc20a715ee4b0411be313bfd7542 [entropy.spm] PortagePlugin: remove unneeded .flush() calls
31b35cd5203a65eccb8076d819b0fca6c28257b6 [entropy.spm] PortagePlugin.xpak: remove unneeded .flush() calls
9c38a070d6a4e1f2b962fc67a65661248dfbdc24 [entropy.server.interfaces.main] remove unneeded .flush() calls
31528cd850f6e01cebc6acf113d9dd491f16328b [entropy.server.interfaces.db] remove unneeded .flush() calls
deba77f44ef6284425408839634f6ca8034a7365 [entropy.client.interfaces.package] remove unneeded .flush() calls
913ad559e7ee2033c5aa00cbff351e64ba83a60a [entropy.client.interfaces.client] remove unneeded .flush() calls
61307b21fa6d09fb3d730df616ba3808329851d7 [entropy.core] remove unneeded .flush() calls
e32b94dcce3505e12dd0cb8fc279bcdae40698ba [entropy.const] remove unneeded .flush() calls
670c9ae992536a70ca5bd2598bd5d3c9e27575c4 [entropy.security] remove unneeded .flush() calls
b317ffa0f339c49661fe3bbd04e7ced581329899 [entropy.qa] remove unneeded .flush() calls
c49924504a41c1a2dc4982217338f9bcd2d93bf5 [entropy.tools] remove unneeded .flush() calls
ae1ff0b83558a46ded6b6f6c9abcbd89d088d11e Tagging Entropy version 217
5fead492a12cc32dc9f13b28f299db4bd5b4227f Release Entropy 217
74169c1a8ad6473251e3ae66fbd23235c2418a2c Merge pull request #2 from dMaggot/master
cc0346bb22c0229b2b098aa7fa0bfb71eb79a455 Removing Call to Deprecated vte_set_background_transparent()
0b7423a7fd7be3c5dd94b62eb4de6c66b2525315 [solo.commands.*] properly use the return value of _install_action()
b1ac6994fa76cae67dc6057ee33e8cb779cc2d74 [matter] catch OnlineMirrorError during entropysrv commit()
978eccc78e94e9144dc66cc7392a5120943c32d3 [entropy.spm] _add_kernel_dependency_to_pkg, rewrite to use /etc/kernels data
7bffbc34038acba00bb7bc85c0b7967a1dd84714 [entropy.spm] PortagePlugin: fix const_dir_readable() if condition
941146c95b6cc4d6ea67684c0a42b46f701cc3b8 [todo] update TODO, drop TLS proposal for now (due to _cleanup_all())
321ff3c0c8f90b45a587b2c1c8c8a860d4e419af [entropy.tools] drop compress_tar_bz2, no longer needed
060c12193d204bd21cebb2b0192731261280bf6a [entropy.tools] drop spawn_function(), no longer needed
e3542b23e476d00f5d58f5709a816814916a5438 [entropy.misc] fix variable referenced before assignment
fb810f290e72a4fcead09c4098e541a46babcdc0 [entropy.client.interfaces.methods] fix undefined reference
7d7284dfe3cb9cc569465f3c45756e7d3b81d09f [todo] update TODO
9426900ccc3b7579024f16b9d70d99655a181be3 [eit.commands.log] drop access() usage
fd981bacb951193d78ff380ccad93196968a6bd3 [eit.commands.inject] drop access() usage
3e7608690fab27a39ffbf5374e1f9102e86e33ff [Rigo] drop access() usage
27659c6dc676943ffe82f0070ded6c2dbb9db380 [RigoDaemon] drop access() usage
d837c700812d2ff462a3ee8c24c740f606c30610 [magneto.core.interfaces] drop access() usage
d5dc497dcc78c836a96db1dde773446c5c60a218 [solo.commands.conf] drop access() usage
e836630db4ff8f96ccaee7824592ff0a5d0d3dd2 [solo.commands.ugc] drop access() usage
95e291bd6201948f20d6d8186646493f125fa9fc [solo.utils] drop access() usage
fe83020ddd563544ba8ea53cef2193819bfca5c6 [kswitch] drop access() usage
29a7854d935ce1486c1d386e8cef0bc5c1e5b8c7 [entropy.client.misc] drop access() usage
933e792a56c71577e7f99b1f8f3f8a89560900d9 [entropy.client.services.interfaces] drop access() usage
c9b3195b68e8d7a765f63284cf00745a11657344 [entropy.client.interfaces.repository] drop access() usage
0993913717f6d89c10512b23253022862cd135fb [entropy.client.interfaces.sets] drop access() usage
b6c1668c419f1444850215a1e0ba3f76ef1640eb [entropy.client.interfaces.dep] drop access() usage
9297be600d0f14c0912f99c724f0414e33c9f06c [entropy.client.interfaces.noticeboard] drop access() usage
723ccaa90e99c9c42bfc94b7b5ebf82bd5835de6 [entropy.services.client] drop access() usage
1a9566ddb7c6915dd6c460374ac2b7cf06304c81 [entropy.const] introduce const_dir_writable
8d6689baf726b7ec2b91ef864f95657d324149a7 [entropy.const] move const_dir_readable logic to _const_dir_something
53fe36eb6ad45cdced90fa691af9324a996aac56 [entropy.client.interfaces.client] drop access() usage
5944218a50afb42937c454a1b3b30683030dac64 [entropy.client.interfaces.methods] drop access() usage
377cc38519d37e1bce7c62ff31306a907d205404 [entropy.qa] drop access() usage
d2a542ad728cd64c55fb29640cd92acc56b9962c [entropy.db.skel] drop access() usage
5c16439cdf50446e7e3667523d3ce7da8f30af55 [entropy.client.interfaces.db] drop access() usage
93d3ddc87b85892c6a4d35943257409ff8d4255d [entropy.db.sqlite] drop access() usage
9f3b532a6b3d385e69c5ba208f75299866576f05 [entropy.const] introduce const_file_writable()
0c5abdce77f91bed06779cd8bb43f26b01a12bac [entropy.const] move const_file_readable logic to _const_file_something
689e96e06f6aaed3e0cea8e0e08b41abc0314811 [entropy.const] const_dir_readable: use os.open instead of os.listdir
0c9890d1246a2e9ac1d34f7877d9cec4a0f3995b [entropy.const] const_file_readable: use os.open() instead of open()
1d3551b917b586530795cb3c2b2d45f84dfbfe87 [entropy.client.interfaces.trigger] drop access() usage
2845a6fc62d0c9173ad20801d752021538be25e2 [entropy.core] fix _repositories_parser() repo_conf readability check
0aa435595fbd87b337028cadd11d57ae5865307d [todo] update TODO
260f8aa439e5f6b31db53600948e98aca2454ad7 [entropy.client] __generate_fetch_metadata: drop access() usage
29c0f4cb9f562fb974500ffd017c8075f92966b9 [entropy.client] _handle_config_protect: drop access() usage
fb9fe3a8d09595c9d0568f7dc403bb70db08ebbe [entropy.tools] istextfile: catch OSError and IOError exceptions
8e70eb0c17aef158ba6a1a046d993c7a064f707f [entropy.client] _remove_content_from_system_loop: drop access() usage
c62d3a7c47bf545b9e23554b3d90d69abd1b33ce [entropy.client] _match_checksum: drop access() usage
827ddc779c4e33ec3607894f46967a79edbee1bd [entropy.client] __approve_edelta: drop access() usage
5d7d951e048ce2c517fd10d5cc477a27eea44b46 [entropy.client] _setup_differential_download: drop access() usage
f5950d10c1d0107c51d98a7cdfe04ccbc321c86e [entropy.const] drop access() usage
18d7de08a82fe9ecc516eb907708bd648854e9a7 [entropy.dump] drop access() usage
7eda14685df1dc04aad33a0dbbd91bb6ea366934 [entropy.security] drop access() usage
33bb10ceb252f11ed00068a164e92fb97b578e4f [entropy.tools] drop access() usage
50798c04b1f0b02f0aa9febb95a9b3897c0dc599 [entropy.server] drop access() usage
ae456f9c3f1b1fac7fc49a9a378ee7fbbd63091f [entropy.spm] drop access() usage
504ab3dd15069909ddea3172560613a0b066e962 [entropy.server.interfaces.mirrors] drop access() usage
58d68118d4b385b65cc286cb49b42e01d7b898bd [entropy.const] introduce const_dir_readable()
4cc4908a115ddac0a415490364dc7f5fc10d2212 [entropy.server.interfaces.db] use const_file_readable(), drop access() usage
8da31ad7a8e4bd2e20a50802412c4bfb81f0cc10 [entropy.const] const_file_readable: fix typo in docstring
1dccf0e6ef278e65dc148e5e058a0fb43b164a98 [entropy.fetchers] use const_file_readable(), drop access() usage
5faf14885bf41f3a8819ea9b3899bdba20499035 [entropy.core] use const_file_readable()
c6b6a29ca08f86450ffc49f9c5f63d587a7462ca [entropy.const] introduce const_file_readable()
36528e09063a4b9e6271d28ed3c7d142f173bd3e [entropy.misc] EmailSender: drop access() usage
d1b2fc91b4ec58b501f108c52784501ac5cfde94 [entropy.core] _repositories_parser: drop access() usage
a2315b1c92504d85c6f3a9cd7e66088823bc0f2f [entropy.core] _system_parser: drop access() usage
95fd9126845eb95a823eff6aa52227c064f843bd [entropy.core] _hw_hash_parser: drop access() usage
d58550306fbe9660bbbbf0435f46577cd156eaaa [entropy.core] __setup_package_sets_vars: drop access() usage
61f12d5599d2852d733922f5483bf522589191d7 [entropy.core] __setup_const: drop access() usage
7e4bc4d98d8be7fc7162d29bd9785b132b95dff1 [entropy.server] fix drained_dependencies_test() output when data is cached
5793020aad1bf12852ae07144f09422066b735f8 [eit.main] use _exit() rather than SystemExit() exception.
577fcf32c63ee1d43abbe8f83dc66ab9d24f3e99 [solo.main] use _exit() rather than SystemExit() exception.
1ded3747d40bbce985f71777c999fa80c6647719 [todo] update TODO
51ea669c0208ec67cb73f176fcfa4ccd9ad6e726 [server] deal with Python bug #16308
385c2934c57ad53fdd2823398dab645581c2cf60 [client] deal with Python bug #16308
a0cd08d1ded62bcd0842dec7600b3a3007d65930 [solo.commands.query] use quiet=True with calculate_updates()
390f0778d0eb3f0f9c417e6891dba2ec83742c43 Tagging Entropy version 216
e929e6f440118a944173def93d3978816dec48e9 Release Entropy 216
e9c9b0e7de7415622e4cebcced9a48a433a82b40 [entropy.client] fix _generate_reverse_dependency_tree cache generation
4b73dc7b94c4a22bc91a5fc2e1ed6bf964c24a03 Tagging Entropy version 215
7a02df16a1ed1bc4b582a91330ad7ad78be8c0f3 Release Entropy 215
98b5afaf2b73950ae2ce9ecbc4701715e82c1e14 [entropy.*] call EntropyRepository.checksum() without strings=
70dfc59b78ab2d600395fda68bebbdeabbaac586 Tagging Entropy version 214
8604b84280bd9437713f2c8939d3cdaca0080645 Release Entropy 214
e4d5eba18efe27002e1ba0a7282e32489ea01166 [entropy.security] drop hash() usage through the module
b5d7dfeb90a14bb39185930654cd289fec28232d [entropy.db] drop strings= keyword arg from checksum()
2f4884a4ad84922a728501aa8ffb8c388b6ed355 [entropy.client] check_package_update: rewrite cache key generation code
74993fa2e149db6e056ceec98fe52f289573a6dc [entropy.client] _generate_reverse_dependency_tree: rewrite cache key generation code
d73cbeb75d3232b8f7d1f0bc3eb50e5759dea8b8 [entropy.client] tentatively remove __validate_atom_match_cache()
eeb079b2e9af70fc6272ad4dafd596b28fe54c11 [entropy.client] atom_search: rewrite cache key generation code
cd55a7a043a4301fe0ddea6c2ba5988d66b91116 [solo.commands.command] call shutdown() before releasing locks
6a249d4f11dc0347f6a793ee72c2ebb44cd46e72 [eit.commands.command] call shutdown() before releasing locks
a3245563584ec02ac15ff81bdd908ca7f3513aeb [entropy.client] atom_match: rewrite cache key generation code
cfaece40951583289b75ec06f12a2603ea203832 [entropy.server] do not use const_get_caller(), which is buggy
e96b1643b5513f194fe98ee0ea76c18c70d197c8 [entropy.server] removed_reverse_dependencies_test: highlight removed pkgs
4647541d30d96ec636691397b5f69150afb03157 [entropy.spm] PortagePlugin.installed_mtime: consider parent dir mtime
e38e52907617b902f105874b45d11099e584fa36 Tagging Entropy version 213
0f9a34133a83a48823652420994a624cfa457dbf Release Entropy 213
f3d8d342332416ddc1abd4f183300032fdb2b0d8 [entropy.server] extended_dependencies_test: use SpmPlugin.installed_mtime()
bb59c1b0103d32d3f99ad61bb108995ae0841f51 [entropy.spm] SpmPlugin: add installed_mtime() public method, bump API
5e722e62a74418177c1563fde77a5d5172a0e5c2 [entropy.server] nit: drop useless empty line
6dec4df08c9e2cf518ec5739c8b637d82973aeb3 Tagging Entropy version 212
ca4a27f8f915bb2c51e817f112ae4b50199252c7 Release Entropy 212
718a474a76f4d85c66158b393ca76b1592143b46 [entropy.spm] PortagePlugin: pass fd_pipes to doebuild()
3eb52ffda91b55bf9dec32a573b660e9ac465d43 [entropy.client] shutdown: make sure to sync() caches before destroy()
b00259a1dcb4543313e151f851f6c30933d36e62 [entropy.server] extended_dependencies_test: use checksum(include_dependencies=True)
db8cc4abfb67ef466483f15f240bd2471bdaaa43 [entropy.db] EntropyRepository.checksum: add "include_dependencies" argument
2c06899eb3c87b699b37da87824c683329ea94cb [entropy.server] extended_dependencies_test: add disk caching
af0acdbaf44179fb5bd85dd28e49526cb299a86e [entropy.server] refactor dependencies_test() and _deps_tester()
52bb429773d1a6380f4e3d7f2690cc5d4f9c1c7b [entropy.server] extended_dependencies_test: add use_cache parameter
16809d5df8afc28c822ad0369737fa8ec8cd0aec [entropy.server] injected_library_dependencies_test: add status output back
c8c07ab8333fab31c2072a03d0e9984925040f47 [entropy.server] drained_dependencies_test: add disk caching
41883ea305d96e7e83910f179be39fbb73f7c12b [entropy.server] drained_dependencies_test: split method into two
68d41fd6e6a3f059a9083924b2ec72e9c90acfa8 [entropy.server] drop verbose output messages in deptest functions
2d1761677e16e399dd2ee195ee6ced142ae04009 [entropy.server] removed_reverse_dependencies_cache: add disk caching
91b9c4ead7e245aa1dc93dceb5d2d59b5291c49c [entropy.server] injected_library_dependencies_test: add disk caching
9aeae36585f4e398ec6bb19d113d4f447630b631 [entropy.server] add _cache_prefix()
b355a868b0e94686e19b974752e56556adf0d87c [entropy.const] const_get_caller(): make it work inside test modules
d6802a2703ca1b6d59cfe5d43a85379d71991879 [entropy.cache] EntropyCacher: promote methods to @classmethod
fc12c7942f6342176e75b97958f67f8b66e31426 [entropy.server] do not force disable xcache
4d8b14769f62fbc7a0f1e3c9bdee40869b93fd94 Tagging Entropy version 211
0df198c97671fcb8d71807bd7398e920b613e02a Release Entropy 211
bc4d4bd49ff3a763584170e4df6028b9771802c8 [eit] add "eit query required" command
d1c36ff84817fdb4b2e4bfdca2e80ffaa29a1a65 [eit] update man page for eit-push(1)
e727ec7719749a83ded0e6e9740c7c0fb704e860 [entropy.server] fix syntax error caused by the last commit
fa4cee147e1935a54cc7e25b886c149a40453366 [entropy.server] removed_reverse_dependencies_test: only consider qa_repositories()
f23ac9936b2919838748d95cdac9c92472a435b0 [Rigo] drop unavailable signal handling for GtkEntry
8336ca0f475d76b50a13721a31f0792da22d739b [entropy.server,conf] add support for exclude-qa repo config parameter
aefbb2d66548499937ad2259e6f89807cd20cd15 [entropy.server,eit] add support for eit push --force
4e482dc339ec0322ad76d2da85b601a3da4d4025 [entropy.transceivers] do not mandate to test the connection on __init__()
5afdea550d0fdfab915015612a5f2f78bc840a00 [eit.commands] EitCommand: reset repositories states after lock acquisition
73bf33161cc40923c94ef0af9e18b1d05d26da4c [entropy.server.db] ServerRepositoryStatus: add reset() method
7dbdbb14912885b8c58a505720854c9f0a2f3b3b [entropy.client] better name _clear_resources_live_cache
a5da017cad3abfbc6b3b8f1b6f40984403303e7e Tagging Entropy version 210
4883d8f86e86aa3591b960ba6f0c064dfe3b159a Release Entropy 210
b4c8f69c3dbfd5c1693e90a0fb4577adf0875782 [entropy.server] tentatively fix injected/trashed packages in scan_package_changes
ce94f8251194473bedc76c838240398308ee1ed9 Tagging Entropy version 209
a37ebf1ae9c54dca36ce9d6dcedbc4db474d2411 Release Entropy 209
77aadac429d0a89880ac538220bee91329621a0b [entropy.server] complete the improvements to removed_reverse_dependencies_test
5611aa0f178f667b90b6b6f54895c3ac3c17e3ef [entropy.server] improve the report of reverse dependencies for removed packages
60377dee8d95ca2e2bd0498030208794b02c98c4 [entropy.client] handle errno.ENOTDIR when using lstat
b009b304d54dfb4ceed14ec00b096b910f51356b [entropy.security] simplify the Security advisories and fetch code
54a56b92344c185ba63805cdd70011c96833d42d [entropy.security] System: complete migration to self.SECURITY_DIR
316c25e10a87e8a55d048c1525ab4a3a200f7181 [entropy.security] start System class refactoring, clean __init__
ffbe47bd913bb0c3c386cf19ae48992c7c4659a8 [entropy.security] make op_mappings protected
9785c3167926bcb78e7c931a22385049730c89b6 [entropy.security] System: make it a new-style class
ac718eb14f403478207b2612802ae9013c3d62eb [entropy.security] make instance variables protected
3c45ded29280e3bb9481dbe776a70b09c534ecf0 Tagging Entropy version 208
575d5929dcf7e5a21bc019c42b6184f236858b6c Release Entropy 208
233cee986a2401e9f5214d82c54964dc2a91cba3 Revert "[entropy.spm] PortagePlugin: use returnpid=True with portage.doebuild()"
4eeb6c7c0f04ee5f455511f37527f092bca03695 [entropy.server] fix colors
5d137796865aa0352cc72d171bf04707a3b7842f [entropy.server] removed_reverse_dependencies_test: return complete information
10f90b0b64dae3b11155cc99fea61a68feccb5f2 [entropy.server] scan_package_changes: add new keyword arguments
b95635e4b06ecaba1c235c599fa685ce03999131 Tagging Entropy version 207
2e350056bcdf72d123c4d7f37cd5123bacd598f8 Release Entropy 207
8bfcfd8e35f7431155f535a3ab98e624cbc692a6 [entropy.spm] PortagePlugin: use returnpid=True with portage.doebuild()
d6497acb911253b9ba7e96dba996c583a481ad46 Tagging Entropy version 206
26556828b257d36cb828efaa14988f2337ab6d7f Release Entropy 206
15b3bd63b5d56bac6edd780ef2e65135f93554d0 [entropy.server] add removed_reverse_dependencies_test() to repo tests
bc8b23525db58e80acd9db9234b117f9a80babf9 [entropy.core] expose the coloured output setting to entropy.conf, fix bug #4283
6d741292b657974ddf3f6e00ee2074d5b88ebb5f [eit.commands.query] fix variable name clashing
fdad68cace07c159971bf28d9dcf7bc0321dffc9 Fix license element syntax in package.dtd
183ae6ed8b96366e980c717db4bc50bc610d095b Fix element order in package.dtd, signatures must follow extra-downloads
258b24ead69c836993843be78a32b09109659af1 Add EntropyRepository.getPackageXmlData() method to output xml package metadata
b191de90f298f7aa6246d83a85560aea9843311a Place <provided-mime> after <signatures> in package.dtd
e3c5486a51d234b9e90a05d985db4e84b85cdb93 package.dtd: add enc attribute to <license>
695ed32745722ad6743be51dfa48b8e2e2ab7778 Add a sample package metadata xml using package.dtd as schema
ff238c6843b654c2a6a3a756a2e171b321f4da67 Complete package.dtd, add source-mirrors and pkg-changelogs elements
0281e65a8369458d9893a3fedc680043e2319a4c [entropy.misc] update package.dtd, make versiontag optional
3c68c46fbffd92087e5259bbaa8fd81f11eff2a9 Add a DTD for the Entropy Package metadata.
60a0548f2056d02e7b3601ae017aacad3f1a1ff1 [entropy.db.sqlite] make _setCacheSize() and _setDefaultCacheSize() protected methods
ee83063ed7981752a4185a6e5e4d9147529eaa4e [entropy.db.sqlite] expose default cache size to _CACHE_SIZE
7b9a2e88c7e1360c86389d47a64ba1ef9475223a Tagging Entropy version 205
bddea392f3d683829785f2798017108ad55c1ada Release Entropy 205
8527e65e29b6ce4a03ac048fc9fded18b795cbad [Rigo] use only cached UGC metadata if user is scrolling the TreeView
757f3008146d5520a339cc3cec4a24e9cdf64920 [rigo.ui.gtk3.models] add cached keyword argument to get_icon
9cf9e45a1187e544b327581693ca7a2952c34dbd [rigo.models.application] add cached argument to avoid querying the WS
9bc6b9212ed3a06e57e82caec369b971050a6703 Tagging Entropy version 203
b36c55573c669f4a5e1e55065034418aaa2c1a14 Release Entropy 203
96293b934f8ea39ab8fa14320e090be724dd211c [Rigo] rate limit requests towards the web service
43392858043969da46396841da515c9dd6d25476 [Rigo] cope with invalid icon data path
de6fdd723ebb695a2b0636325c2c448491134b12 Tagging Entropy version 202
37342904d6a6c048383f87089a6a209cce399100 Release Entropy 202
7ff15f22eb959ead25162a7da64a71e2948fc26e [RigoDaemon] randomize _auto_repositories_update to avoid bursts of requests
d8f55890feb3d975e7d85416ba6ba5870f8b09d4 [entropy.server.interfaces.db] _rewrite_treeupdates: use list instead of set
40cf8faaeb96bf6af41d0279c45b525eea2745a8 [entropy.server] _rewrite_treeupdates: filter out duplicated actions
b8b958604f471fa3060745fd025fc1bbdfdeb792 [entropy.db.sql] retrieveTreeUpdatesActions, listAllTreeUpdatesActions: order results by date
3dcbe492813e3444f57c80eb3c286cb648af5527 [entropy.client.interfaces.db] reduce delta threshold for EAPI3 to 100
536797ee5ba252abdda400f58a294672b5ca6727 [entropy.db] delete inverse actions from treeupdates actions
086b59f0947a8673bb795dccdaa4de066db541f4 Tagging Entropy version 201
72bc9ca4521691be7760b0047ed02b64b58f9a03 Release Entropy 201
7eb9bfd611fbbd220780a099e8e62a705e56f882 [matter] fix "changes" metadata objects handling
64a8d76ace7ccf5cbdbc74281c0aa21ea8d39954 Tagging Entropy version 200
08bd609d8749e7eb3ed8082a4aa137329bfc2142 Release Entropy 200
b8f22b4956120297ca14098bba6f78b2acfd9b0e [matter] initialize a dict for new_changes
c3517825e85e3470e844a66791e40472c08a2359 [matter] use copy.deepcopy with get_backtrack_infos() Portage data
14d131904ba46287ae4d6a4aac0a5763d5d95339 [antimatter] use _new_scan() when --not-installed is selected
dcbdb8d0f42dcf7f6ed240765ebd2f7c94ff5888 [antimatter] add --not-installed flag support
f3828597e5c98a587cc3b903b999c363c68b80f3 [entropy.tools] increase read() buffer size to 1M
85302b72539f422cf4b8337166a18ce6f99f9cd6 [eit] dump local variables for every stack frame if an exception occurs
071fce7d6c5072b16ca8b92f56442bd8ed91ba4d Tagging Entropy version 199
6c802a88d6e0de83457e2d8b9c21d42d7a931c3b Release Entropy 199
f8d5d062abc4b05a62767b46cdea72993a64cd72 [entropy.const] const_convert_to_{rawstring,unicode}: add float support
6d94e8687015b3607771f86880223f83572412ff [matter] add a final \n to the missing USE output
45ce99a0aa119f98b0c4c0d25f04368f3284f013 [matter] import print_generic
9a5062648a4df734e33ab6c63467014536df7039 [matter] print final status report using print_generic, avoids the timestamp prefix
7022d5cccc947bbff59cf3f67e5fd630d6086671 [matter] log and report packages not built due to missing USE flags
414bb45243eeebfc5e6aec14ff04feba5e551159 [services] entropy-pkgdelta-generator: check if "deltas" subdir exists before scanning
90f5b6e6863f8b5eba4b3722d374ffc54445ff93 [entropy.spm] convert string to bytes before passing it to hashlib objects
b71cea2ed5606625f637c9bb2e45cbd40b0825b8 [entropy.server] _calculate_sync_queues: generate upload_queue by interating over dict_items
5feee2abf0841077a5422fa3af3d73ff422a479a Tagging Entropy version 198
01e7fa7db6022a94b01dcbfbca0fb3f367c2170c Release Entropy 198
7c77c6e2df292b85de92b8920da4499e15ff9755 [entropy.client.services] fix typo in method call
05d94e7e3b8fb1cfee27b8b37882e3ea2a643d30 Tagging Entropy version 197
56a7c9fa3a9fa644f77aada24714763361f8ce9e Release Entropy 197
ccca9b2365e6c4765a1c2f0974535b942d1ea51d [entropy.client.services] eapi value can be None if unset
f8ac43d697f369654c9b8af0272f91d2e992c0d1 Tagging Entropy version 196
4902974b21bf97f341dcab04b0e6eaf1de4a93f1 Release Entropy 196
af046cb92d1bfd3fd171337e6450f0f335baee79 [entropy.services] make possible to block Entropy WebServices support client-side
df6c71698399eec49bbf6517c0c4fcb75018cfba [solo.commands.update] drop download accounting for repositories, no longer used
b4a6c405aa62374228a122cfadbe99e2dcf13a46 [entropy.client.interfaces.db] lazily set _repo_eapi
93728a577491c630354dd470c12edf66dae918f1 [entropy.spm] PortagePlugin: add support for the new make.conf location
c7f03d2e1a60a3066aa3e5bec4924820cd26ee39 Tagging Entropy version 195
942ff7151f33d4c744dfd4b13f066f7a18f2031d Release Entropy 195
4149e6effff973d4e4108628614c92259941bc64 [solo.commands.match] add "--showdownload" to "equo match"
379a575feff8a19d514718a48521541869f2331e Tagging Entropy version 194
8d095c74cd1893b550713c8ab22e81eda8ec91f9 Release Entropy 194
2925d8c462f9f7c8d73615ed65f7dbb8ef7b527e [server] update translations
6931a303b3a907a2b85ee83ee95954b55dd18331 [client] update translations
1e339b64016df42803e27741369f5c8bd5adf7b7 [Rigo] update translations
897799201ffca08c1e8d70ff14e8e12f8ee61e48 [eit] wait indefinitely to acquire the resources lock using a spinner
93debd109df295fa2e5b4f583d05c41c8d4e5436 [equo] wait indefinitely to acquire the resources lock using a spinner
eaae9bdfe7a90aae66b89f5058cc0280d72acd2f [entropy.tools] add spinner support to acquire_entropy_locks()
c4ebb40b29fb958ebe42aff99c090b83499af7a5 [entropy.client] add spinner support to Client.wait_resources()
0ffe7a9f9f7830d321127c19e7979ca28a08b5ea [equo] implement "equo repo rename" command
b48ca566c5d9b16e84b53a16edf8f809517a7bcf Tagging Entropy version 193
7fa078a0f8d29bc1eb01b8e278a6fdfd7bf7fcb8 Release Entropy 193
47dd7c58d9050f343c2162277f5c06135cf2748a [entropy.misc] LogFile: add isatty()
5353746890d871ca82253e8a4d64dcea84f4373f [entropy.tools] movefile: catch OSError when unlinking src symlink, no need to fail
520e9e38fc4d8dbcfff4d687ebaa239814b968fd [entropy.tools] movefile: eventually remove src if it's a symlink
1655f8d6924ff72e58fa62c49ef35e87b3513a75 [Rigo] update translations
91f5f3f79866cbced89f696797b0d4488e00cd1a [server] update translations
01c163bec4fef9a39dade780ecc0d398089ba3d9 [client] update translations
1df9e92578c1475ae3dddc3f17bfbe8175a6e191 [eit] update man pages
75254b5602db5325da334fed5ecd63c5d4a06d1a [eit.commands.{push,pull}] add --conservative support
956205b2b8f0681ea0f049f1d9f7bb68727adc2f [server] update entropy-server.pot
fc15caafcde9352a9a15da2c40a42201e2246a34 [eit] update man pages
904bb37b257af53715d86912358046802ca70da9 Tagging Entropy version 192
032bb9a96d2cb8880ac0dcc1bf3d1b885619decd Release Entropy 192
fa634ad2e177da4ec8fae99c25133d3a6cb49cdc [eit.commands.{cp,mv}] add --conservative flag that disables implicit tree updates
35252b91e6289c3c70be636e2f49216b29277636 [eit.commands.{add,commit}] add --conservative flag that disables implicit tree updates
763ca45a54c84e21f59280737b3f1514b14e67f8 [eit.commands.command] add _entropy_class() method
677b5c734f83fc272ab97a778fbc810fd1c9538f [entropy.server] Server: add support for treeupdates inhibition
a3e717f0315e95a0342cd3a16a2976a3f7b02add [eit.commands.pull] make sure to generate the database index when pulling
57a0cb88356027444e2528718e19043e0631936f Tagging Entropy version 191
e7e02ec050db5977e29f1ef5e84129f30847f0f4 Release Entropy 191
9b69dfba4baf2fcb33bedaa2f98de93d715052fc [entropy.spm] PortagePlugin: update_ents() expects Atom objects
532d81bbf64ac6e6997971cec15d0bc5033def48 Tagging Entropy version 190
cda889539a4a0d79e5c153a85fa77058e39117c7 Release Entropy 190
d84738cb8b2673bd0c6e0e6fdc8ac378ffd5cc53 [entropy.client.dep] fix library based reverse deps calculation
3f862615e18e53f1f0fbcb95f83b803f5f899cb0 [entropy.client.interfaces.package] add auto-conflict support
fe76a9a28c4a287c3ea956d98caba86301234471 [entropy.client.interfaces.dep] move auto-conflict support to its own method
b6e028cf2440d1cdc8ffb4d495c184a0b28103cd [tests] misc: fix FastRSS tests
5881bab5a2b07dd80516abe1a8b9690430bee575 [entropy.misc] FastRSS: fix tests
4183fe9b6c953fb9cde063c513625ff5e40e131e [tests] db: fix some tests to accomodate Python 3.3
4996488f9dcb5b587b4ebc9fa0960bef2127f24e [entropy.spm] PortagePlugin: fix deprecation warning in portage.portagetree() usage
ad3a191b9d5060da45f745a1385e1af82966b3c9 [entropy.i18n] execute a lowecase comparison for the encoding
3c926c6651941b55701a83613fbdbd4577587266 [solo.commands.match] restore Python3 compatibility
8d0229d3c982aa26f50f75567b5879771ab2cc7e [eit.commands.log] fix bzless path, bzless moved from /bin to /usr/bin
6d40cb0f0301f361a2985416a7ca265f818189aa Tagging Entropy version 189
086d440f41e2afeeff9e8956a82c752c5417215f Release Entropy 189
24c3b944dfa4523b9ae61b7bba788ddf7e0a004f [server] po: update translations
300235aa05694ba90b6000055f815b5e645540f1 [server] update entropy-server.pot
b4a5201b6281ad157b303489d239e89d1f4df4bd [eit] add "eit repo add" and "eit repo remove" commands (and move "eit repo" to "eit repo show")
08087de9f92117edd97ea04c092a302f8fdd0c5f [client] po: update translations
731d70e33c28567aeedea29060c65e75a5499e24 [client] update entropy.pot
3668a5169b6c9a078427d6911ef8ccafd1706d16 [equo] equo repo add: uniform strings, s/repository identifier/repository name/
92c870e570228243a03a08b89d65446a63d9a75b [entropy.server] RepositoryConfigParser: make possible to leave the base= parameter unset
b35bf099946fa7c86dedcc6000160e11a72fdd87 [entropy.server.interfaces] export RepositoryConfigParser
25a0d68d651ac3f24a6f8a15f2dceb4855031c30 [equo] fix "equo repo add" arguments parsing, catch AttributeError during arguments validation
cdeedfe483bd5fe540e819d27dd07fbe45d98d89 [eit] main: do not execute command if not allowed
510605a687886ccc5e2d6d57a51145c56b052261 [entropy.server] RepositoryConfigParser: add repository add, remove methods
dd4fc477749c9dd57fcdf591aa87b455bc13da97 [entropy.core.settings.base] add support for disabled repository ini files
2ec410de69f6485736ba0804259817a5c157b6dc [entropy.client] RepositoryConfigParser: add enable, disable, add, remove methods
e80f4fc40a6152e58d036801c3ae178962f1b59f [entropy.client] move the repository config file prefix string to RepositoryConfigParser
a2b73f7741614cf870261992aad90615cc94de75 [entropy.server] RepositoryConfigParser: add write() method
ab57f906bfa667f489ab28b6cd7444086311c34c [equo] utils: if sha1 or sha256 hashes are not available, print N/A
a5f447431c694256b77321e5f71119526a70338b [eit] utils: if sha1 or sha256 hashes are not available, print N/A
5aaaba1b3eba733f69a998b486643a95cb106b40 Tagging Entropy version 188
9493163db16c5b138cf401c373c05868e86ed8ca Release Entropy 188
22fdc5026cea079470697752529858b0136a3a01 [entropy.const] const_mkdtemp: call makedirs() only if dir=etpConst['entropyunpackdir']
d6295b3e00feb82ca67acced1320f5fec7e67426 [entropy*] create const_mkstemp() as tempfile.mkstemp() wrapper.
ff560d42d5ed3d98c72d4a3147ac5456d211734d [Rigo] paths: call mkdtemp with dir=/var/tmp
0a6a70ce08314b09f4664f02de9bcb39772537b0 [entropy.core.settings.base] add missing _() import
4c58fc9fbe8b43ab08f9e2b0a7d260c0fa66948c [entropy*] create const_mkdtemp() as tempfile.mkdtemp() wrapper.
bc083adbe9be39af930c07ce37a6fa53573a3907 [entropy.spm] PortagePlugin: use /var/tmp/entropy as mkdtemp() dir in doebuild()
d89f15d7603de7016b16d3ba3de487dea9d0f475 [solo.commands.rescue] fix "equo rescue generate"
fb76210e41e8c5a92435c8eec20ed37fdd861d94 Tagging Entropy version 187
c2d7ed7d72309ad11bdc8448f3f357cfb33d53f7 Release Entropy 187
c5250594d11c976c4c7decb9f432178ea7cc012d [equo] rewrite "equo repo add" command line interface, looks much better now
2dc14383735f8582d4065c118822b7dfcffbd899 [tests] security: create temporary directory using TMPDIR or, if unset, $PWD
565db8d1a59312d57abd1c17b0e72d76d42ad9d6 [entropy.client] add support for multiple "repo =" repository parameters
b395b13d8446512a2253d6a53fc24f1adf1cba1c [tests] db: fix test_libs_download
1cd78383853f1b1ea978908e261b8829ffb3a6c5 [entropy.db.sql] definitely fix the cursor object wrapping
da8a2a1d228a2d76f1a982280d7808f05e549010 [entropy.db] use super() instead of class.__init__()
b7ebbf8f478671a678fcab740f2e3264bd066dd5 [entropy.client.dep] __get_library_breakages: handle the new library dependencies case
b559affa42c2fec8ea2b60887455ed4d32124ffc [equo] fix typo in "equo update", fix bug 4107
533beb60c1fc72c701674afe85c69b1959e4fdaf Tagging Entropy version 186
3e30d2414dde92c4ebbd50fb529b35afe05cf6c2 Release Entropy 186
831237b7fcfd77791b1cf744a5e4b8f95891c152 [entropy.server] insert the package SHA1 checksum into the file name
7f24231978289e1d7921626c9321c9168e764dcb [eit.utils] print_package_info: also print SHA1, SHA256 and GPG info
5c123b679fd0224812f4d33dbb8d660f3d81c30c [solo.utils] print_package_info: also print SHA1, SHA256 and GPG info
ac028387c718c356111ed15a7be07a7daff8178e Tagging Entropy version 185
f0fad25ca5ae10c6f4cc62359f589d7d93979de2 Release Entropy 185
e601bc1144153f50a215d348c86e4891d1b92b4e [entropy.client.dep] fix or dependencies selection when none is installed
af55cef3be87e9b4de748a59900c25e79e4a7c05 [entropy.db.sql] wrap the whole tuple() and frozenset() generation
bc9e6e2146a969f33723cb32d9b7c7ae1e7b1b23 [entropy.db.sql] wrap _cur2tuple and _cur2frozenset functions using SQLCursorWrapper
db850299c00d8a8f8b5db449de28372ee2437e24 [Rigo] execute the DBus initialization in the main loop
760599c13596be7fe075c61ad0ce67f551e2bec0 [Rigo] automatically reconnect to the dbus system bus if the connection dies
e002101395a5b21e6c87b07f4e619256e9a46181 Tagging Entropy version 184
f0f3883a8657272fa6aeed147fc9a45a19e0accf Release Entropy 184
52b329afa26bd7ff6b9ff0298fc111fd1f12fa45 [matter] fix typo in package versions calculation for injected packages
c2fb4211374f6dd62d6aec9e9f5ff29db1e02dba [conf] drop mirror.de.sabayon.org from default conf, it's in dl.sabayon.org already
64e8d6e963aeea7e28d329d533c260f2fe9a9d78 Tagging Entropy version 183
bf766fe5715a7e345869e5315d7b6e2588becfef Release Entropy 183
c360738b9555a9217698247684c5b7a7153ccd5b [kswitch] fix install path, resolve bug 4073
b36a8669d426dcd7ca5fabdfacbdae22d268bc97 [conf] drop the "remote web services server url" part from repository "repo =" param
4853d16275de5ed1cc83d94bccb4b055c4827e0f [conf] drop optusnet.com.au mirror from repositories.conf.d/
63eb797e7724f8193e02d732d73331b5f35d374f [matter] query binpms when determining the availability status of an injected package
bc7dda4a4f7dd3cb91cc426356a44d524e28a94b [matter] builder: use cls. and self. in classmethods and methods
a48dfd2f7cd51a302d7f6d120ab8c903bc2d32b1 Tagging Entropy version 182
d3fab6937c3461382781ba2f52a1a1246b8a18a0 Release Entropy 182
45c0de49cac3a15a3fcb090afce4eabd90e54be4 [client] update entropy.pot
c16a305102111c6d632ec2e100806a2d818c4a72 [equo] do not automatically remove unmaintained packages, unless --purge is passed
f02283523dda2307df0520b2fc040735bcd51bd2 [entropy.db,entropy.spm] rewrite SPM package metadata update code
6804e79b37b0f5d766659925751484f31454c6c4 [entropy.client.interfaces.repository] drop is_root(), this is always running as root
1e53daf23d471585e0f8d6db53fe13655acb26bf [eit] monkey patch argparse.ArgumentParser to fix UTF-8 strings handling
8fda22bd0b32eae993075f515cc102c40a87fc21 [equo] monkey patch argparse.ArgumentParser to fix UTF-8 strings handling
9b81edfd188bf11f3599d99ec9495a1ed7582a11 [entropy.core] RepositoryConfigParser: always catch KeyError when raised
ddf1f9ce3ce7ad8b2062af8d650c329a5a127431 [entropy.core] RepositoryConfigParser: respect repository definition order
bc63d82b9702ab9cd9648e5b5e6925e5f67cac14 [entropy.server] add support for server-side repositories.conf.d/ repository config files
81baa1d58e5dc0573ca46e182c4259fff78913bf [entropy.core] BaseConfigParser: store section parse order (and properly rename variables)
6e96b38a7e1d3ff1c0f1bea9daa33dd18892f9ea [entropy.core] properly pass encoding= to RepositoryConfigParser
05f446d51a409266f44a5b65fadfdef574462807 [entropy.client] add .ini like repositories.conf.d/ files support
bbe4c6b046cf88b51d3f3ca3530f2b0ef6312bbd [rigo] update translations
ef7342aea3ff06c974e548b396f12372d3b284ad [server] update translations
67ddf2aa8962ca1c5288ddfe59ba33a4a81bbde5 [client] update translations
4fdfe607cb071772223f2acbb285899957c82bb4 [client] po: update paths, add kswitch
d721c7c09aa1c5453a67805ac83996cf33afb36c Tagging Entropy version 181
1b18a831f1542b5d77e6e2e58b8852facb8f056e Release Entropy 181
0e52aadf337d703cd6a12925a14ba74fdba4b84d [solo] SoloYell is not a catch-all. SoloHelp is.
a1e59c352fbc9ea81cf00a2a42a14eba8426bc38 [server] fix --help output when redirected through pipes, fix bug 4049
113f9d74b7aa4b8e0dc599746dbaa599f6152481 [client] fix --help output when redirected through pipes, fix bug 4049
102dc594e5379498710e1f1307c7974277e42d51 [client] po: update entropy.pot
ac961efd5d28393b88a0933715f80ccfe77beafe [client] po: update POTFILES.in paths
b44c89ad191fa7351558ae00f51f52ac74fde4d6 [kernel-switcher] turn the kernel switcher library into an OO interface
23738ead62986a29cd7503fe2a18aa5cc428ddba [kernel-switcher] force superuser access
d05426e6188b8da3dbd524a6118ffaf24e94f49c [kernel-switcher] move kswitch to entropy lib, kernel-switcher back to equo
aae36c5e7bd5f8af6a7fa3b19d91d2894a469744 [kernel-switcher] tweak switch_kernel's installer callable expected signature
7507e68180ca21579c4561cb2163c9384ba25b97 [kernel-switcher] complete the separation between the library and the application
9dc8f266874f1acd7d5c1904f89b8fcb6fc388ea [kernel-switcher] initial kernel-switcher refactoring
502d9c8b9e19a29b980a49397ece49a973975686 [entropy.client.package] add support for package.splitdebug.mask, see bug 3707
5cb3939718c4754ba50e76fd2cb7f835122c33a1 [entropy.client] drop package.satisfied support, see bug #3879
84b0b92c4e7bb884454b574e566689150d588c1e [entropy.client.dep] rewrite simple or dependencies resolution
808715f796d8270bbbb395078044f3530d746b3f [TODO] update TODO
73abfc6fa0158b287819d116542f1be1fe9dab8a [RigoDaemon] schedule a reload every 24 hours to cut on Python leaks.
1db427fe18755c69d9807389582f8f0a01e01137 Tagging Entropy version 180
7573e0e1d5194af9ffa58a2570a1ef2e53e5762e Release Entropy 180
b905b98525165755ac17545da01c607f5bd330c0 [entropy.server] _calculate_sync_queues: ignore remote package file if a local .weak file exists
873ae5267b3f2ca6eba181cc50ef11cb9cbedde1 [entropy.server] _calculate_sync_queues: ignore local package file if .weak file exists
46577fe93f09b6d6f8f6f758db15cf8198ca05c1 [entropy.server] _calculate_local_package_files: properly handle .weak files
3a49a8cc47459512dc4cfe9249261af8f7739b64 [entropy.server] _calculate_local_package_files: take into consideration .weak files
55110bf2308b7a82e09d71fe57335b1480123b06 [entropy.server] _show_sync_queues: inform about package download as well
552698d2d67eefdcf973c9bb17d2679793a7aa50 [entropy.server] tidy_mirrors: fix weak file detection logic
9f0bdb959ca3c65fb620578ee7b983e525261c2f [entropy.server] tidy_mirrors: do not show packages as weak if they've already marked
be758fae7b4658dc1c7e397b314d1381ea0fd0d0 [entropy.server] tidy_mirrors: do not show packages as expired if they've already marked
843c9ad6f85b51fcbfa170db9d9ae3a81ea59bc9 [entropy.server] s/extra_package_rel/package_rel/ in tidy_mirrors()
5801abf88d23bbe198fdb34c9b7166a6ad2b184c [entropy.server] fix typos in tidy_mirrors()
82770b26ae68f698e1156c814881f407de141e0b Tagging Entropy version 179
ee38930096b8d8ea72023e41d3196b6eedfc5730 Release Entropy 179
7bef53d99c6a3b55875f5ea2139a267067f74d1b [entropy.server] add "weak package files" support
983b72d6a74962f47de3755b686dff380134927b [eit] add --pretend support to push, pull and cleanup commands
8af1d2fe2d8ba0c47527161ddfe388d539eceff1 [equo] update man pages
17d19458a705f2b1b09534f652d080a92b344ae5 [entropy.client.dep] use set.clear and dict.clear instead of del
d996460b305ecd35312a7667da7609b7541e8f8e [entropy.client.dep,solo] add support for --onlydeps, as per bug #3817
7faf042f86a94cd432cedbe5fb477e95cf3e717b [magneto/gtk*] fix string format in both gtk2 and gtk3 frontends
83b8991c95d080973631a5c1e36af6a7573eeed9 [magneto] rewrite systray icons management, improve KDE, GNOME and MATE integration
f0a8156eb786da64a70b3a398d38db4cf7b2d5dc [Rigo] ApplicationsViewController: sort category and package set entries
5d315c70bdbd455dc46f680b54275cb59853dd43 [entropy.const] drop /var/run/entropy/entropy.lock file and directory handling
7771d641e2972ce7ab35ab18c47e62178337e191 [entropy.client] extend Client.calculate_updates() to return critical updates info
6a2690b86eed37314bd5548210d830d1c67fe7d2 [matter] do not print useless "MATTER_PACKAGE_NAMES = blah"
987fa76361ec85f68db21e09fbc72bb0f65c5e08 Tagging Entropy version 178
1fa5b9acf3f98e543670fec9b4da189c9e620244 Release Entropy 178
ac243067f3a446b392a91336630a13fa19c9d282 [entropy.qa] fix the usage of get_deep_dependency_list
6a66b43f7bf5716a212d3afed6944ab94b1c5759 Tagging Entropy version 177
09adfa92e6c2df3da5b3858dc836b0f9f8cc12b2 Release Entropy 177
b3aad3da83a7633891133989a8104c5146d12533 Revert "[entropy.qa] test_missing_dependencies: only consider direct dependencies"
1eb2924354e98c461cc214831c581db78403bec2 Tagging Entropy version 176
65e5fcdb68522d6d108485cae572143ecf16dea9 Release Entropy 176
dc4f23ef01ce53c1585065c1c056dcc854eb7b0a [entropy.spm] PortagePlugin: fix xblast CONTENTS mangling when splitdebug=disabled
9eb56dbc14c448c728f22f1351ed5eeb13d1cfff [entropy.const] drop several etpConst constants, replace with more OO vars
c01a66c5ee39a08fc82b9727b26c5a24db136f47 [matter] add new drop-old-injected argument support.
7c810b6e9103df3bed144d039bb027670c1a7e8a [matter] add support for external .spec parsers
27093dc578ebd6aaf920154470131ff6fd6669fe [matter] add build-only parameter support, wrapping --buildpkgonly + --buildpkg
dc5bc3aa0837d8c926d2497f955eba2302f805fa [matter] add another example file
d0b68329c16678706e4e09b9e7674a7519232b26 [matter] add support for committing tbz2s directly.
0dc49803b3df6868d730a3816b8675e7593d9991 [matter] call _emerge.actions.{adjust_configs,apply_priorities} on every Scheduler run
62201f6b3de564829718dcd8fbb5c9ca36f70f66 [matter] fix build-args parameter handling (remove unwanted comma)
a7dfdafe3c47832ee2cd98cedbd92e82a87be8ec [matter] pass a full Spec object to Binary PMS commit() methods
5d3cb7a87880d703d5c04a0686b4bba7540a3523 [conf] cerberus.itti.ifce.edu.br is dead
937cf7052a7fa0d9c8c74703866705c19554a2ed [matter] uniform string quoting, prefer " over '
8f74262cbbf04043b8dc97810ac9d27f83fa4253 [matter] move env var MATTER_PORTAGE_BUILD_ARGS to .particle parameter build-args
3695655e66ffbd22acbc5f823399dc862e150037 [entorpy.client] fix Logger.log() usage in entropy.client.interfaces.package
1655cb3baa5b536a5204df6e6c416bb39c161c26 [RigoDaemon] drop send_requested_reply from dbus config, causes deadlock with gdm-3.6
e66ec77a672d92f1f964721e6cd033722c4db8f1 [entropy.qa] warn_missing_dependencies: stop using get_deep_dependency_list, too slow and unwanted
a0037bfe762f79eb764f00d57baf79cf338f4df9 [entropy.qa] test_missing_dependencies: only consider direct dependencies
c5e1908a894a865c1fbcf27bce7f9e8f4e3acbcc [entropy.server] fix undefined reference in drained_dependencies_test
dffebc80dde33061e60360ea445e1c8caa73add2 [entropy.server] drained_dependencies_test: improve readability of the output
8c5113743f362ebcabe9853b5053b1fb1ae9c480 [entropy.server] tweak output of injected_library_dependencies_test
bc9db049908f069ee1ef1354836f33161a9bdb60 [entropy.qa] test_missing_dependencies: cosmetic changes to the generated output
860e791635220f23579e69fb1c0bbc6f236f7852 [entropy.qa] fix typo in test_missing_dependencies()
b9347cc181574ce1fb2ed8fdf7369e6a2c4cffc8 [entropy.qa] improve output of test_missing_dependencies()
0002f75982ae863af456a9bb39a93bc1b298e298 [entropy.qa] split test_missing_dependencies, move ldd-based scan to warn_missing_dependencies
19758885bebf88765adc54f380e9f57e199994fe [eit.commands.test] if "eit test deps" reports missing deps, return != 0
ddff9fde6aba0a454836459eef31fe06545bab23 [entropy.server] add QA test for library linking of injected packages
f15efc018ddc5ec61814436bc0de8df3c59c8afd [entropy.qa] remove unwanted output message from test_missing_dependencies.
d2babac6622c0740d0173311ab8f978991fe4daf [entropy.qa] _get_missing_libraries: cache the list of system packages
952c361c5ad7c185167833a20b0f9c5ae3524a0e [entropy.db] add listAllSystemPackageIds() method
a499cf0de509d7188286e6ae760de54480fc70f5 [entropy.qa] rewrite _get_missing_rdepends, now _get_missing_libraries
fa3f2df37280558487dac85c087e7e55dc1878c7 [entropy.qa] _get_missing_rdepends: if package does not need any library, return straight away
28ce2909997f2c829ae46e3846009c7438b43887 [entropy.db] add listAllInjectedPackageIds
8df97717cb961b6c40042aa5439c747a85dba45e Tagging Entropy version 175
877cf926d850fd5a9f42a71c478108885909b92f Release Entropy 175
172fe3a2eaa72cec69196a89a9afd17f99e20e26 [entropy.client] Trigger: _trigger_env_update must return an integer
88ac77e8a97236561e981261f2e8b6b34a82bdd5 [entropy.spm] PortagePlugin: environment_update() must return an execution status int
2a84c85376168fa15bd6bcda45240a123ef443fd Tagging Entropy version 174
c028464ebeaedfd931986dbbcf6dd85a19b52a93 Release Entropy 174
10fbf275e63072a774784411c33f09ed8d04b174 [entropy.spm] rework SpmPlugin.execute_package_phase API specifications
88c0e7ef6c8a62a3281841b87c63aedd18d9bb0d [entropy.spm] create SpmPlugin.Error base exception class for all SPM issues
9c5ec4c7cbd4647ed365b40e74a243b7ef5fc3f1 [entropy.fetchers] drop UrlFetcher.output, deprecated in 2010
69a2e0e8c08253c39b7ca801adbc78b0167bb25c [entropy.client] drop get_file_permissions, deprecated
8807ff8ba709d94472cc5b795a3d975abe00e279 [entropy.tools] drop get_random_temp_file, deprecated
86821d408b766606f265f28d680e72933030cbed [entropy.client] drop deprecated methods
78f0a65b059fabf89bd7379621c4c0d903af2fcc [todo] update TODO
a123f53e43c77cc1b2a8de27d7a91dcd8157c10f [Rigo] update rigo.pot
d8848d68fc280cfc4896b9b772d66a6f4e4fd72a [Rigo] make Glade-3 happy and acknowledge its xml changes once and for all
1cdda9f5fe2a64846f2e3d122be039c63577c571 [Rigo] add support for accelerators
20c4a55984710f482bcaac2ee22b8d61ba47b155 [Rigo] fixup Application View rendering when window is maximized
1e1da0863f7f48e904c0cc9e0ea7467bc8937026 [todo] update TODO
d339fc8208e20d7ddd022f5503eb68a7f26086b7 [Rigo] make possible to disable the updates notification box
e34ee97cdcfc0c7f5e0092d0c6fb23903408adee [entropy.db] drop deprecated methods closeDB() and commitChanges()
c2c6c51703ec28900c7175674e03b8777dff7649 [Rigo] fix Application View rendering when window is maximized
c2f82543fc1757da26cdc099c5fc78b5c7b0a8d6 [entropy.i18n] try recover from invalid filesystem encoding
4f8205323f5b2444d902f2a6ba74b7c9631855aa [entropy.i18n] try recover from invalid filesystem encoding
cf4b066dbff5e46829b5fa1d41a2fb997794a8ec [entropy.server] cleanup _move_package and fix a potential variable name collision
ba860bcc63bccf6eea14f661f32c3c63f14b5da8 [todo] update TODO
f5c591e400f4c63b19d1c1b8aad75491983f6b6a Tagging Entropy version 173
2b4b258e8f56893e8a8253299918a00ebce787ac Release Entropy 173
474798b895570ae1fbe6eee31cab0a8d3f9b0b2f [matter] add timestamp to every output line
c9977d124413be08a45d90c24a76e33adbc77c3a [entropy.server] fix dep_rewrites package additions handling
2839e9c03d077b02c9d3dc9e93c6f4866200b3ff [Rigo] change startup view to Groups
075b84872b8308065f9293f2a87da46bc9fe89ee [equo] fix "equo conf update" -7 discard option as per bug 3630
2cdb87d5671c11b8656645b55bd245aeff19f3a2 [matter] make sure to always account for built packages
2b10e62afe3d7b87ef1843397e679e91a1986d24 Tagging Entropy version 172
4426b93254458d22e6bbfcc2a3db65dc90c232fc Release Entropy 172
cd71308eb8fb6bc4add40c6840a15b06cd342049 [Rigo] fixup TreeView initialization that could lead to race condition in calculating widget size
415250685324f6d909b1def2f42672fb98924180 Tagging Entropy version 171
b40c10af3d8a28eae64aa246e3dcc2821fe2b364 Release Entropy 171
321eb030c56ae64d91bf67af0fa8254bc911b5cf [Rigo] GenericTreeView: fixup row height calculation during TV initialization
18d89599de700a10af7c7d11a48bce0b13a726e1 [Rigo] cellrenderers: cleanup the code a bit
4f5acbfb44994165b6ea7e76c02f98558a9eafe1 [Rigo] AppTreeView: reorder initialization, fixes a race in rendering cells
550e8aad3b4fbb47dc47ebb2ff716578d9f87451 [Rigo] preload the EntropyWebService instances by calling EntropyWebService.preload()
170b0635d80282976c2a6bdd9bacd68af3c59d3b [Rigo] use new-style classes and super() in cellrenderers
77196a0b79c87e6a4b9a08de2abac74bf3ab8338 [Rigo] add preload() to EntropyWebService. It can be called to preload objects in cache
d4545d0da8d834a9efed7779ecb5bd4515164089 [Rigo] use ETP_DEBUG=1 in debug_rigo.sh
400db830310979d2cc6cc97ce1fc6a3e99d66266 Tagging Entropy version 170
9a2f4c00cd32d0bd2b8ffc220fb93efce37c1e1a Release Entropy 170
7afc6979e12461ae10e130c3021117d397336a36 [entropy.spm] _extract_pkg_metadata_provided_libs: consider symlinks valid
7050ccad0fea4c9cd44380999d6d87c2e3519e7f [entropy.client.interfaces.dep] _lookup_library_packages_available: do not pull in conflicting slots
cecd3fa1ee9d12dbac297bd231dd814504eb9a6e [server] update translations
466e89cf8fa391a84b56db207f802247a488009a [Rigo] update translations
6af222042743f235a4f0f7f2bf93c6610e13b79b [client] update transations
1600c498879d205162afd73639dc6ba4a5892a37 [Rigo] always use units in rigo.css, clears warnings
21480a151529348fdeca36752b0eec1f4f819afd Tagging Entropy version 169
86bd948b616309f6b7b0429a7c0933b377cb96d3 Release Entropy 169
31fba5d37327ff5f64dac920edf95de77d4534ca [matter] implement support for the "unmerge: yes/no" parameter
cf8d217fe4fa7e6ea78e211bf027dd8de6a9612e [entropy.server] drop one more useless output()
5a7a6a72896788c9741b4d02e6bd58dc0fd32e41 [entropy.server] other tweaks to drained_dependencies_test()
36f5412de51537e00080872afb1679367f974e12 [entropy.server] last output tweaks to drained_repositories_test()
8dd13a5f09090ffa8b0b8a0e7c9a22f6ac5d017f [entropy.server] tweak output() in merged_dependencies_test()
15a27a0efdb9128c17a7926b5a16de34ec501fe4 [entropy.server] tweak merged_repositories_test() a bit more
b4092de36b36995a53cab78d16a8780bb037b6c9 [entropy.server] improve output of drained_dependencies_test() even more
d6adf4e81e56aee32d86273d7345df7406e1d71b [entropy.server] improve output of drained_dependencies_test()
8fdd06cbd98178bae5657c8c43abadfdb8faf31a [entropy.server] fix reversed() usage
2d2c6a8c607baa099357dbef9a18fdc2b4d2ffd6 [entropy.server] add drained and merged repositories dependencies testing
09c554a702535a4f57848af8374bb2a8b55e42de Tagging Entropy version 168
7d9e76db1cff00432b27f3dbb38df00c2303107d Release Entropy 168
e9aad1ce3905a639fe6fea6d41ec94f1a0da68bf [matter] fixup ACCEPT_KEYWORDS handling, broken due to weirdo and whacky Portage API
27e1755f70146f91bcd3d5e89468f13452717583 [matter] print particle file name together with particle execution status
326a52a3e021ebe197cc0e03dc7086b2b41fab9b [matter] fix --pretend behaviour. Matter is required to return after dep calculation.
ef7a892d36d230910fe6a597983cc45b848c6085 [matter] fix handling of --pretend in build_args, myopts is not available at that stage
6d87079e1081f08003c8f28dddfb335c6204d7ee [matter] show the list of uninstalled packages at the end of the execution
f242eb4c1f9907b99e577d3e32fb1db367fb523c [matter] add --pretend flag, makes possible to run matter in pretend mode directly
fb9d47bdb80997e08dadf549f39d7b75898d9c77 [matter] return exit_st out of matter_main() and main() instead of raising SystemExit
db74c9f5df44126556063b8ceb5dfa3519386b97 Tagging Entropy version 167
c2829066e213031a75f93b11301067da8246113c Release Entropy 167
fb1dd2fb960adc9ff46aeb8fe7dbd67b06b219a4 [entropy.client] fix repository database download using the rsync:// protocol
7b120b4b63878f17a3ad5829e9ee5953672e0259 Tagging Entropy version 166
04419d0a0aebd043f38ceb72438165e6a0ae4ef1 Release Entropy 166
17a32a6041b7939eb2935a409ed209a8ffaa2451 [entropy.server] small code cleanup
d6b7a21314fdaa53563b399aa25feb34a817066e [entropy.server] make sure to not overwrite old package files, always bump package revision
9f5f0d1c9561562402c9279595ff1e2812f3d35f [entropy.server] cleanup whitespaces
3ec775c5a9d30187e96889f27f3a8299174be935 [entropy.server] split _move_packages() in order to ease debugging
fd1d3a6e2bfaaebcdc28188b7fd5471e7f71693b [magneto] stop nagging user about the availability of the dbus service
18e9641e0cf5d1b480a17af60e556bc3d52d2f9a Tagging Entropy version 165
ca40d783b1d2b5c56681696613cbf517eaefed02 Release Entropy 165
4e1caa7b5bf391b81db4e576c8fbf446dc2969c7 [todo] update TODO
1cc776e25ed1220fbf9dbff5f0d4d8f25bf348e7 [matter.builder] correctly handle Portage package uninstalls
5cc95a03a6c8eb1711a2999e2b594fe7dd189514 [matter] allow local, in-git execution for debugging purposes
746c2d2d530669c21e41d9e81b46004b7a26f8f0 [matter.utils] avoid circular module dependency with matter.output
8950893039530e671394d70b65f5d40b15cd548a [matter] rename matter.py to matter_app.py to avoid name clashing
afccc337ccf87f0085dce8ec8a372a55e6a8d1a7 [matter] add exception handler that also prints local variables in the stack
8d110732d3de274fbe6e82e6a520c8ae121f5092 [matter] add support for --sync-best-effort
aaa0074e7dc2b71811f1653f49d1c8dfa6c11c1c Tagging Entropy version 164
7f26af3710ca44e1e6460e9f5a738dfce1078831 Release Entropy 164
79e0c5f804f15e5807a84209cf1496e5cfdcc7f7 [matter] fix SyntaxError
db3bdc407df36a69799f08528ab98fc94ef10590 Tagging Entropy version 163
024f42093bcf183fe96fdaa5b1a5fc46b4be29dd Release Entropy 163
dda574e080b69428bf08273db64f832100fda3d5 [matter] add soft-blocker parameter support
0288622c7ce7b25172a240baf9bd4f4e2791c4e5 Tagging Entropy version 162
66360b99122b7b91d46c1b30d90cd8fb0b0dda57 Release Entropy 162
327445ac4ba23b08ee705a0e38ba3be633827bc0 [matter] fix handling of "stable:", disable keywords set by make.conf
02f092843fd873a27b5092b69e389384e83e5478 [entropy.client] fix unicode comparison warning generated by ca-certificates
7ed9d050f93b5451e8e21c5d7b79fb48cc47983f Tagging Entropy version 161
0ef31e902127bd7635c4334f3b5b17ac527a7d29 Release Entropy 161
059339e1f4b56ef19de15bf4eaacf4dd69ae9aaf [matter] fix mkstemp() when suffix is None
7356ebbf18b3276c5c85680c61ed47a77c4d1aa0 [matter] disable coloured output if stdout is not a tty
aae1c74653e4b43eebe4263ae72bad817c822f0c Tagging Entropy version 160
3d904689e3bebc69bda83d87721ed9e79b25314b Release Entropy 160
6f05b640c2daa9f2eac77170a1c27a1b3bd1b705 [matter] add Portage package sets support
35c59553800a76850fdeaa7d86d97aab8158c35f [matter] properly catch portage.exception.InvalidAtom in _pre_graph_filters()
bb052e992f08ae88681c38770a58ff6d42da792f [equo] when running with args: "equo --bashcomp", do not call args.pop(0) if args is empty
329da2587f69e5d722fbeeeabdece09181c2e9cc [equo] fix UnicodeEncodeError as per bug #3873
04342cd901a98c6c5a45f725246c22b9978548f5 Tagging Entropy version 159
e935acf577aea6f855c19500cf6b1f250779b585 Release Entropy 159
3556f9ab5bf3ec1f7b24eb928875fe15051f2be0 [matter] rework Makefile, move entropy and portage plugins to separate targets
5ef47e4d0c334407bafc3d2c6cd8d54eb26a4d45 [antimatter] lock/unlock vardb while scanning
424b81aaf1c0bd057bb24ae9e18bfe4f8f4303de [matter] move matter to its own directory, get ready to split it off
caf8ecbf45355fb6cc52a74846d35b93137d1012 [todo] update TODO
a10303c810781743b01bce8cec87b373b2d4922b [entropy.spm] PortagePlugin: generated NEEDED.ELF.2 metadata if it's not available
139990a749bcd469f9113ce0c39630a6a9f0545e [entropy.spm] _extract_pkg_metadata_provided_libs: only scan "obj" entries
7473ff1c0447b9bebd4a40de9e07bc3111be7e0f [tests] db: extend test_needed with another test pkg
d595e234ed8007c08de101c120d90198be8436db [matter] drop duplicate static method
5959b44e17cc32a0315ba568471b12b812c98679 [matter] make possible to extend ArgumentParser params, implement Portage binpkgs push
6339cffc0cad8d293607e29b19a39f1e2ed86023 [matter] fix typo in setup() and teardown() PackageBuilder methods
752ea1e1a37a86666cbf74eec680d1c1b382a6dc [matter] move Portage source PMS specific env setup back to PackageBuilder
bf5beacb5b69cc56380e6123993f8289aed823ce [matter] cleanup matter.main code a bit
761d8ffb337d5ecd31f89bb0ebaee04bc453d478 [matter] implement Portage package commit in BaseBinaryPMS
0fec4c54d34e19f39b368fad53434357ccec6355 [matter] document .spec file parameters in matter --help
bfd24f9560bf4161eeb27bb215aca15c45fe87c9 Tagging Entropy version 158
51f80944ff5d9cad935354d6ae795abb46379ef7 Release Entropy 158
f9c96661588faa6dd1b18b6f63ea5b93d2001467 [entropy.output] drop old cruft
ef679bf2e79c7a68b52ee5acec73e0a8e56d2a63 [server] update POTFILES.in
cd12e89f84a6adf1ab7e581ba850f4a7b51e2874 [matter] split and clean matter, make the Entropy dependency optional
dad36a9a80fbfec6242bd82f234f9d462dc458a8 [antimatter] rename antimatter to antimatter.py
ff029d38177031091da828a433d1d4c57dad0a51 [matter] rename matter to matter.py
e4ef3979a2950ce2a49bf0b418c056c68c39f10f [matter] add "stable" parameter support to particles
e17928e4bf7d85074d2ecff9592ab472221c41cc [matter] use subprocess.call() instead of a custom os.spawnvpe()
44ad78e33b3147fd9a71034343abd1d9c414b2b4 Tagging Entropy version 157
ce64433a6c76330d1748e51adf4244d9ecc8d375 Release Entropy 157
d5b46cda2b7d85d639300363fe0c8f06bd37393c [antimatter] properly format title for new packages as well
b8affca48bfcea81530813e7967ba5bdb4007089 [antimatter] rework BaseAntiMatterResult parameters, extend the HtmlAntiMatterResult class
e1107512c3bdee5a11b94e93d64d2678f011d6b3 [antimatter] use <ul> and <li> instead of <dl> and friends
83c3c143d80f966f2a6da083af0556a53b8738a1 [antimatter] implement html output through a --html switch
3ebdc3302b706130946603ebf515d4d8a3b51b94 [antimatter] use target() object for key() and slot()
ac28e25e3e74aa8b428c5d0519fbc5324eabe316 [antimatter] add --extended switch, and colorize output a bit
ec4c84294f2cb51f281950f1038264abbf9543cb [Rigo] add download/disk size info in the search element list, fixes bug 3852
c5249488a61052d6214a87c39c478e57b6cc2c01 [equo] fix "equo update" through dbus, properly populate the repositories list
6553cd398f6068e79da13a19ffb001bf1c40a5ec [entropy.fetchers] catch socket.error exception (can be raised with "Connection reset by peer")
2113b201ad623990137f4f97ccbbc8aa405f076f [equo] do not allow update through dbus if no repo is configured
57333299f871c9f852311b3d08d804164bec55b0 Tagging Entropy version 156
f4aef3c97d51e622f0e2567678db007dd850e5b2 Release Entropy 156
c2ebf35c6c83fa80b2ab0e8f096374a714a39fb0 [antimatter] catch KeyboardInterrupt
1f756bba07ba10b3ad32ee280221300bb4484aa2 [antimatter] fix help message about --upgrade
709d197818f96c23eb522e32eefb35a4fc1c7935 [antimatter] fixup typos in updates calculation
f9ff1051716e6c4b40eaca2ff128ac1337a603c7 Tagging Entropy version 155
224da38b28f0644ab4e80e6f966024f6af05d5f7 Release Entropy 155
bf4dee312a1389e9a95f5b8f4189feb852abbe7c [server] new tool for detecting package updates and upstream removals
c5b8986015b625907fc65eef6ea716a517d70e91 [todo] update TODO
69cb8f53a336607713f673777baa3e4fd7c64bad [entropy.client.interfaces.dep] optimize get_package_action() usage
0352e97519dc9f13fb3ce3675fb0b2cc5d378a66 [entropy.client.interfaces.dep] cleanup _lookup_inverse_dependencies, add build deps support
a33972ce27be7fe68f05e992bfd5e158be6bb1c5 [matter] make sure to compute preserved_libs status on each run
409430de992c67df575821368d769515e5fd4a59 [entropy.client.interfaces.dep] refactor _lookup_library_breakages()
c5f6dc8d469c32af346f2fc555e13a8db1166574 [entropy.client] don't need a trailing \
72aaaa4f3e2db3f830708cfec6067a56dd408d1e [entropy.client.interfaces.dep] fix a key+slot matching bug in _lookup_library_drops
11d81f976b562c6d7d0ade4b9099eea1dfb60c20 [entropy.client.interfaces.dep] cleanup _lookup_library_drops, add documentation
681e967bf3b351890425b5d40013ad1ea0364e7a [entropy.client] extend get_package_action() with installed_package_id
69a337c5e4350cc01b10289e727306a40ad3d460 [entropy.client.interfaces.dep] more code style related cleanups
051dde18cc8b3737b7797ed25946aeb87ac62a93 [entropy.client.interfaces.dep] minor code style fixes
f2cf417979bcd2d4b5954a175f7c82385f8a0256 [equo] implement the "--injected" switch for "equo match"
74f774e796c13e9981ea8931c14867d47381522e [matter] save one weird print to stdout
cc8b0b4143974a5325322292ce3bd0844404cfeb [entropy.spm] PortagePlugin: guess modinfo in /sbin, /usr/bin, /bin
4b38e262cd4d4a028a35ec946efefe7396f61510 [Rigo] provide emblem-system icon by default, fixes bug #3822
73242009bae65ab8600e7ac57fed4d03983a3faf Tagging Entropy version 154
3b27f40c205007a8fffd5fb260f00009ca02d551 Release Entropy 154
5b5812f6125c7f69a45db913df20eb30a93ec2e6 [matter] fix typo in changing repo detection code
a39e44f93c026d2e27c5bc6e6165743acac5491d [rigo] update translations, add tr and hr
9c67b9dfa1f41d0ac9053fa612be9b43b53d16bb [client] update translations
18038cf46942df58c951794896f3d60b94c34fa9 Tagging Entropy version 153
8e42f387ea54dbdd86f9566b827981799352da15 Release Entropy 153
943e91f74dcf28d0ff3ce71b785f04248ec08159 [eit] convert all the sys.argv elements to unicode in main()
ea7a559f45f2c80162e44b5bcc73250a49c8f830 [equo] convert all the sys.argv elements to unicode in main()
1d20a3e358a613651c9ed6ec105e54e9d40c076b [matter] move post-graph filters execution to a separate method
79c63fef14435157520d2c978fb4a6c63207fcc4 [matter] implement support for package dependencies grouping
e85b5117328c8320d880f13d1fb7e3b5fcf5d166 [matter] some PEP8 related cleanup
5ce930fc8dbfa0f2464ebdb0cacf7936fb8488bc [equo] update man pages
4d77e96f58ae257bfc4a794fed1fc93c0fb5d147 Tagging Entropy version 152
6576830df5d109188fd01cbeafafa09f5444a55f Release Entropy 152
6f8682af3c0fba4f8789b5984b0c074d44971a81 [equo] add new command "equo query updates"
0f20b74aaebaf234053af41dbe6840ac1981691a [entropy.client.interfaces.dep] add "quiet" keyword arg to calculate_updates()
3d04b69b7dcdab456df15ee428fcc15fe3e68dfa [equo] trivial: remove unused import
0685cd41329b69ef0985b9fb859be94a76270c46 [equo] add "equo version (or --version)" command
afb6d4e2c9400dafc91e9038910f923a37c7c0d0 [equo] write license text to file in binary mode, don't use codecs.open()
db91ce20b43a9c723d374c2ad1bde8ba8892fd6e [entropy.db] catch idiotic "no transaction is active" sqlite3 OperationalError
2ff854789cd62118135a412aeb29ee32988a054a [equo] update all the supported translations
fda0450aaf40dfc1cad48905eed3a71a816154c2 [equo] add Romanian translation
48c387093256c51bb2b43f4326e7ca824b797907 [matter] use portage.dep.dep_getkey for SPM package atoms
7743050d6925c193a0357e230e1496f0546b97b5 [matter] add support for "spm-repository-change-if-upstreamed"
996231c08d497c8aba903209254bad906cd3c75b Tagging Entropy version 151
922bf6e0a7ea23aea65ad84b814aabb8d91bb3ac Release Entropy 151
4f5832040e72192e1dba7158b4cbf35fc877ae6d [equo] fix package set and package from repo string matching
2e9840e5b03f0e16da6062da2061abaf4cb9e0b1 [equo] add --quiet support to "equo repo list"
0c8de888f8adf2285463d0122ebfaf6d057b4dd4 Tagging Entropy version 150
dc27835fd8faa8d76f8ac77269a9bf62b9abd7ac Release Entropy 150
a9755d67ce1751158edc5c86026485c63aa18894 [equo] fix "equo conf update" interactive merge
29b8f266ccc8be88d1810ebedc71ad67693576be [equo] fix tty colored output handling, re-add --color
281c9b5bcf6a609d6320b21678b35ca95d32e58c [equo] add "-q" argument support to "equo unused"
25ee44ea79e9030550714c949993e10345be798c [equo] fix DependenciesNotRemovable handling in "equo remove"
04e30cc3d344a688bac6f40e85fea14baea83fc4 Tagging Entropy version 149
4001e0f4b283c77fd165f863ee540d4d57bef8e3 Release Entropy 149
09f3669842793dcc9c47aa7161363a2f29aef51c [Solo] make enlightenatom() work with package keys
b7d7006505d03dec9ffe4b7a88d88ac08fcec0e0 [equo] fix ugc vote float (or int) to string conversion
7f99aa787daa02e6e9df9d4f4c2eae90b4510174 [equo] fix "equo ugc vote" command, add missing positional argument
6670438445d1c3d64512fc128d08bb02f24a0002 [Solo] fix typo, improve message
45314881e7112d44184c00bf46508b45850d2204 [eit] fix print_table() usage in "eit status"
04daf0210d767bdcc48880bc0f9e5d78c3a16680 Tagging Entropy version 148
8194608d2de3ca914ae904f0f11ba04bff605625 Release Entropy 148
eadf576359d15f8ec3e6cb47b986de859b8731fb [matter] fix Portage import paths due to upstream changes
c5fb8d1f9975b088db1b692f029ec2189b3a59d5 [matter] fix undefined variable "p" issue
c00c961625def1ed01482932703c13b52183a428 Tagging Entropy version 147
6d5762e9850c9e4520814532720b7a494946a8d2 Release Entropy 147
ce80af4eb5ff2cdbc49b9127369280158668cccb [Solo] fix undefined reference "exit_st"
d5c1593f102b37b1dde914951523044b6c4ecb18 [entropy/Makefile] add missing variable: VARDIR
35f2be382e30bff41b1fcd0915375723424c6995 Tagging Entropy version 146
d09e11ccb6522123212d6ddf70822f251346a201 Release Entropy 146
87c59233cf34262416796be4ccc440e276d93e73 [client] update entropy.pot
8ada0d1730012c61db7404af02144cded428d566 [equo] update man pages
bff697e4d524e8932e879109aa3a8acc8d43e405 [Solo*] fixup -q, -v, -p short options and bashcomp
9f8b9dd3106f4f0bfe325d6724a5df623f0f042f [todo] update TODO
7aa9410527f80b39a89a785ef67ea25dc1721e5d [po] update entropy.pot
d42003ba94031f447a88ca4017bcf590da66a901 Merge remote-tracking branch 'origin/solo'
659ad992d558535b69e61b9d0881110d05aa887a [todo] update TODO
d1fa09ffb4784fbcd8f7dfbc6878f6b2458ec083 [entropy.*] remove etpUi imports
f713f65d2d056939327c892669bd60871ab6f7db [entropy.const] etpUi is gone, const_interactive_enabled() moved to is_interactive()
0deb4464e70b5d34069994ae4169b281133624df [entropy.const] kill etpUi['mute']
977ec75a01a65f9e89dc99c7d31e6479d6161423 [entropy.const] drop any etpUi['debug'] reference
f32ddb95e56e4043e41fe2d7ae83a87aedc4541d [RigoDaemon] drop any reference to etpUi['debug']
2512df68ad4e485cd36ac100a8ff53c5cd854de7 [lib/] drop etpUi['debug']
15c6fc1b77f2661b7985080fb4144795b522bd0c [entropy.const] drop etpUi['clean']
9095f62f6ba14bf8507a6ffeccc2b2abf4842a54 [entropy.const] drop etpUi['warn']
aaf2b8eee8adf2d3cda26161e1f89019428b7e0d [entropy.const] kill etpUi['quiet']
7ff175dd249b1e09808a91edb0ecfe3bd2965cfd [Solo] fixup "solo install" output
0245ba1c0ee43c404be25f0b6a276c03503d3497 [kernel-switcher] add --verbose argparse argument
df3c27deac5439a56923ee63d41d5905783e4d49 [entropy*] drop etpUi usage where possible
ba4ca3f5765f1a237d17500059df452d47506ffa [kernel-switcher] drop etpUi usage
d2252e38731b73827adbbcf0f0ec5f6d351934a7 [Solo] drop etpUi usage from solo.main
280a7067b32fbf6d2c9e6fcb0defe56c9f758cd9 [entropy.cli] drop module, move code to client/ and server/
7bd76063316ffd35b884ee0b233de63e5e0fb313 [todo] update TODO
977bc60b218fc422a19ccfb4003b5958611f7896 [Solo] get rid of solo.utils.show_you_meant, move _show_did_you_mean to SoloCommand
b07beb1dcdb43163590c04605e9dfb621957c835 [entropy.const] drop etpConst['errorstatus']
db5a6dcfdbdf04228c12faeebec15d16f30e8fa3 [todo] update TODO
49803e21b32c268add85fd778287473fc376fd74 [entropy.server] reduce computational complexity of scan_package_changes() by using memoization
cda4577291ceedc9a131a746f19c15538c62b00f [Solo] do not set "add" twice
26b7d9cb54e79dfe1935cb9f12bd8bca52f956f8 [entropy.spm] PortagePlugin, xpaktools: drop append_xpak()
df13dbdd2ba86ec045ce75f853fe0f45430f0f12 [client] rename _equo to equo-completion.zsh
341b7ab67fc5b7cf6adfe1e38381ecf850682278 [equo] update .po files, add tr and hr
9e08b701131b4186a537aa3df984dc43d893e15d [equo] migrate to Solo, drop old and crufty code, peace and love
c9a1d6988dab91cc477751323f563d53f0a452ff [Solo] implement the "solo security" command
d16578394f100ded237f8c6b6bcb2246743666ca [Solo] move _setup_verbose_quiet_parser to SoloCommand
66f5e4024f18416ffaad65f4e4e27793640cea30 [Solo] add "--showslot" (show package slot) support to "equo match"
631b7df3b947576fd099e79ac98a318357a43eea [Solo] implement the "solo libtest" command
c8ebc02890a72c131d670d2388f13cfc11d08cf1 [entropy.qa] add silent= keyword to test_shared_objects()
93a1f18aa00a83f8f063d6c26ec6f95a896e6d7e [Solo] SoloDeptest: inherit SoloInstall and use _install_action() directly
3d87c3a9f4296eca65598ed5ab90937dbbe35315 [Solo] implement the "solo upgrade" command
9d100c8b940de1dfbd71e48a626d45c6f816e3aa [Solo] decouple argparse arguments handling from packages removal code
6c985a0bab3c88c86bcaed7c2cb8538912339b55 [Solo] add package_matches keyword argument to _install_action()
9dc1a6e6b90c17ae25d6a5cd4dcb933552bebe11 [Solo] add __EQUO_LOCKS_BLOCKING__ env variable handling hack.
aaff2b2d622454f204aa01926ec5552ed41eeec3 [Solo] implement the "solo deptest" command.
2b92149911aae84410f70c4e44240b545dc09cf1 [Solo] fix indentation in solo.commands.install
683740f6f262c7094b0bd8032a112c02736f2829 [Solo] move argparse related code outside _install_action()
cfa8ac309b5327849fc6d684665bd1fa991321e6 [Solo] implement the "solo install" command
42327854cfe1bdecc09b16cd947b441b84d9867b [Solo] use enumerate() in solo.commands.remove where possible
6065baf13b627ab286a72679ccc14e657a0a4978 [Solo] move _show_removal_info back to solo.commands.remove
b3c1c6adf3de539906f8edd6912baf351115b002 [Solo] fix code style in solo.commands.download
7bded74e186214f51360592a324d08038b289df5 [Solo] fix typo in string
df35f2318ab61a2b434025fa6be6bb4cab7bfe62 [Solo] use enumerate()'s start argument
f292378c1859b75ddd564bd6ed4c88f80e32822a [todo] update TODO
7f7f7a2e875641a86738513ed9862b17b8fe5c8c [Solo] implement the "solo config" command.
c3ae7f28ef98f7b9cc239ed27c283fbd2f46c7cc [Solo] move _match_packages() from solo.commands.remove to solo.commands._manage
0a3602a806ea5ef66fd471876e87ea21a213ef55 [todo] update TODO
beddd67eaca2d834acbc09f2798393c2abaa47e3 [Solo] implement the "solo download" command.
f6f80e55102c4cd423286fa84b2fd1b48ee84b4c [Solo] more code for "solo.commands._manage", woot
04f93dd41f0bcd3e20e0916c16411d5b6f021934 [todo] update TODO
4cddddfbe55a4177fcad8f72587d00e67b827338 [Solo] implement the "solo source" command.
bfc6ba19e69b63883a482df9c998e1619363274c [Solo] migrate more general purpose functions from text_ui to _manage
124fc14e13a959dabe59d1389137a68ed8791400 [Solo] implement the "solo remove" command, keep common code into the _manage module
022375fd7d5ef0162fe8f027d1bbc8e8dc559a75 [services] ignore ENOENT errors in entropy-pkgdelta-generator
bdcac865b98038386996c7eaed156bf6498cd1ee [Solo] fix undefined reference in "solo status"
dccf747e516c42951fc314cc4cad1aca8b1088e1 [Solo] generate self._commands dict before calling _hierarchical_bashcomp()
8aaf088a26a6a8d88473689b5bb5c885eeb7f6d4 [Solo] move common "hierarchical" bashcomp code to SoloCommand
19d6dfc6636faffa0ee9ef24ea129983291c9538 [Solo] improve bash completion for "solo rescue spmsync"
0f02c112a41c0b98d2471ae29c0c08b7747cca93 [Solo] implement the "solo rescue" command
70bc4db1f288c83fad0645c3b9935840b6b60f84 [entropy.spm] PortagePlugin: strip /* from SLOT metadata
2951b0486cab84de1282ddec9c4310995aa0a68d [entropy.spm] PortagePlugin: promote kill_slot to class protected method
ba0252c152c9b32639d888d63bcea7e9d07b67d5 [entropy.spm] PortagePlugin: kill /* from dependency slot substring
9c083b3aed3bf2013675e297d454556b6d30fab7 [entropy.spm] PortagePlugin: add support for EAPI5 slot operator dependencies
6df8ff642d174cc621fc5b2ec6d806ecb146f950 Tagging Entropy version 145
a27d922cb4a31e774b12092bc304a7bd02076837 Release Entropy 145
398379294f7f6762779f6885e6e08785fba37444 [entropy.{spm,client}] fix content generation for injected packages
1b1bfcafa2b821e94bcb0d3cb3c088f8dc001f1d [Solo] implement the "solo {smart,pkg}" command.
4bcb12656e5580704ac1c475cf9c867829297654 [Solo] add _argparse_is_valid_entropy_package()
e23f4c809fc4b6e9b1a15dd88089cf0b692a1c52 [Solo] check against broken symlinks in _argparse_is_valid_directory
44e8d71550064305d4841b2a1902c80c3299832a [entropy.dep] create_package_filename: add revision keyword argument
12221f6e2ee7412be3d12a93683b4ef7ea95ff75 [Solo] try parsing arguments even when superuser access is required
865813734b5d362617442f2df76173c633938706 [Solo] implement argparse directory path validation function
0c21af7bfb97a50545fb202829cb8c01946e99dc [Solo] remove unused class instance variable _real_command
2c81bcda28c33c905a54355d61a7e39fbd8b5ede [Solo] improve bash completion for "solo query"
5073ac86e17b3eb4df27dfde2196d4b75e4671be [Solo] implement the "solo query" command
06ef0b2658e07e2f0ea4aa29cc41dbf5d9928f2a [Solo] fix typo in SoloUnused
058fed099fbe73b75229be73b7cb822283d96b81 [Solo] complete solo.utils porting from entropy.cli
234d8d443677ba9d9a31806e540de91f11c066f9 [Solo] SoloSearch: expose internal switches on the constructor
300a45fd484bcbee65960593e8011a22a77170fc [Solo] print_table: use Entropy.output() instead of direct print_generic() calls
d50752bbf926a964ffc89898ddc1be228c068662 [Solo] implement the "solo ugc" command
2e277cfd0ad4bc45db6ea3245b9418f47adfd711 [Solo] port get_entropy_webservice from entropy.cli
5936056a4cc8b187e5a5a603d2f58ddede6fbd2d [Solo] fix "colorful" argparse module. Make it work with longer strings
594bff963032bca0252789f4b580ff951d9aee0e [Solo] implement the "solo unused" command.
3a8b5d67f9443bb783f8920612485e627e4c6a2d [todo] update TODO
47b82a8146863e6ec7159705acdd2d2a609ebb9f [Solo] implement the "solo conf" command
8f04abbc634a26fe0c969b10653b73ddf18c012f Tagging Entropy version 144
34f3e248d2a4a0d83758ef21e390ceed28de1f22 Release Entropy 144
523d9783a659251679577afba04fb5e8fb35096f [entropy.client.dep] force critical updates to be always pulled in. Avoids the Glibc effect
21e2251008dd8be22bbcd2e786e9836e90e68221 [entropy.server.mirrors] tidy_mirrors: make sure to clean the upload/ directory as well
4812e3365d2656a76395b3a429d4aeaeb524f923 [conf] add dl.sabayon.org to repository mirrors
6ebc7eac0a57784db1053d8649e9b231fce6119e [client] update entropy.pot
505f664055ad699f7cdcdd5e84f50ca047b3cd36 [entropy.client.db] fix typo in message string
c3e8a370e8404b1762b21503f988d9cb6e4a53d7 [client] update entropy.pot
050e700dcf5a875fa2877bef27063cf9d9df1ba6 [entropy.client.db] fallback to package URLs if the repository database URL is broken.
4b0e7ee7d379caba8593b5d529d093151029643d [entropy.tools] introduce expand_plain_database_mirror()
7cff01bbd5b42e27c96aa9604633e062f7c718d0 [entropy.const] export "database" sub-directory constant through etpConst
0a3a330b62a5a4db929f263b294c02ed1451e46d [todo] update TODO
2a6ceaae35707ae490c3a7520c480b1458b5a6a4 [services] entropy-pkgdelta-generator: do not generate .edelta for files smaller than 1Mb
3eb70a3d4778895ad228b03acfc49a562de67188 [conf] drop aarnet.edu mirror, dead
66ef85769ec5dd18ba36a404295cfbd78a9d4c2b [conf] add mirror.de.sabayon.org to mirror list
6b04512a91e0de4240fe746c2d8cd9f6fe1d80ee Tagging Entropy version 143
fa006188f195173a3ef3387d92251a21db0cd38c Release Entropy 143
68ae30e5ba10dc67f5c16877cd8d14a55f0df641 [Rigo] fix infinite loop in _vanished_callback()
544fe8a0e3f22cf516af134c4f74720fd53bf776 [client] update entropy.pot
a64379330676d62f1686993b191a08a203ce7a5c [client] update translations
e2a075cd33b6b66a9fb918a653282eb1b0462668 [services] entropy-pkgdelta-generator: wrap md5sum() around IOError try/except
d3a1701c671d7533aebd41194bb7ad97230e530a [services] update repository-webinstall-generator-executor
58f1682c41e34260a10e23642e5f83b53a2c8726 [entropy.misc] drop EntropyGeoIP, no longer used
e5e1b6a0b6aa769df41dfeb5517848226b22a37d [Solo] implement "solo hop" command.
5b06094e5406421cf35826a296a205933b37dc21 [todo] update TODO
65f993fa713ff113d166655ea7b7749934e43af6 [Solo] warn user about Entropy Library and Solo version mismatch
25e7edcab04aba888dfe5de64a364769fc9bd746 [Solo] add "Running on Live System" warning
0ded19abfa36d0298f26e18eb5ee90be3a3d419b [Solo] implement "solo cache" command.
376a44ac198bf3e82a601032491e6793cc3b9baa [Solo] allow commands pass-through if "--help" is in argv
2fe2cfe6ea3cb48a4e2e52303cc5aba356bc5975 [Solo] add "solo --info" alias of "solo status"
eb2cd8428cfa04e41f8828ae2b2cab10fe3fc27c [Solo] implement "solo cleanup" command
7a4ce72172586a014d7740d5a4715cba61cf9a39 [Solo] implement "solo mask" and "solo unmask" commands
2183f4d848d1004e01638c97c539a72c9f2033d3 [Solo] improve bash completion of "solo search"
a5f0108ec96b2531bb0c27b373bfe601a6f8dea2 [Solo] improve bash completion of "solo match"
e72457560e23049f0612d41d7de72d599c22ab76 [todo] update TODO
88dde368f32152dc3268eb9ee2b4465bbb325964 [todo] update TODO
e04138541b6b0a741df9ad1ac09265f3afa6d123 [todo] update TODO
70a4e6493a94ecd2657bf549c46f3427bd92ebf6 Tagging Entropy version 142
724a4d7e8797b5a9a804711351e3d161b1e39d4b Release Entropy 142
3ee803c2ba32702c3476b517f8df4c4aa5f578d4 [entropy.const] implement a debug watchdog thread dumper thread.
b25e2b8f03f9fec101a01f72b48b7a1ee804e4e5 [entropy.cache] replace fork() usage with multithreading.
fff4d677611fd8ca5077e947eecb79d41e1b6505 [todo] update TODO
b47ddb87f8cbe75716b4a9587075aef227d4277e [Solo] implement "solo match" command
cb79d91cd5e45bc8ad1ed0418fbd1d00b3954989 [Solo] implement "solo search" command
316ef31dcdabe3127290ae51cd2eef3a4f14e73a [entropy.const] do not alter etpConst['systemroot'] variable
6ddc4c2f144a72453d92adb21a68f53434143883 [tests] fix Entropy Client tests (add affected_infofiles metadata)
9d1dd2f5b37eb0f9026eaa649ff8c9ce6565aa4f [entropy.const] move Entropy Resources Lock path to /var/lib/entropy
a659ac2f6614c4a9b06a272030e2d6a945bc4982 [entropy.const] remove hardcoded slashes, rewrite paths using os.path.join()
e11493ffe2e7d5d6b2d4aef9f73c5926d5bacc69 Tagging Entropy version 141
f675c5fdae5012117a0fcf0edccd3f74d950c8c1 Release Entropy 141
6f00e50faacdc84a3475718e5e5f37f40e690e03 [client] update entropy.pot
6654c83550dcd96beb790d2dd92c3f0728d7a005 [entropy.client.trigger] implement support for automagic /usr/share/info/*/dir update
b0bbf2762c43a71e696225e7d6b2b14b7cb65699 Tagging Entropy version 140
af338e75640767ee7432713320b97f439c8dea33 Release Entropy 140
97aeed94be64effc1030273593c7f72fb8592a03 [Rigo] always validate repositories after update
8df69644623b873b888bdeef5ff9367bf39ae33f [Rigo] Application: escape _("N/A")
c9ed841e752b39255e68cb03354a06273aba330b [Rigo] RigoServiceController: convert app_name=_("Application") to rawstring
6c96c7608e3414bd8d7d168404adc2f481878993 [magneto,rigo] modernize .desktop files
79d98239bfaf52671e83ab3482219b2625bfaed2 Tagging Entropy version 139
ef9258b4ced3949f251a4333633dcd244239913e Release Entropy 139
d9bfa7f11f7c443ab622211e6a02dc5c3b32dca6 [RigoDaemon] half the timer frequency and add some randomization in _auto_repositories_update()
65a1949c0c7f3a380ddec7149e91f9383e6c015d Tagging Entropy version 138
ec425094cd13c13adaeb6edade2b1313953d5305 Release Entropy 138
c4b9a0df28e944c5972bcd56aee653bef0e1e683 [entropy.dump] do not use os.fdopen() in dumpobj()
86d790648d0cf5c528f05b5cbe91461396513ded [docs] update TODO
d166690c35c54196c8eb5ba4dc0f42910612c6bf [eit.commands.lock] validate repository_id in "eit lock" and "eit unlock"
1001bc30c6ff29092123afd545c953735c724fee [entropy.spm] __source_env_get_var: fix typo in tmp file prefix string
814ff4664d7f1e59a9245547fea1b02848e8fa73 Tagging Entropy version 137
178e2c62cdd0350c79240e58553dc592bb934ad3 Release Entropy 137
20253ca99d692bf77be569519479470cb048c39b [entropy.spm] __source_env_get_var: avoid deadlocking due to stdout buffer full
1aee2a437133f3353dd85d472150894464820d2d [eit] handle OnlineMirrorError more nicely.
446432c64de934e29b233e01ea5222b3a8a12a59 [entropy.const] do not alter etpConst['systemroot'] variable
c39bec886b400d6dc5695403e8d135125eb8d363 [tests] fix Entropy Client tests (add affected_infofiles metadata)
627af78498402db1eb66f58107fcae8eae10f6e3 [entropy.const] move Entropy Resources Lock path to /var/lib/entropy
ab9e3e9791b1c3fca93c51ec47f773675c1879d8 [entropy.const] remove hardcoded slashes, rewrite paths using os.path.join()
ceedf8d16105b9b5ad95d9749b1df700e6bfaa70 Tagging Entropy version 141
5c1f8d9b94c70b97cbdb7daa773fbbc6329d643a Release Entropy 141
a1077e6c0a3ddac9aee8ed9b5872db5c916578da [client] update entropy.pot
4bbf8d773be4af0ffb0c77dacf5cff82f96965a9 [entropy.client.trigger] implement support for automagic /usr/share/info/*/dir update
b464e3dd4a77a9151471446627bcd9a2167cafde Tagging Entropy version 140
91a96abd457ba0f110bad0fa7c9af52a09853fa9 Release Entropy 140
2092303f5579ecf9523d2ab0fb62a10837250d94 [Rigo] always validate repositories after update
6f137d758d664314fbd6cf88a7112825098d304d [Rigo] Application: escape _("N/A")
763ece862e5b6faa5aec38b331d5f474420b6c78 [Rigo] RigoServiceController: convert app_name=_("Application") to rawstring
918a388252f34f7c42f14685ba688a61b0804e8f [magneto,rigo] modernize .desktop files
5cae81b092090d26627df0aaf114b8689857fa66 [todo] update TODO
6c51486a651f0f3bbd867203eb73295a34a6bd20 [Solo] implement "solo notice" command
453d639ae0d3325870e56653f81a6942061fe699 [Solo] fix typo in module title
32fa18f638f01f9f04f265a89c3539478df7988f Tagging Entropy version 139
4a37aed84a66505a524cbed9fccd5bcb2a4927dd Release Entropy 139
fa0eb83df4eb79d0bb69e3141a3ae7e5c5c55b5b [RigoDaemon] half the timer frequency and add some randomization in _auto_repositories_update()
a2ca90a239474df703d6c6836b1f349b63f7eb08 [todo] write my own random things in the TODO
b5768185c36578ca6451b6e0f50baf0aad385505 [Solo] complete implementation of "solo repo" command
c332d1a6f855abbd92fc631bbd7e03942e391ae1 Tagging Entropy version 138
3d923e07272bb3cd3efa8111ec7b19948ab99965 Release Entropy 138
7ddb21276c97614be0d2d3394d15003d02dd74fe [entropy.dump] do not use os.fdopen() in dumpobj()
72eda95f8269a80d09fa626f3a79a4c037d5c6a1 [Solo] add incomplete "solo repo" command module
732fd4f7bf65ceabf5226c48ba9c839049417b7a [Solo] fix ALLOW_UNPRIVILEGED handling
0c0ac3261f45d21a88fab67a9340b43304ef2fde [docs] update TODO
db542393fa860131b8d374a25517b93be778892e [eit.commands.lock] validate repository_id in "eit lock" and "eit unlock"
e3e135247538b39166d398a96f3c9f59358531a0 [solo.commands.status] new command "solo status" implemented
32104fe63cc0481d4cafbd14cdfc468e27c3443c [entropy.spm] __source_env_get_var: fix typo in tmp file prefix string
3138bbad8dd1f38b1063b7a2c249a67121000530 Tagging Entropy version 137
84b13ffb955922231587785cecf83942221db7c6 Release Entropy 137
0b9acb24a44e5d282abd1dac3fb50d0bcc92b1b3 [entropy.spm] __source_env_get_var: avoid deadlocking due to stdout buffer full
0e0483e9c93b150575a3b1d8620940abd7679c3b [eit] handle OnlineMirrorError more nicely.
b3b047be0df11badcf017bfb460beec986f40a10 [solo.commands.update] use gi.introspection if available
2041dc52db4d8928d05f6be6de537c7f38b5bab9 Tagging Entropy version 136
f173b5850fcd108b2e59f68ae423ee2d32176156 Release Entropy 136
79c567afb57c6d78d39d9f1cd0497f3988a98ea9 [entropy.server.db] when download is complete, unlock all the mirrors
d1475cff318e3d71c01d1500cc843febb4a98b6f [eit.commands.reset] subclass EitPull rather than EitPush
ebc4ec7b08821f6687cc68f14ff5cbd3f163cc8e [entropy.spm] look for modinfo inside /usr/bin
9dd85491f091c1eee6ba069c1c7fb02be3ed32c4 Tagging Entropy version 135
5b8de80fb49b4af518c581e7eee5d8b731c1867b Release Entropy 135
97e6fe31e814d7bc09d982d9885806fd123f428b [entropy.services] fix string format arguments
aebc0571f37ec2e3fe2c2bc340e2aa0d02905afa [entropy.client.interfaces.db] fix undefined reference to TIMEOUT_FETCH_ERROR
9e725b510c0d7109b37ab2895815abcedb7129c1 [entropy.misc] fix undefined reference to class object
23ec7006f4fefcb3ab3f2abe78a0748e8d7d8390 [entropy.spm] PortagePlugin: explicitly save err object
699bf4fe512f8fbdde8566175b9ccb4bbd1df580 [entropy.db.sql] move methods used by _addPackage() into class
4cfe4306fe4b272429a98a237d66c0f913140abc Tagging Entropy version 134
3cf0a0cee2f3b7cb921695123b4da383c823b0b6 Release Entropy 134
76edd9f0a3f10c1ee1ae57b2e62c28574a0c7efe [entropy.client.package] filter out splitdebug paths if splitdebug is disabled
e17de72db8c5a2e94cff56926b7d34158f96af68 [entropy.spm] ensure that Portage vdb cache is always invalidated
c3c5e9e97dcc47d83a781fded9e48e3fe1be93f1 Tagging Entropy version 136
67447959127bdf7488b8110b55e6b08530c923ab Release Entropy 136
3be15f077b410792873909e1d98961388f2b0654 [entropy.server.db] when download is complete, unlock all the mirrors
ec1e2b431de99c918df8e85fbc94a93e1f40810a [eit.commands.reset] subclass EitPull rather than EitPush
d530ae4cb3b1b3eca04360b85160258787d2d341 [entropy.spm] look for modinfo inside /usr/bin
ae8e6f6c3c24431a68301673686449c59d697b1b Tagging Entropy version 135
b2c88b0c20745bbdf9edc7140174c533b842e9c0 Release Entropy 135
385c50b54888a0a584b4827e95a307a653e641a2 [entropy.services] fix string format arguments
ab76d2254d381b485b91b1e8ef3b334914d28e56 [entropy.client.interfaces.db] fix undefined reference to TIMEOUT_FETCH_ERROR
541f518ec3581fe1ab5e501db329c81c5284f12a [entropy.misc] fix undefined reference to class object
c64441dcfc0bf6a75aa24bc28b6f749fe882bd9e [entropy.spm] PortagePlugin: explicitly save err object
4da0c49b07ca61b3b7ac6bfa07eac83038cdb7e2 [entropy.db.sql] move methods used by _addPackage() into class
359ac047ff9052d1ab7b63794639247029e9659d Tagging Entropy version 134
04ce12e276165e9aa7f28586867925f9101db0b2 Release Entropy 134
aae376f3690ff806006ef8bac2debc38d835fd62 [entropy.client.package] filter out splitdebug paths if splitdebug is disabled
657478b4ee14c3c13a395ff3dc43a0a74653a58d [entropy.spm] ensure that Portage vdb cache is always invalidated
8f7ed7a6443c618314c055665be32ebea2df085c [Solo] add "solo update" command, the first real code port
c7972c851996c6021b113d8972d21a98c748d397 [Solo] fixup code imports, add helper functions, migrate more code over
3becb6a2151d5c835c99ddc401e8cef8d1a885c5 [entropy.*] don't use magic constants for UrlFetcher errors
4567857b904f4ee26d9d9a0bfb0c150c7790de1e [entropy.fetchers] UrlFetcher: expose generic error codes via class property
28c61591cdb4abe94deaf4c4fa0db4fcf04aa3dd [entropy.fetchers] MultipleUrlFetcher: join() threads explicitly
82ae020c40d4074fab49f50df790873dbef842a2 [repo] remove empty README file
fc8ed7329de0cc25597f177f4aab55d12b2c3124 [entropy.*] don't use magic constants for UrlFetcher errors
af7ed0d04c623b0a3adad0d2060a632f10c087a0 [entropy.fetchers] UrlFetcher: expose generic error codes via class property
b68e9104b5abf02a658fcea88e42f9ca662d01de [entropy.fetchers] MultipleUrlFetcher: join() threads explicitly
6bf5b0441e7d7fd76ab908550b72f138f8598505 [repo] remove empty README file
1582de0fffda356703671abfc80d49697ada8767 [Solo] First commit, equo rewrite has just begun
2e6b176c833f91a3003ae787bb9085285affc17d [eit] do not raise any exception in sys.excepthook
796e71e9ac4a9c7026ccbfdb6fdd6d250a5069df [repo] migrate shebangs to /usr/bin/python
c9242e2517a9c3678ec6560eb1e690b2538ab1ad [todo] update TODO
d56cd777c8b4a0eec3a5a82acb84f51b68e64591 [RigoDaemon] some minor Python 3.x related fixes
facd0ec069c8d9a90da0664396364f4678a6bbe3 [equo] update entropy.pot
41adc104ca222fce3775fe9d3a0680bb3ccd7e8d [equo] update translations
e2c0ddb526192c9e32f75e7b330a91412cd4f095 [Rigo] Python 3.x compatibility fixes
1f84203788a1388e6e87c55a40ebf349b7b8379d [entropy.spm] PortagePlugin: Python 3.x, use f.buffer.write() with bytes()
fb6957e5fa7d70dbc4e81eca66757d47e5ff10c4 [equo] fix UGC vote get command, do not require login credentials
ff133b432a1081963a6f3a9d4e3629eea58a37d0 [entropy.services.client] restore Python 3.x compatibility
333e82ea108cf6eda1798ca6283af41b99d8b35a [entropy.spm] PortagePlugin: keep keyslot as unicode, Python 3.x compatibility
e90cb74c27df0d2c669151e592277f3507a041ba [entropy.spm] PortagePlugin: expose __next__() unconditionally
206fe4920318b8f885f64d56b165b9daa3405f1e [entropy.db.sql] add __next__() to iterators, make Python3 happy
61eeaed14e6979c0bc332684ea622828906597bd [entropy.client.package] add __next__() to iterators, make Python3 happy
96976374fe1eb1c0aeee3e97e8f6827315a57ae7 [RigoDaemon] rewrite Installed Repository I/O event handler
c5cf96ace0686cdb2cf0bc94f41cb4c3a8e3a690 [RigoDaemon] delay updates calculation by 20 seconds after locks are released
a37d7ca195c85369c81b25a1dc3dfa6f1c6f9090 [entropy.db.sqlite] move _addPackage() to entropy.db.sql
5a49098515def81fcd87cfe496635779523422a7 [entropy.db] move _getLiveCacheKey and __hash__ to entropy.db.sql
a0394ba9a58be3f4ef0e77b39a966c96076be9c7 [entropy.db.sql] introduce _UPDATE_OR_REPLACE and move remaining SQL to entropy.db.sql
1b101776401392c968c844261ce4c48370acea42 [entropy.db.sql] major cursor and connection pooling rework
f1c60ec30b7757ee9ae5f556ced6004d0f6ba1fc [entropy.db.mysql] implement support for RestartTransaction through _proxy_call()
9a699e7ae88c50c4a0bedef008d8dcbb922bb72f [entropy.db.exceptions] introduce RestartTransaction exception
760685674e538d6ba1aa88adc764aeca24531a32 Tagging Entropy version 133
366396bfe710dfb198c233c82d4feaed84343e7f Release Entropy 133
8d00d5beec6ce1cbb23de461949b836b223a7497 [entropy.db.sql] make custom iterators work across multiple iterations
a6286b0e219262076d27e70f3e08771b9b049e4e [entropy.client.package] add one more note about the universal newline mode
56616e4520a667586701f2268eafb7e0b3f16ae0 [entropy.db.mysql] add some missing docstrings
427949d481110b352c3c98070c897288b7d3eae9 [entropy.client.package] make FileContent*Reader iterator work multiple times
8c0c0dc10a2edf2027ee5a87c8d7ad1f25ab90d5 [entropy.db.sql] _insertLicenses: tolerate unique constraint violations
e05b649f98bbc25b7b231dfdf2bc1b560c80a0cf [entropy.db] remove do_cleanup argument from removePackage()
9d665e050c9d1c16c0f618df0d1838ecfea2fc96 [entropy.db] remove do_commit argument from methods
6f54ac4459f04f750f5ea9f1225f712ca6c387f7 [entropy.client.package] use Universal Newline mode when opening content files
f9ee58b48fd4d22b813ddab97307789429cc30fc [entropy.db.sql] add SQLConnectionWrapper.rawstring() and docstrings
a8e2bbd3baf82079c40ea2b28cad11effc1906f7 [entropy.db.sql] do not catch any exception in commit()
3679fa966a3a5f2b76b0e6494dcd33332fb8292d [Rigo] increase search bar maximum entry length to 512 chars.
70c6823b90567c43bd6528c3f59bac2a9e79c494 [entropy.client.package] fix non-deterministic bug with Python File.readline()
c5e80d41535a6c41013b33712a4732da9f7f045b [entropy.db.sql] define a common API for Cursor and Connection wrappers
beb21f166071f346c55df71942e578d657a6a952 [entropy.db] move other standard SQL code to entropy.db.sql
27a51598a0f481ad5675471923cc9e8c3e2b1d6d [entropy.db] move most of the standard SQL code to entropy.db.sql
4ea217f3fd7c8073af236eb0f08551e50cc0b585 [entropy.db.mysql] replace FLOAT with REAL for mtime (FLOAT did not give enough precision)
74f7b4d73075f54832b3f409d8ebbb258d55cfdb [entropy.db.mysql] fix __iter__ support, iter(self._cur) MUST returned
7a950cb4b9924a59f173806780a4a842e90f2fb4 [entropy.db] abstract exceptions away from sqlite3
8ac22f4beb2fd1ff36086c0b9d9b4a1e00bb1ad9 [entropy.client.package] FileContent*Reader: keep raising StopIteration() at the end
08a43435978a762f95074f93b67c05d91c67960e [entropy.client.package] add a bit of paranoia to Content*Writers' close()
2e6e790677ac30f7dd53c52d2d85e947b3826c6b [entropy.db.sqlite] EntropyRepository.retrieveSignatures: check if table exists
0461ca413aebf114c80fe32434d0f2587b7ed77c [entropy.db] do not check if "settings" table exists, we're fault tolerant
90400c4adee2ec944c938afac771c9c618a8bda4 [tests/db] drop SCHEMA_2010 related code
dc4556ef4647264dfa422b03adc041e23ae557a1 [entropy.db] create entropy.db.sql (holding standard SQL methods)
95d23764c3df72df3b7cd8e8efa145662408934c [entropy.db.skel] move SETTING_KEYS and add ModuleProxy to EntropyRepositoryBase
23847b99eb0e8764d55eb65a613bc40b86498c94 [tests/server] directly import EntropyRepositoryCacher from entropy.db.cache
ea1922bc9d7aff328f9da154c3c8f4935c130f7b [entropy.db.mysql] fix typos in string format
8ebf92f17bc9fa784bd5c83530dadd71214be4c8 [entropy.db.sqlite] enable _SCHEMA_2010_SUPPORT by default.
b65962382df454cb4e534ac148821a8e95f59a49 [entropy.db.mysql] migrate to oursql (from MySQLdb)
e24bf78b63ca4765580137fa8ec0db88abe687e9 [entropy.db.mysql] finalize schema (data types)
2bac80d76adf09e20ea5bbfafd26186cefb56245 [entropy.db.sqlite] catch OperationalError instead of Error
37e1d0f465e15164f66c7100a42195fedf3bf6b3 [entropy.db.sqlite] always enforce LIMIT 1 when using Cursor.fetchone()
ea17f96d999f3095176f2d2473524a02f0d6a842 [entropy.db.sqlite] check if settings table exists before spawning schema updates
690984caf492070c07955b3d5d1c80033135db94 [entropy.db.sqlite] fix query statement
7e6c9530c180f211b663f1af58e5f5c274fd3554 [entropy.db] move alignDatabases() to entropy.db.skel class
4ddc1624286652cae1ac392059d2514b550075e2 [entropy.db.mysql] increase datatypes' size
462d98e4a8181efca5f87f99fd97d328b04026da Tagging Entropy version 132
56be066b5a4150b31d4a2f91dff6c616b6aa7410 Release Entropy 132
ac77ed6d9ea69af6b521974e6f1fbbd826dfbda5 [entropy.db.mysql] tweak some schema values
deb5947452e86ef342b5eb48e9570328a15e9c11 [entropy.db] expose EntropyRepositoryCacher via entropy.db
d71bf47e7d636781201691d8c8a25016118a1726 [entropy.client.package] relax "path" contraints and be tolerant against broken pkgs
34d464e7c6a197b668c50ebc7aa70f7002a0978f [Rigo] PreferencesTreeView: add explicit "_" import
c9a5f2481d89abac912f444717dd5d231d4d60c8 [Rigo] implement Application Groups support (in:groups keyword)
ad74ade00c19d8a6dc5153ea88f80c2c9fe69a7a [entropy.db] add MySQL connector (barely tested !!!)
a1e7d92bfb4209ea9026d5c0fd4014ad7154fad5 [entropy.db.sqlite] trivial fixes (remove imports, catch IOError, etc)
a7f958afd17e86c71327f6e6ae26b37d27919fbc [entropy.db] split entropy.db package module into cache and sqlite
d7e33693b40791e8a9e461b3106e6ab921cb67bc [equo] entropy-client-services has been replaced by rigo-daemon, update error message string
0c15d697a363b79b13a3eeb8eda46e0e71c5e9eb [entropy.spm] PortagePlugin._extract_pkg_metadata_content: filter out empty path strings
3ffbbcb49da735f8a8c55d39cc641183890d0d34 [entropy.client.package] _generate_content_file: do not catch Exception
58cb8adf9630d24b0bb83eba47debc45c1fdd3ed [entropy.client.package] _generate_content_safety_file: do not catch Exception
3294f9963be46b90698c0d27387fc82b3748e9bf Tagging Entropy version 1.0_rc131
55472f77e23d1449d20cf5c44cad789176392693 Release Entropy 1.0_rc131
aa6edfccdc07227faf578fd93d0f0ef6bf03783b [Rigo] update translations
122396705d5396150254b8a6545683fa3efe1f40 [Rigo] update translations
2b40390983c1eda8229b49f72ae3846cd69a2b59 [Rigo] update rigo.pot
89b114f005ed2241656bcd9dc3c3d12eba73cee4 [Rigo*] implement mirrors optimization feature, see bug #3438
107e55a029f8c88681f43732fbd4d9d68918ac9c [RigoDaemon] fix polkit "Manage Configuration" message field (gnome-polkit guys are idiot!)
cc93458fd13dff169dd014c151422045629906d3 [entropy.client.methods] optimize reorder_mirrors() configuration commit code
87f882357f60f18b305625ebc201090a3d79c6d9 [entropy.client.methods] reorder_mirrors: make it atomic
af5a573d23d71a990960b47a6adee87e083d712a [entropy.client.methods] reorder_mirrors: enforce a reasonable upper bound timeout value
4a77fd59ddac900a419791905ab2f85f2a32b8e7 [entropy.client.methods] fix typos in docstring
5a24d2c17475ee82248f5dacbcb6065f021d0110 [entropy.fetchers] make possible to override the default timeout
a7358e63ebad7d6681685489f4984e91abaa9e90 [entropy.client.methods] split internal add/remove repository functions
76e045d7b648e54884737b27c3c654002fe28943 [entropy.client.methods] add "commit" keyword arg to reorder_mirrors()
da334ec92e6daf00ad83235956329a6f10896ae2 [Rigo] always convert dbus.Int and dbus.String into native Python object types
b98e219bcbfa4384dcb98ae76671a1aa26125c31 [kernel-switcher] migrate to argparse
1c7ec96ed95dd7d598fdcffc973ac3a14b5f4c1f [kernel-switcher] add --from-running switch support
f6ccf316e3e734418cbaee0b63561bc67330020c [Rigo] speedup recent searches ListStore (using a set()) and avoid duplicates
429c1f6be515da980e4b06d3e41b3baa761291c4 [Rigo] set a custom window title for each Rigo View SM State
57021922ed1e0a3be6e06577d61acad1b40f417e [Rigo] s:transactions:transitions
c6829f479a995aa82246daa26ba0bdf9492b7f7e [Rigo] enable (eventually) the search entry text completion
0683d9d38cd70ba69bc7c1a891f112784e5370a4 [Rigo] rework special search keywords, make them more intuitive
d0c367ba882eb00e7bd54d4645b5bb5c8cb448ed [Rigo] rewrite special search functions lookup using a hash table
eb71741246eba8e8dc1d43952925b8b355c87080 [entropy.client.package] remove tmp_file_content in the finally statement
5042023481c07c1d00ab84c9680c2d8e65b702a9 Tagging Entropy version 1.0_rc130
8dc597c19d947b29f6246dfd21d48f97e71992cc Release Entropy 1.0_rc130
eee8beeaf630daea37720cfca6a4d34fcdab5324 [todo] update TODO
11d013094e24f46d2af5ebaee59313c32ffba308 [entropy.client] use bytestring when dealing with the os module functions
c803b945330b1a05df8c9c214f1a634ac825b35a [entropy.client] generate items_installed with unicode objects, not bytestring
0eec9cd4e978977aebfaf3d3be2f0ee10aa1897e [entropy.client] file_items_installed Set is no longer used, remove
cf86ca664d049546325cede856b125aee7d4b741 [entropy.client.trigger] call environment_update() whenever ENV_DIRS have been touched
9c563f4bd6ea6b716b9caac6519238b5edf38581 [entropy.spm] expose the ENV_DIRS class variable, bump API
5338dc313e18245ced89e91b66b1c5da3336ea86 Tagging Entropy version 1.0_rc129
d08a02cf71bd0599a86f293b2b45e4bf3541735a Release Entropy 1.0_rc129
2136dab0bb53ac3a6cd0530d8a9b1ba460c51f49 [Rigo] update rigo.pot
2ddd3b4d0f480f45cd9d100e9e80902b9783c6b8 [Rigo] implement a Bottom NotificationBox "Activity" button
9859dc2e677e411dcafa897070dad9623757bb7b [equo] fix "equo repo <cmd> <args>" parsing
b5b8d252970770a8d17a4457ec0058d149b328bf [RigoDaemon] add support for Action Queue "introspection" (in a MVCC way)
b35c01dda89cf3d731e6c56335d1f69d95338242 [client] update entropy.pot
3c57ec70c3bb0d0747f43b5333e345c3fbd4b0d3 [entropy.client.interfaces.trigger] make "SPM" string translatable
88844b3cb51f7ec315c0dc4e01fe5cc85bfa0873 [Rigo] enable fallback search only when in:installed and Set search are not triggered
7d5eb11c0cfcec21ae97a4cb0d0c81127a5a43f4 [Rigo] make "in:installed" queries case insensitive
62eef2d5d8a1266763bdf57098ccae088cf3fda0 [Rigo] add "in:installed [<search arg 1> ...]" search key support
d6d1e047ae62b59d91a00dbaa54fe7b003243313 [Rigo] add custom drive-harddisk icon
4fd54651c53d051cb0d82b2129e1591a54ae7f68 [Rigo] rename all the magic search keywords from "rigo:" to "in:"
ad8574024b38e10df38de3a1a1f58fa9f6ba1617 [Rigo] update rigo.pot
f460cd292298be1623fd1308d213128283298781 [Rigo] implement "Show Installed Applications" Preference object
b1e3a27696ebae8d62119ec24a8d3f9c906113a5 [Rigo] add "rigo:installed" magic search keyword that shows all the installed Apps
7aee5d56a1a96e982cef748327e809afb436d2a3 [Rigo] correct indentation
8b8938116bf805cfbd9d362ff65cab16ea0358ee Revert "[entropy.db] drop isPackageScopeAvailable(), unused"
54a0093221b7e1ced4424fb1e03835578205b6ba Tagging Entropy version 1.0_rc128
a43c399901ccc604558a66a7f9e1c178909a90b9 Release Entropy 1.0_rc128
2bdddef33e1e456dba23cb51c321b2fc033cf308 [entropy.client] speedup dependencies_test() with a bit of memoization
10bf68d6ee656d75ef9dc71b51fea661938190b8 [entropy.server] _deps_tester: use memoization with dependency strings
1977decccd94b4097b796d0644c97c3162571821 [entropy.client.package] reduce memory consumption by writing "content_safety" to disk
89e7fcf94955881f296ed76f31be9d15bfec83ed [entropy.db] add "get_content_safety" keyword argument to getPackageData()
044365876b7806c0d6fa00c4b7b5f906ddd061f1 [entropy.db] add EntropyRepository.retrieveContentSafetyIter()
79b3e129f59da229c6f5ac764f3bd745cbd1db26 [entropy.client] reduce the memory footprint greatly when installing big packages
ed5b2640ea0f9205edc794ce95d3f737ae78935d [entropy.db] always commit() uncommitted transactions after _setSetting()
192bb79230e5c18cd128eea9b8019892724d4f31 [entropy.db] always force unicode() on _setSettings() arguments
5ece150aea6d7e16b97736cc5029e29114dae865 [entropy.db] add "extended" keyword argument to contentDiff()
8f4b58b449e55832320146d1176252f0d3b43eb7 [entropy.db] EntropyRepository.retrieveContentIter: add reverse keyword argument
7058db3f0aaf432fdb7dd660518ca8602930a3d6 [entropy.client] simplify content_file Trigger code by passing pre-made metadata
251d1afca33e91f5a268dd6eb89f47afe8a48e06 [entropy.tools] use less memory when calling uncompress_tarball with huge tarballs
9c06a380f50cb19984e58ac6236d9d5b4f732bc7 [entropy.client] use retrieveContentIter during Package install
abb9e515ad95f99a5e763b09d8787d73d14f3cf5 [tests] fix EntropyCacher test
9e819f8083eda085d7edae8a73848b928c838ea5 [entropy.db] EntropyRepository: when migrating to the new schema, drop _doesColumnInTableExist cache
df89b672f069d47e6832797f8b1e601259e3c0b9 [Equo] make sure to always call Package.kill()
e432a1c9f02e01cb7237e73a340dfeb45d0eb0fe [RigoDaemon] make sure to always call Package.kill()
a116bb7a926cbe63992cfa59222d2eeb345d7ef5 [entropy.db] EntropyRepository.insertContent: improve memory consumption with iterators
8e5a062755ff9d5e762bb08e35493b899574406c [entropy.db] reduce contentDiff() memory footprint by using retrieveContentIter()
a8d01a482f6e8fd04178ee7c2beaa67faf9a313c [entropy.client.package] reduce installed_repository() calls
ead457ef8d6d2ba329677641c6a325b349dd9b56 [entropy.qa] use retrieveContentIter() where possible
59aaafd3c31274b95e2856955cafbd408f047132 [entropy.db] extend retrieveContentIter() docstring with important info
58912834eb3cb45dd0bb14c990e9e86794d9e27e [repo] ignore test scripts in lib/
137e145d2d57939f42308c0615483583ec3602ca [equo] use EntropyRepository.retrieveContentIter() where possible
d75ce8308649512ef28f28175036483eeb031f14 [entropy.db] restructure indexes
12efc718c08df08b1df15bda7ba11c53f0f965bd [entropy.db] add whitespaces, remove trailing whitespaces
c8178b3cd6afda0e1a5548cfc7a8d4f6a085edb8 [entropy.db] kill more >80 columns rows
492ace12e81aa77af293d9b658c14a025613d5f4 [entropy.db] drop isPackageScopeAvailable(), unused
6b95cecfdbcb52b5dbb60400dcdc20ff007a4efc [entropy.db] uniform _createCompileFlagsIndex to others (catch OperationalError)
1de32aba7d8a56b74e79d0089a4bc3a0618830fc [entropy.db] kill >80 columns rows
90458f80b68657583a440bb661b8196fc107caa1 [entropy.client.services,Rigo] add support for the new get_documents() WS API
57535a32da8a02e65ed6224b6c3a5844f90bf760 [scripts] update tag-version.sh, provide tag to script
75e7fd7213c8159053cd675d9c3aa1546c8a07cf Tagging Entropy version 1.0_rc127
4b5c06177f38a236ff08a0ca4d5f246d6bad675e Release Entropy 1.0_rc127
254c866702a0153ca3a488c43f9fdfc6facaea7b [Rigo] update translations
fa35eadf47c9c765e9ff23d77b58a2d92bd71dfa [entropy.fetchers] do not generate two separate requests per download
13b5bcd018526c2142fbbfd7d497c0aca23a4051 [Rigo] serialize MTed download to the same URLs (avoid flooding the WS)
ef64634defda896a9785a4d764e52cc670104470 [entropy.dump] dumpobj: use temporary files, fixes possible races when MT
f301ae60c78ef0be1b00cdb1b7ee7c6c8f3e9afb [entropy.graph] Graph: drop __del__ (just use destroy() instead) to help automatic GC
61950f3af0bc24092f0a48010550799befda9b67 [entropy.client.interfaces.db] sort added list to improve determinism (good for caches)
e8c6af83315f5ad30af4dba9c7dce919cfae9fcf [entropy.misc] LogFile: remove __del__
defb58574d8708942482ca68ce344236cfb4ac06 [entropy.cache] EntropyCacher: remove __del__
0dbc40777eb5385a94a36dabc868979b442d9c99 [todo] update TODO
db5265e3d511e828bdf99abd4756360482d58a01 [entropy.client.package] use retrieveContentIter()
a1c5e2bc12bf0e86a55b55980b4b88a72e2a9eed [entropy.db] introduce retrieveContentIter()
ce4d28ef47576e62b2c9f9ff0b160ca6d1e598fc [entropy.client] if xcache=False, force EntropyCacher "stashing cache" to OFF
9472978e607f95b44984ee07c526f125e09ac31c [entropy.cache] EntropyCacher: make possible to disable the "stashing cache" at runtime
de52fdb45383d65fddb92c3f224d03a2e0680571 [equo] fix undefined reference to installed_repo when --resume is used
574801e2f95a321ef0cd557215be8bde548b7318 Tagging Entropy version 1.0_rc126
ae94f49e79cec51aa7e7598c69c11467f7039b05 Release Entropy 1.0_rc126
dc2744474940608096483a477c34eda79302b32c [entropy.server] use Server.repositories()
499aee4feb0c6e0bcf49037bf0ef9a5f240da26f [entropy.server] automatically cleanup the list of trashed SPM UIDs
2f9fafc128b6fa5688cb39762f56bf1248784ae4 [entropy.db] EntropyRepository: create index for trashedcounters
3dc413e80f09e2096f1ffa81e0e35f0ae3d34df3 [entropy.server] fix typo in comment
b9b515781796ae35ed78d6764d801fa92cb94c72 [entropy.server] resolve_spm_package_uid() already returns int()
c2c0787169fb99d0c2a60f98551a17e3efaa37e8 [entropy.spm] PortagePlugin: resolve_spm_package_uid() must return int
8b5606ea066483d36a09e0e3984f7bdd7b630082 [entropy.server] use resolve_spm_package_uid()
00a3d87b7d7b640d4f13e2c503918a69e6b82726 [entropy.spm] PortagePlugin: add resolve_spm_package_uid()
5a0d8cf7f5c62e9bd12d6f21f0e8330c1e1ccde9 [entropy.db] add removeTrashedUids() and listAllTrashedSpmUids() methods
4d89935ef6d9978d268fd99d417b936f940e505e [Rigo] give Icons and Rating worker threads to collect more keys during a batch cycle
749e3ff29dfe332974c8afb087d08aff4a4c5721 [entropy.client] do not remove current repository database before download
60d4de50e7b4ee32a8cdcd60d353bf92b02886c4 [entropy.client] change error string
ece0b58858ded88fbcc93bc855a8b20901b45433 [entropy.client] remove orphan function
4e3b5e6106c3dde9aa3443ba8367dd8b8743a018 Tagging Entropy version 1.0_rc125
60fce6a94b97bd05360b775b2e4e12a690062034 Release Entropy 1.0_rc125
5189bf51bcc62d8a1db763e9d185f9824cb331df [Rigo] update translations
b504f4ce5f2bf4d78dd41ffdeecbd51915bffd72 [Rigo] update rigo.pot
0c4d3a2b0a9e94bce1c7ad244691caf19ab19b7d [Rigo] when App is updatable, show "Update" instead of "Remove"
09b8110790084f258e0f2fa3b71b4ef655520b2d [Rigo] Add "Black on White" and "White on Black" terminal colors support
f57395717260f8d0e3a8dcfb169612104ecb5f01 [Rigo] avoid race with finally block and GC wrt file descriptors
afd2608153a653c8cefeabd9c02439c3526a6cd2 [Rigo] rewrite NoticeBoard TreeView behaviour
3912ca0471ad14fe0c6ca7fc07211bf913190368 [RigoDaemon] _noticeboards_available_signal: convert dbus.String() to Python unicode
7135ba3a0148a60a018d21464a51ecb352a13045 [RigoDaemon] make sure to keep the Installed Packages Repository closed
0ce66337334d2969d2e593475988c5841e0bb6d7 [entropy.client] add public method: close_installed_repository()
941bfaf1e8f65ee7b30a8f2c37d2b739fb206f83 [services] optimize execution time of _expand_cpvs()
9227b17744250a524ede3017d757781cae096dfa [services] portage-repository-converter: add support to Portage md5 eclass cache
9b673fad9b46559d9b5e96b4b699dad7c04cb0b4 [entropy.output] fix is_stdout_a_tty when sys.stdout has no fileno()
bdcc0821fc67563612e4c0ffb7365cb69f8ca2d6 Tagging Entropy version 1.0_rc124
89713f25286fa5aa5dae7366c2fa424f1279b480 Release Entropy 1.0_rc124
0e54ec96ec6e0387309c7bfa4d1480b78865602c Revert "[entropy.server] keep repo closed during early init stages"
a312a6146ef30061bae3cba1d0d6590f7ad4ef63 [entropy.server] reimplement connection pooling
b8976f4c0c06e632fd20b5a9eaa84ae643d7511d [entropy.db] EntropyRepository: expose connection and cursor pools
017f2b162c6709ffff8972d994e8d3a9819225b1 [entropy.db] EntropyRepository: hold __connlock during pool setup
b9c7a2dd927c3b2ef395a8df522a14c03127eb66 Tagging Entropy version 1.0_rc123
9d2b3298369ed4736b38cdd01172ab6b31de0b38 Release Entropy 1.0_rc123
4c8d6c74e3bf62b7e9d02c7e4c4ed5ef32428751 [entropy.server] keep repo closed during early init stages
15349565a981bf242ad85b1aff5d4fa2bd9e7d19 [entropy.*] rework EntropyRepository.commit() usage
38373a3428ff0eb274adf48f5a61be68687f1212 Tagging Entropy version 1.0_rc122
01a8f3e5863f66fdb1db640b4642b2722c05a8f0 Release Entropy 1.0_rc122
fb5cb00b9db9f5c4a47c0b09f3ddd31af08ecfaa [entropy.db] make sure to commit() at the end of createAllIndexes()
0596e92e53859c5c89a046e6ec11dd4d98213e74 [Rigo] handle the case where get_visible_range() returns None
6c89b1ec0f9e7ec81664a07e2d71966c23a9e2b3 Tagging Entropy version 1.0_rc121
703f2ff9299382f943e3907f63cf4ff97c099d64 Release Entropy 1.0_rc121
3a07ed4483e48c2f88a3cfd27ec37975df3e8108 [client] update translations
1897e961ff81a34187a429a32522a173222d61f1 [Rigo] update translations
fdb655348ed945e9003b310300d6ab134ebe470c [Rigo] disable the "Preferences" button when an activity is in progress
e1a0ca94c5a924d0aa4f03721803f8af25abfe1d [Rigo] update rigo.pot
b29764443beed8372b270b20c96b009b024fc3a2 [Rigo] implement Repository management
853359c208cf4b4124ed535b7af890d2759cb80c [entropy.client] make sure to drop any reference to disabled repo when enabling
18f422a680c22edc314a61038883179acab6a6d3 [entropy.client] bump configuration file mtime when enabling/disabling repositories
83c69da974343e6129a0444f270105b5e18bb190 [entropy.core] SystemSettings: remove mtime cache for repositories.conf.*
cc9f70d9c4f5acf330e94c74a5bafdd4030dbe17 [equo] update .pot
6cc0b57e8bd234a247b43ddd1a1391170b369089 [equo] fix typo in string, close bug 3436
a1ba8b983a2bed16278411b1760f7c750f109056 enable baseinfo-extrainfo-2010 database schema by default
1f83831ed8b48358af292e4d2d198dd9e0d33c46 ignore hidden files when generating the SPM config files list
979369d5d5a2215b26fda1e123f2b3e4d149351f [entropy.spm] add support for ENTROPY_*DEPEND variables inside ebuilds
ed688f2ef5477bcf43c8f29f204c04f560b5f241 [client] update entropy.pot
e29c4e888c3acec7b9548038614a7865001bd3d1 Tagging Entropy version 1.0_rc120
595d5ed7c4c91641f3f16dd31da683b712db86a7 Release Entropy 1.0_rc120
4efd1a4c896c70797e304af6f9bad11d6bba8fc6 [Rigo] add fallback icons (KDE icon set might not provide them)
79bd3fa839a5fa66d1eb1227d2e3a577e1e48da1 Tagging Entropy version 1.0_rc119
959abae8b278b78fdc0a021304b7c16c90db740a Release Entropy 1.0_rc119
859cb562ed505409e01eb9efd3593a3db171e732 [entropy.spm] PortagePlugin: rewrite _bump_vartree_mtime(), fix Portage cache corruption
773797c76f9dc73c0289eea3f68ec5e4cb65f1c2 [Rigo] do not override DATA_DIR and ICON_PATH with relative paths, fix bug 3370
66a4783d209670b287fcbe257af771900609e183 Tagging Entropy version 1.0_rc118
8da07e1f039b9ba7ceab88fc8d1d6ea60787b05b Release Entropy 1.0_rc118
4d3de3b7317c708fe8debe2b32729f25a4548653 [Rigo] fix markup escape issue in Notice Board view
bba78d129cc12dbe501c74633bb6b4fa03e5b570 Tagging Entropy version 1.0_rc117
1e4718de7a17b3f366f605b882fc366fb0d946ea Release Entropy 1.0_rc117
a3eebe993d11547321383629158cd1cd27237a4c [client] update translations
66f3609a873183e5dfb54f4c3dcc0c805bd14a89 [client] update translations
b5a0edbab67dd8564cce59e6592bef3473ee5f5a [equo] "equo query orphans": rework encoding usage, now use "raw_unicode_escape"
0de9f1199022efa25054046fa271f6602f53a487 [equo] "equo query orphans": correctly print unicode strings
b91fcfdbac4ee97b3a88086277ca090196389a5e [equo] fix again "equo query orphans", make sure xdir is unicode instead
35b0e19fa92759637f81f95a21f9299abac48e65 [conf] repositories.conf.*: comment out duplicated URLs by default (to speed up fallback-downloading)
638d78f4d05d906b1a40a08a9a27840312178401 [conf] repositories.conf.*: add Yandex Linux Mirror
44d6c0a9dea53fe5d933095b8e0eaf7f8a9d08e0 [entropy.client] Package: always create image/ directory before uncompress_tarball
cb4749b49b48c554b4dec4fba03503bfd74f56f9 Tagging Entropy version 1.0_rc116
82984b88da03e7454759f2c81607f8759ce1353b Release Entropy 1.0_rc116
2e4eb90f24eca8f5f72cf98e6b514c9e903050c8 [Rigo] avoid UnicodeDecodeError exceptions when writing license Notification message
cb61c3bc16e7c5f08bfa6919a6f661e4b1783599 [client] always catch EOFError when using readtext()
f8ea2dffbe08d6694d44bef38fd857447c4da070 [entropy.output] declare EOFError exception in readtext() docstring
fe29c5eba1d2c9d948cc4f2da340f48800517c18 Tagging Entropy version 1.0_rc115
2bf8286a0febe2d946b5dd0dbc9663d3295455da Release Entropy 1.0_rc115
0bd6542a339ebb453ba8cc34db7704d80d679550 [RigoDaemon] be fault-tolerant wrt exceptions happening inside app mgmt worker threads
18978fd612d688adf480a0fb9cf8b491f9b31768 [equo] migrate to const_is_python3()
ef4a174f58e2051fdd8d9df67277b3bd1770d8c3 [entropy*] migrate to const_is_python3()
12f550037d560dea5511aff906c0f3b1df65d49c [equo] "equo query orphans": avoid UnicodeDecodeError in os.walk()
87f2cb6f75999f63a8fb93f5fa88292eb7e2e0d0 [entropy.const] add const_is_python3()
5f64abe231eaa295540a14d0274040ddf49a1fa1 [equo] be more explicit when running with forced "--pretend" when not root
434bc36a8dab1bf19362042ebad189a7370f9841 Tagging Entropy version 1.0_rc114
dbc324d15e5297db0cfc2924eb1fb94f6535a7c3 Release Entropy 1.0_rc114
bb8b9e69e88c7f6d1795d4a84a1cbbb4890c1ac1 [client] update translations
4c6d5b0b1cdfd9dfd4868c9f9dad187efe2f0ab4 [Rigo] update translations
5dc080d475315fb5d3de7324f300df03d23837f5 [entropy.spm] PortagePlugin: generate a dynamic config_file_map
dbd34912a266ac1254d8bee256a94de87b6dab03 [entropy.spm] PortagePlugin: remove _get_package_use_file, no longer used
739ac5e3489674de6e8d64cf83824a722b91009b [equo] text_configuration: properly handle KeyError exceptions in update()
38c5560b9a9d2e82a27ca8e01f1191fc8ceb6263 [entropy.const] initconfig_entropy_constants: always print dir creation warnings to stderr
91d85740a8fa879abad0a547a446561df546dea4 [entropy.const] use const_setup_directory() when creating pidfiledir
fafc598928a4f8efa24e401f34cc66de7263c46e [entropy.const] always create /var/tmp/entropy if it doesn't exist
361302c48e891352c2c8ecddebeb44d584026059 [equo] add "equo query list installed <repository>" as per bug 3324
755b2612fe1256c55c921d3794d8d8ff2e106818 [entropy.const] dump_signal: add "stderr" keyword argument
8dfe7b435f555b7c7e30439e47e25079b04f5c89 [RigoDaemon] add thread dumper (as implemented in Rigo)
a9d712e9ff27ec3b13bc5b45df3a58a1766b4694 [client] update translations
212dd068cbfb990e0c557b192204a78ff038c505 [Rigo] update translations
ca56a45bd568e8b1ce32b28f4cf849bbc1813281 Tagging Entropy version 1.0_rc113
111060eef4f36b391742a2a514e1bf34fdcf138a Release Entropy 1.0_rc113
2ff89e56d4d27de3a9b6e13ad258b2f02f849b40 [equo] add "equo repo list"
d40f16412805c6808673eee911b3a672aa9a2f29 [Rigo] make the search bar react to "Enter" key events (activate signal)
76e1711befc4a286bed3f849f2936ea8c27adfb8 [Rigo] fix AppView action buttons hbox expansion
2688480def5c0add19f1b16078c2f5fa218b9be2 [matter] fixup summary output a bit more
4cbb30f6c237c263b8897e5581c719235fd5712d [entropy.client] catch OSError and IOError exceptions at chown(), see bug 3300
6c4ecffcd7ff2b147a714d682f16adee78d4781c [entropy.spm] PortagePlugin: __source_env_get_var: return unicode, do not leak fds
67210c34ec652860bd4ee1699c05b85aaea7e8fb [Rigo] rework package file install handling, fixes bug 3296
990eac29111bdf6f551b10422b462db8ae2f9f80 [entropy.i18n] fixup change_language wrt Python3
be5df2035268db79fa3bdd1ec25238f294ebc202 [entropy.tools] apply_tarball_ownership: raise IOError, catch it
0d1905f7fae3c0781fc60a2a1dd3a923b2bff069 [entropy.security] Security: catch KeyError raised by get_key_metadata()
d1307b9db3335794656fea5ffd3a5e73b7bd9674 Tagging Entropy version 1.0_rc112
04b7c60eeaf554cb10dde2de66759379f23d86c6 Release Entropy 1.0_rc112
b00e29c89ac07c3e62cecca90da9c6c7daeeca26 [entropy.client] improve reliability of the dep conflict replacement routine
9c916221d3369cede7972a6eb16f6e34b49fa1ec [entropy.client] update translations
b92f2e87e44038a17bc05810e112ba94bf6b2669 [Rigo] update translations
2ac29a5429f3f3b117242c462c86eb72b083cc99 [entropy.client] fix broken soname dependencies runtime routine wrt virtual pkgs
10f3a6577b4f0e6a3d66f202835164883e7e8d1d [entropy.server] do not print about wildcard-based dep_rewrites
02176c143b5e960951b40ab40f70a60d3f4ae1f8 [matter] always call get_built_packages() despite of the exit status
b1c91890bcedf1c4613fbc7053a54ff5367ee244 [matter] beautify final summary output
b572401a243343ffc9aa5af277454bf5190254a6 [server] update translations
c3d0d59ba61af526b4495c91c6bdeb2490669cf8 [client] update translations
4aedc45bfe07b5f2731feea9c68216c5600a1427 [Rigo] po: update translations
40e3d3076902100d098de6017364500cb2606fdc Tagging Entropy version 1.0_rc110
263f640ab0a62dd3ee502a7a589f51675be558cb Release Entropy 1.0_rc110
7e0e082e56ab22c8f32322c263c181cf689a0e40 [Rigo] AppListStore: fix Gtk 3.4 support, rework visible() to always release sem
71e43116c31ac4bfbf9e793f3a076785dc0db588 [Rigo] css: always provide unit (px) with non-zero size values
5ad85ee3c5b052d0027f6024f080921002b98d8e [Rigo] "text-plain" -> "text-x-generic" icon (thanks to AstralStorm)
e8b5eb83dc013af59a5df3f1d86e18d853586f64 [entropy.spm] PortagePlugin: rewrite StdoutSplitter
26fe787b749c6a8cfcb29c75dbf48c7c21724dcf [equo] dbus repositories update: make sure to catch any dbus exception
7e3907f9db609eee8d4b054ef278081a78d21186 Tagging Entropy version 1.0_rc109
4c043b55e76c5555e7a0656e48d28aa21eda9d75 Release Entropy 1.0_rc109
a64f88b2a4bafce5c4f29d766e4b6b7c343a9382 [entropy.db] atomMatch: fix disabled USE flags matching
3d52ee3c7d239f94a82174dd609b427bb5e4895b [entropy.spm] PortagePlugin.generate_package: prevent potential temp file leak
e1e5ecae0843c86ef3456fa2df1805a1217a1a23 Revert "[eit] query: fix bug with --in argument for revdeps and needed"
ba39bb922804ff6b8a17f55a6a7ca2b0c4c042ed Revert "[eit] query: drop --in for revdeps and tags completely (not needed)"
ad2a261f78953418f608092e2f3c1a8accc472af [eit] query: drop --in for revdeps and tags completely (not needed)
e29c3dcd56d8b214ccea38eddeb85645a8e10b1d [eit] query: fix bug with --in argument for revdeps and needed
e491534138e9fe7be3a17f4487ebdb0d38ba1faa [Rigo] po: update rigo.pot
a7b27902f44b1affd8d76fca216cf791b71a87bd [Rigo] update POTFILES.in
1c47e9bf57002771088a119c7c893f99bcefe448 [Rigo] po/Makefile: add rigo_app.py to POTFILES.in
389c404348309a9a1c612efc9e3304c7509f0850 [Rigo] po: update rigo.pot
eaaaecdd748d89ae2ca4da74e4159a7437c8fd62 [Rigo] po: keep translatable property only on translatable strings
d7bbcba50e5c43f7533c53b22d7d23f27e304b9c [Rigo] po: update rigo.pot
2da17849c3bda6e1849d57904afd8d5a23269b26 [Rigo] po: update POTFILES.in
8d7b58c98afde71f70c6d562f4b329e118db952d [rigo] po/Makefile: properly support GtkBuilder files
8b89ae605bb7e4103cdd93496a57b5c95d2714d0 [equo] fix "You need at least ..." string color, thanks to scarabeus
8f5a76d7d23c18b087d5eb938cf98d25ae5219e4 Tagging Entropy version 1.0_rc108
a66825d17912a27e6e5e263dd8edf60ead58c325 Release Entropy 1.0_rc108
5afffbd96d4dcecd101f619a54c17234ebd67b88 [RigoDaemon] make app management finalization code more robust
ee71afbfea0364f39c96b62a91a24a646d2273a5 Tagging Entropy version 1.0_rc107
b11f205315ef56ec9840e21cd4ac9ef4c5ad2ac5 Release Entropy 1.0_rc107
20c2f8b8d183c3316fa40d284f21ca6bbf618916 [rigo] update translations
a347e4e8ec9c5ac649fb5e75907a052746d38ab0 [client] update translations
0d5291d099d1d47f43708d9c5de3761918a15851 [scripts] fix tag-version.sh script wrt .po validation
6c43493ee1d5a6e8cd1d98ab406e069379c61539 [todo] update TODO
33222698ce6405156035055b436fe74235c84fef [RigoDaemon] only log debug output when --debug is provided
b76ede2ebbf9608bab2de486760be9baaebc9543 [RigoDaemon] fix else branch (regression from previous commit)
c767da88d3b3cad86475b1f161e2f496470ee237 [RigoDaemon] app_log_path can be None, deal with it during app mgmt finalization code
c405b19bdb5b2e888538bdf9f88ed6fb0187e84c [RigoDaemon] never flood clients with transfer_output()
e1de2167cb917f83cb3272611890767ecaa0af93 [entropy] move client po files from misc/ to client/
601d41d42b1ef033ef8b3d15db247cab9befaab7 [entropy] split server and client .po files
10e5f74567f8bb66cf8b28625f2a2bd2b006ac5b Tagging Entropy version 1.0_rc106
4fa3cae9862ddfa63f3d022dda39d7df2d000236 Release Entropy 1.0_rc106
a322d1f28d501636dbc6b47f44194bd92dd556b5 [Makefile] remove repository_services from init.d
ca8ed72a2bced693bf81ba652bd2e2dca4ff6d71 Tagging Entropy version 1.0_rc105
8ec4415612c29c2558fddbe1ba617162021d6c11 Release Entropy 1.0_rc105
7404ad967177aa26282c316727b8ccef9d723c1e [Rigo] make TerminalWidget work with both Vte 0.30.x and 0.32.x
41b3e9dbaf8244d11077364ffdefb369c3791989 Tagging Entropy version 1.0_rc104
9745fa37f7031d941287cd9e32671bf773a5713a Release Entropy 1.0_rc104
77214cbddfaf6117bb1bd135e53e72e3f10c6507 [Rigo] update translations
8258a53f2cb44d86805dd788eb13e73e372f8bc9 [Rigo] update entropy.pot
4506c5d3a8401fe474d6f8779bdea5f763ea1318 [services] remove old file
2241c2a2c4eb7934d70ed620b76a330d8bf02f56 [sulfur] goodbye my friend (it's been retired [moved] to sulfur.git)
ff3578321d6e84778c1659089959ac57379de40b [RigoDaemon] set allow_active=yes for org.sabayon.RigoDaemon.update
375ec06f601d6caa0986f8dfa2fa5249473f543c [RigoDaemon] make the dbus service executable source /etc/profile
5400519abcbc811ea8a5ff8760a2e1282a9cd999 [RigoDaemon] feed App Management notes to clients, bump API
5968ee99c487f56debcbbc6afbb4dd12cdb6ad65 [Rigo] be less nazi with the required Window size
96b410cab33f47584454401796ff78d8295f25cc [Rigo] make "Show me" buttons in BottomNotificationBox resize Rigo height
2b8e60b0e677258b466d5a32d0f5f838c51c24ac [Rigo] WorkViewController: beautify VteTerminal and Progress Bar
0ff52935d74685b88d60a62ea26c41bc057ab430 [todo] update TODO
d397a174bd79b01683cc758e88235e085d4032d0 [entropy.client.interfaces.dep] filter out spmsync'd orphaned packages
d0f86c3e8d71863e34aaa7ce5760a63241c6c375 [equo] use etpConst['spmetprev'] and etpConst['spmdbid']
753195d15d0c8bd4d21782fe071b27af14a3e17c [entropy.const] move spm magic strings and numbers to etpConst
d7bfa5f6f49573088e9ab78bcf758ab5d83b99b5 [po] update entropy.pot
ce3788aa59fc84e469fa87d8ee15822f60fbe519 [eit] add "eit remote" command
79042c24e7c29cce361694b19a56515ead2e4a9a [entropy.server] add repository_metadata() method
affbad3c11c2dddeabab3bab4f31618bf1ab90ab [magneto] remove ping/pong protocol usage in favor of shutdown() signal
496af68b5012351b5050050a1e8380747021319c [RigoDaemon] add deferred_shutdown() and shutdown() signals
5c4fdc95db33aaf39170fb3f138fd0d12303bd6e [magneto] signal up-to-date system state, properly convert atoms to unicode
32914b7f58033ac6e78830bc73572e0fa68860f7 [RigoDaemon] always send updates_available, even when no updates are available
63682a7edb0b254148cb2be0250cdcccb324f857 [RigoDaemon] use Gio file monitoring interface instead of plain dnotify
d59ddfdfbb07ed03266b0c24e85bae280eb07eae Tagging Entropy version 1.0_rc103
6b79a4674636890df1bccfd88a48e919525ea114 Release Entropy 1.0_rc103
144846906b12b48577d072b9f9c344a526182a0c [conf] server.conf: update repository example string
49361bb91e2cc7dafee9ff4d4667feb219314113 [Rigo] actually install .po files
f47d538713ad0113ed8bfba51686b22d028a203a [Rigo] Application: fix two minor unicode decode issues
db5259e65fc61d2a3da0ab5747f0de27fe1d5abd [todo] update TODO
ae3a431d8489cac56b0f85a202b20050cbe1905f [entropy.security] rename filter_advisories() to _filter_advisories()
4a8c53af085ee997028057fcc512584d831e85fc [entropy.client] Repository: do not generate Security Advisories cache
3aff0f760289f206196872951922385fd30442a9 Tagging Entropy version 1.0_rc102
728726128b98881344c31a031a5eb6b95ba93dd4 Release Entropy 1.0_rc102
34c9632fb51b671273ccb588fffb5be9c00c9da0 [todo] update TODO
8f0c37323a851a98f61a0bad49f110e764debc28 [entropy.spm] PortagePlugin: introduce conditional deps support
58846f12ad24315c4607224090abb7761e4c398d [entropy.spm] PortagePlugin: use enumerate() instead of range(len())
6dd6cb23cba4fd6127f5238efbf1ffe6239ec5f8 [entropy.spm] PortagePlugin._usedeps_reduce: fix usage with conditional dependencies
d1a61e20c6b20a797dc99abb85d813005676f2ed [entropy.spm] PortagePlugin._calculate_dependencies: return list for everything
5ba0b0771cd5fc476a1de2eb99d6928be20b092f [entropy.spm] PortagePlugin: fix ParseError exception initialization
736ee363bf57bcc22e4238178dfb9c457a4afaba [entropy.dep] fix DependencyStringParser usage by expand_dependencies()
c6d3ecfd56e506ea962dcbeea6bdfa962a80eb3d [Rigo] install .desktop file and mimetype info
cdf6be90bebb9dd0c667da91d82c31713dce9001 [tests] Spm: add PortageEntropyDepTranslator tests
3f0e4007ef0fc449f0de3717e6a1f27176fdb9d1 Tagging Entropy version 1.0_rc101
b52a1bdde73d1cfc76ccf15345952810fb274a43 Release Entropy 1.0_rc101
7c064a6749b2510ffc64f9fc3b034623fd51f7e2 [todo] update TODO
292af94cf003f4bfe03d86e6f20015c333ce62aa [entropy.spm] PortagePlugin: read CATEGORY, PF, C*FLAGS from environment if files are missing
38f36b39cf28920fc8367a35ca6ebf797f729db7 [todo] update TODO
d3aa4af5c41495ba399e41b46b65d8d8e5823c6b [entropy.spm] move Portage bashism to external script
0da7c251f2aa16bb72f17086200ec1c8756c2ba0 [conf] drop portage bashrc example file
ab832f1cf0ad72251233a673b51230bd93b51adc [entropy.misc] EINTR can be raised by both IOError and OSError
5fa2dd4780ad74d71630374b4f3b7cb60690d85f [RigoDaemon] EINTR can be raised by both OSError and IOError
0173ea4d00b5a15fa9c82373fa0d1de2917a3032 [Rigo] po: fix several markup bugs in the Italian translation
c6aae48363da4bfdcf0a35b345037b91b9cf2422 [Rigo] po: update rigo.pot
0b523fed0b93fb0cdad7561b4ea7d5baedb82ce8 [Rigo] po: update translations
49563c82060ecfa1c418d7fd9057fac95cedebc2 [Rigo] ApplicationViewController: exit view when required
d0d3a72d16b47e6a8b75d6a30020347d4fedf203 [Rigo] ApplicationsViewController: emit view-cleared
8a3c13183acbf7ce9d2aa9a99780cdd5715c5fdf [entropy.const] do not change entropy directory permissions on every library load
eb89d4f8f603a83e1dd6e66ef644d8f7d954f187 [Makefile] use install -d instead of mkdir
d8329833c82e3937fe8f99fdd475654f89116ca6 Tagging Entropy version 1.0_rc100
a0d9458212a3c25fc0acbc636121896ff923567f Release Entropy 1.0_rc100
086cca6cf22535a141d7d4b170013bb604ea7f97 [magneto] add magneto-gtk3-install target to Makefile
5707d2e157d303db89f60dd8645ac7647fcbd6ec [magneto] rename .glade file into .ui
03f9ff292e3b048ed5f4009819857528fec44a2e [todo] update TODO
d2be035aba150d9c3e73fd1b6df830c3478aa054 [magneto] add Gtk3 frontend
081f4b3aae00ed354edb03a4237fac1211738fa9 [magneto] remove trailing empty lines
9727fce2fc28464405d2ae4cedaf027bb924ca1b Tagging Entropy version 1.0_rc99
437ac32ac8f01eb05a946347dbb852c406e65a7b Release Entropy 1.0_rc99
73f459442ba7994f7d1527676f5651124cd9e42d [Makefile] drop updates-daemon-install target
06815cdb849a0c07463ab80a4184bc16eefbaa71 [todo] update TODO
e075c1726ab41a86d455ca1fa99d20468f70cc33 [equo] migrate unprivileged repositories update to RigoDaemon
d59dfb92e4b199c1582a7594ff262ed6c45f1a9a [RigoDaemon] do not run automatic repositories update if on batteries
585730d3441729c378ffadb0adc078ab8ba9b7b6 [misc] remove old cruft
c43e5892763c1b780bf0ccdb39ce810f2c695239 [magneto] migrate to RigoDaemon, kill entropy-updates-service (RIP!)
a639e417d9ca1fee35f42096b304c9ec116171b3 [RigoDaemon] extend updates_available() signal, bump daemon API
d042c27d55ad579875f8b616399bd2ce15865ea0 [Rigo] po: update translations
636852835749f4685d14b9f2c9416fc04c31ae76 [RigoDaemon] add automatic repositories update timer (running every 4 hours)
dab7ea2702857790d5b12ccc893ea3d026b4b18e [RigoDaemon] _update_repositories(): make possible to bypass authorization
0ea3fbf0d85045265bd35a98740b1a27d29eb46e [RigoDaemon] add docstring to _start_package_cache_timer
44545691fef828d6bff8fb0bc8c4ec8736968f79 [RigoDaemon] add non-blocking, simpler version of _acquire_exclusive() for internal use
64b12d5f0ccf2a0cbe4c26daa8b857d352e9bf22 [Rigo] show please wait notification only when the same instance generated activity
8464be75762668f25de7e8e23b69635186640273 [RigoDaemon] add package cache cleanup timer, running every 8 hours
aa9f195750518e15d45453c8aebb5c82791d006e [todo] update TODO
890b447785f83c12e4ce1525c2e2c149417fc8d4 [RigoDaemon] implement directory monitor for both executable and repositories
5f8ca3c6aaeec8c29c2218ca82d0b45242929416 [RigoDaemon] fixup several minor bugs
043a0aeeebbbc50530ce195a4d43101327a31cd8 [entropy.misc] DirectoryMonitor: make possible to monitor multiple dirs
2f475115a0701402867e02b8bf702e620ace5537 [equo] use Client.installed_repository_path()
1f9c4fb72022fcb185da973b9ff762eeb5b56786 [entropy.client] add installed_repository_path() public method
1fb54f5560ac3da4593c18202a092d1b7511a8de [Rigo] fix typo in i18n string
6e3b6ba7447313aa4bdf18cd27df5094ed132e63 Tagging Entropy version 1.0_rc98
461ddc712f7b48061b7b36568622d666f901a979 Release Entropy 1.0_rc98
417e5720a8018622a10b8dcacabd9168693a1b9e [Rigo] update translations
b95375d7802227c83ff7c6c70cb79d11df642b36 [Rigo] update rigo.pot
f1ef6fbcbbbe43d0e8ea2afa6b51b291c4a9bf6c [Rigo] add Preferences button
7f9225ee4da43ea7a64a58605b971687ae39e6e4 [todo] update TODO
fc81e6bb06289c63428ca3cca911d13247d776c6 [Rigo] implement Preferences View, activatable through "rigo:config" for now
3ea1fbb2a05ebee5398e85bb78067547c8f58978 [magneto] launch Rigo instead of Sulfur if possible
8a877bbc1be3a6ff7ce5746498620fcc8fe91633 [RigoDaemon] add more debug output
5a15a0bbb81f07ad436ec32cb3542348dd32d04b [Rigo] update translations
e0eb800ffc4a15d10aa679edc04ab670b31dbacf [Rigo] update rigo.pot
161f5205d8cd295f1fc4e7857cc77a0212e501cc [RigoDaemon/Rigo] implement Notice Board support (woot)
388cac91879b70f747f71ef73bbba24b417c0f1f [Rigo] minor bugfixes to the configuration file updates UI
c5b55f44c635ef3ba2896e1a80317a36b11299fb [RigoDaemon] if interrupt_activity signal is raised, interrupt both fetch and install phases
350544aa9f7ab9bf40cca48c7870dfa6b0674ad2 [Rigo] do not force repository update when not strictly needed
8285ca06aec062de63e1c3f514dc8dc6b4cc8c6e [Rigo] send hello() again after repositories_updated() signal
325813243c7f56e586883afff3d6dcde0b4e58bc [RigoDaemon] _send_greetings: keep one and only one thread running the calculation, discard multiple concurrent requests
96e5add095669d9071688a66c11a44e0d69f563b [todo] update TODO
7ab432458fde53e79f83525547ee43b5ecfdc458 [RigoDaemon] split enqueue_application_action()
065c57ea5b30b26d4ea77f933984f70b912518f2 [RigoDaemon] add noticeboards_available() signal
1e807a7ed7ab892470b5e83af71e7bfe0f54bf7c [Rigo] boost treeview performance, optimize several code paths and avoid duplicated calls
0af0c14b48c241df2fed7d42d784cf8bed46e866 [Rigo] update translations, add es_AR
d35d827fc73975bcc9e5ffa6656c691dd922d921 [RigoDaemon/Rigo] move startup updates calculation and repo validation to RigoDaemon
539b051a2d03420d93e895c27102097f966d519e Tagging Entropy version 1.0_rc97
7f273165be0fc824fe5930578a258d29230cdce9 Release Entropy 1.0_rc97
8842cac9c6ee787193c9406105c4d1fd6150f8ac [sulfur] fix os.environ usage
d3b9953699488aa49dc917ef021a0c4c2b01444b [todo] update TODO
02f248489a9cf790a15d82de130085eda81a5919 [Rigo] provide .etp and .tbz2 package files mimetype specification
e68268abe2a3e7757f330ad19c5d2b03d8887f57 [RigoDaemon/Rigo] Add support for .etp and .tbz2 package files installation
a3f7ff6d791456d771769d384f9ddbea792e7613 Tagging Entropy version 1.0_rc96
41195cbd03ffab348f09439a463130645370ae5e Release Entropy 1.0_rc96
3562d69a7f1c5667600d86433ab82d61044fc2dc [entropy.server] fix syntax error
fb16473e0d4edd7a3bae6ac8c28e3caeb09385e8 Tagging Entropy version 1.0_rc95
f8aceb4379a69125eb14e617811ef6cb89685d9d Release Entropy 1.0_rc95
17ab3579acf83bc9b6f4a7058a0768aadef7f3f2 [todo] update TODO
5f3079db0c3335b45acae88dcec33de37ca2addc [Rigo] update translations, add Spanish (Chile)
4a44fb7d3cdfa116944469d6d55c759597dba7f3 [Rigo] update rigo.pot
20e39ebcb3a7cc7fec7f16c5cba220a0de3deaec [Rigo] make sure to always show Applications when set_many() is called
fe8f71d205f30d77353a0a97498011b56ae7b67c [Rigo] require User to validate the removal queue before proceeding
9334433e7c0056cf747aeacb83f69adb7c6b8716 [Rigo] complete configuration file updates implementation
415c5af799ae382074e4c57d05714a3dbcc7142e [RigoDaemon] complete configuration file updates implementation
9c93587dd4621df46728fb1c1a1a9115d473d3b2 [Rigo] add easter eggs
95b34b6e558a64eed7a6c573e5d0aec61876e77c [Rigo] rigo.ui: rename to Rigo Application Browser
e55b09836fefac1754fa634fd2d42ae0955190fb [Rigo] add .desktop file
8a34b071b06451bbb5b22e2cc3ddc7e85a481148 [Rigo/RigoDaemon] partially implement configuration file updates management
c5ab6083ea976473a090ac2ffc46b819c5fc696b [equo] fix undefined reference
08eec23067fe1fcd16c2b07503cc6397412efe7e [sulfur] make it use the old, deprecated FileUpdates class
6669a7e80c3352b55c5a614b5e59df1832788813 [entropy.client] migrate to the new ConfigurationUpdates class
52aa120a9a5df7a5c58c6220087e86364bd53154 [entropy.server] migrate to the new ConfigurationUpdates class
6c1a21d1df9d26ffff2cd85214f2a42501c59749 [equo] migrate to ConfigurationUpdates class (from FileUpdates)
e10b6e264efd3211ac722d852f50039599f4b36a [entropy.client] introduce ConfigurationUpdates class
c7cab4b163e4f1978ae3beb5ef0869ac731ae972 [Rigo] fix ngettext args (singular first)
18fde35b353c89eb632a90be9d9a07099e86ab5e [Rigo] QueueActionNotificationBox: pass int type to _update_countdown
95df02246cf965147ac7ba2a847c2b1b13969c9c [Rigo] use ngettext in NotificationBox widgets, thanks to Enlik
e28abc2fb41a46a41049919033b39967dae16a88 [todo] update TODO
6ce071616e53d575c9cecc825a092606feeccfe4 [Rigo] po: update translations
ac0eab4bd4e702b5dade5251f90e8b3bed695987 [Rigo] update rigo.pot
4cd8101b11292feae054949c125fdb824b8d5255 [Rigo] add Romanian, Lithuanian and Bulgarian translations
40dc9f6948284ab9e326456dbdb4dfc52be2709d [Rigo] implement support to App Management Activity interruption
d845fce5a3d84d3f25f69dde66f6bcf933f3021d [RigoDaemon] make possible to interrupt the Application Management activity
fac687326f672504726b8039f1757f10036e8a2d [todo] update TODO
e6c69bbefde87ea7dbd2145aa0f4803ab7031ee2 [Rigo] let the user undo an Application Action within 10 seconds
8fb2708a9373fde107f347b9bcbf443e0debfada [Rigo] add QueueActionNotificationBox widget
77b958f12035707325ccf0dc6a87f8ca0bb0ecc9 [Rigo] fix typos in InstallNotificationBox handling
172f49534dd4802d104e2b71f138651680c46e9b [Rigo] let the user review the install queue before submitting it to RigoDaemon
ea4de116847c9c6852060b4fa9b9026abd752373 [Rigo] add debug output to every dbus signal handler
1acde40ac07d42adce508a38184d1de7ceed0ed7 Tagging Entropy version 1.0_rc94
1208861ca9596e1241e99530e72fbed5b98f76d5 Release Entropy 1.0_rc94
442e858f62c01395db2aefa1ff9fb2650bc12fe5 [Rigo] drop queue_len keyword arg from set_application
9593a348c3f323afe7e7ab3e5f7d0869bfdbf658 [equo] fix undefined reference in upgrade function
829224582365d36b6e2de83563258cc7a83e50d2 [todo] update TODO
754f6632d4f76cf67cc5e132851058250153dd14 [Rigo] RigoServiceDaemon: pay attention to not overwrite blocking notification boxes
02e1ffdf2e420289fbbf1aaabcb26f5332180b21 [Rigo] RigoServiceDaemon: implement application_enqueued() signal handling
9cbc65d51da17540193de977318a110c42219af8 [Rigo] WorkView: split set_application() and update_queue_information()
d80ee9a8e7563d33b78a5dea333fb6c4cac4aceb [Rigo] disable security updates notification for now, too slow
94210214ee50173f5c11776f05b8bdc21fbd52c5 [RigoDaemon] remove debug writes for output() and transfer_output()
3df1708e5d09de8d174d14e5412baa38ec62e99f [RigoDaemon] implement application_enqueued() signal
210f0ceae3fca0604f6320caa5ea83c948ccb2e2 [RigoDaemon] do not account unauthorized items in queue length calculation
fd037d4d9eeefa2306aa8ef55a34dd31042ffedc [RigoDaemon] use auth_admin_keep for the org.sabayon.RigoDaemon.manage policy
842468d1ebf50dee4f2028a77a420c2e7e38a062 Tagging Entropy version 1.0_rc93
030c45b7cfc431edfdc090a7f6650d9a2ea4c7d5 Release Entropy 1.0_rc93
ce4d784ecfb9b8e29e8d18bbc1e5059932ef0bc7 [Rigo] update rigo.pot
eca4580274ecd75e4ed3886861e6a3b9257b9526 [Rigo] update translations
f455310cc6264d8117152d803c864ba98b02503a [Rigo] during app init, PangoLayout returns wrong font widths
67b899b0f7caf2a68243572a614d73de7c44ce7c [RigoDaemon] always release the exclusive lock at the end of queue processing
df13425e6b7c72363018545b25954db421edba9a [Rigo] Stars: use entropy "_" function instead of gettext one
8cfc98484a2a1e22191ac6e4fcd09d0387b39491 [Rigo] Application: rwsem is not re-rentrant, provide AppDetails lock-free "version" property
92bb9354e596ebde1deb209dda6fbea6b85aed52 [Rigo] fix undefined references
414b616f16dd28741b237c3292fb3c6b767d8aa9 [Rigo] TerminalWidget: enable set_scroll_on_output()
6cc6ad4c2704e1d324d685b858ca27b39daad976 [RigoDaemon] pass AppTransactionOutcome enum to applications_managed()
81db3ac71cf860619640af525e59eb9ec9593804 [Rigo] execute every dbus call within the main loop to avoid segfaults
4c20a308f484d552bbc94dd2394cb9e556736f6d [RigoDaemon] always spawn dbus signals from the MainThread
a4377f07e110a8af23c85f835da26a395fd27359 [eit] fix typo in "eit rm --from <repository>" help string, thanks to micia
82ef9a81866e67497e5368be7203c892f207b301 Tagging Entropy version 1.0_rc92
bdecb8c969971ba1061150a4ee3f2e2e35382906 Release Entropy 1.0_rc92
5ca0d79f2ef1edc67e9ce9a853c25f9f7fe115b5 [scripts] tag-version.sh: validate .po files before tagging
cd299d0495fd737159d4d20e4cdd04501e32b738 [po] move transifex scripts to Makefile, add "validate" Makefile target
2459f6ea1cdae64c55948aab02dd4d9fff224485 [Rigo] po: move transifex scripts to Makefile, add "validate" Makefile target
67f5372bc4ab66653cf243bd86acb7f3ebdf64de [Rigo] po: update translations (and cross fingers)
64de366bfc615666b7635ff215158c59e77c7b47 [Rigo] update rigo.pot with latest changes
4137d73c704be5cb8e29f14be70ede7d2222335e [todo] update TODO
78b2a7773b0beee8bdf6dfa2a56e5375ec800fc4 [Rigo] handle disk full transaction error
316893517d86b1b54142ce2fcf8d18074100c891 [RigoDaemon] add free disk space checks before starting to install
4dcafcbc1d878dd6d814b0e7689cdd308e6cad14 [RigoDaemon] fix a bunch of undefined references
1785f9d876467b9c979da97af48fab3f674b31f6 [entropy.client.interfaces.package] expose Package.splitdebug_enabled()
98742665a59b779cb6c2df86c455a812275c9455 [RigoDaemon] fix undefined reference
759fe170593e3f5d873a617af32b428d893218fa [RigoDaemon] implement custom MultipleUrlFetcher
e0a9a6c0d687509595b683130737b66232c2eda0 [RigoDaemon] devel-start-daemon.sh: add instructions to run app inside gdb
16e16f8711ce4dde2657fddde59b48f5ba951b09 [RigoDaemon] rework polkit auth mechanism to be more responsive and robust
c70420a69d4477d5229a68682ba27090c3e148c5 [RigoDaemon] get client PID as soon as possible in order to avoid SIGSEGV
a623fb15fec887ccd7343c66939d5016ceca3f8b [Rigo] add "applications-other.svg" to the bundled icons
1369a06c6e2aaaff7caa7701ee5dec463757f475 [todo] update TODO
f716248e9160d137987f3764ce88584d95e3761d [RigoDaemon] wrap the dbus service executable around a script, source /etc/env.d/02locale
b24e478b21f78d1f8425d4e4d55251381b134591 [services] entropy-updates-service: initialize the dbus service ASAP
9c7c56396130478466838f7bef92597c18d936df [todo] update TODO
e6fa2fb1cf54d536278bd591573094b3da03bded [RigoDaemon] automatically shutdown on executable change
58efd1cc9d1c89e007f1497c448b7022043f5e79 [entropy.misc] add DirectoryMonitor class
ff734d250acd58602fef306118bd105e37d35a5a Tagging Entropy version 1.0_rc91
7335c0e0eb90a1ec9f90800d97c2177de662aa8a Release Entropy 1.0_rc91
cef5e9dcb9a60865a6e26fe2a5a8478738045423 [Rigo] add Makefiles
2d3def6d44f1b0d4f43b0913ab7fb973f5caba99 [RigoDaemon] get client PID from DBus and use it with PolicyKit auth mechanism
0640d7ee4371f05a5afa1e94a928fc3883fa9b59 [RigoDaemon] enable daemon logging by default
8ecba20de12df9ff1155f167ac308f0239323f7b [Rigo] enable thread dumper by default, add shebang
918a0470391cef255a744fc906e66632fdbb3a40 [po] update translations
72f38e2c47032e85e672548202a947e1c2106cb1 [Rigo] update translations
6b62c6632215e758fc7ac171181b5d91bc639331 [Rigo] po: Makefile update-po target now pulls from transifex
f3ccd7369bc721da052cb2cd964eed3cc0da6254 [po] Makefile: update-po target now pulls from transifex
3a43bb7e13073199c4d2b5313fdb39c6cd178dff [RigoDaemon] integrate with build system
8b554928fce46046c882642493391859f8a2307b [po] add TRANSIFEX_README file
2faa90ad75ef2c58f23e882b62219ce0c8103774 [Rigo] po: add TRANSIFEX_README file
b413a99716d72714248b0f88b9274ad0284959cb [Rigo] sync .po files with transifex
cc52adb3275c8b41e5180db2ecb7d8846edf4d1b [Rigo] po: add transifex push/pull scripts
d96089051c571da4a32698c5c527bc7ca810c890 [po] add Czech translation
9ecc2872c1987ff637254f05c58bcc31ecfc9e9f [po] add transifex push/pull scripts and config
0d7b10af96290c1e4d295ee94e10cf780ff19a17 [Rigo] add remaining translations
e5b2fb04515202e126fe8c7722f96336fa254a38 [po] update entropy.pot
01700ddb45652a1b8c3bcf7754abe09371c217b0 [Rigo] add de, es, fr, nl translation files
723ee336f6f75f42fa468d025963b2adfe014dea [Rigo] add Polish translation file (15% done)
51494b260257bb436cc5ac9b3ab9593e853149dc [Rigo] add intltool stuff to po/
f282b5c4844dd1d4e31593103288ed4bc1b7b709 [todo] update TODO
610cdec16a048559e95246d98eacee4175353a94 [RigoDaemon] override the default gettext domain, set it to "rigo"
c8fcefcbc3ffcb14e66dea77e26c3e6ffcf0ab32 [Rigo] override the default gettext domain, set it to "rigo"
1ca52341c18b047732803dbd5077c02889e88f67 [Rigo] move App Controllers to separate packages
af69c294aa2529eaa7932d66ce81e9d62f9e8d03 [entropy.i18n] make possible to override the default gettext domain (entropy)
7879be8a05651c288363acd03008d2f3bfb73ffa [Rigo] implement restarting_system_upgrade() signal handling
76a5a326e9c5affabbbc1030394fce954a2f13ec [RigoDaemon] respawn System Upgrade if more updates are available
a38044677d17fec5561971b795f55d124008fff7 [Rigo] reduce text size of apps listed in OrphanedAppsNotificationBox
7f0cbb0c9a16e54f60a17941a0059b26f5f13dff [Rigo] tweak context id of application_processed error notification box
64a0665db7859a57090ffb894f3c82bebac12514 [RigoDaemon] trivial: send message to debug
394430613f5ad694ce847a5e15970492a38f466e [Rigo] add orphaned apps notification popup simulation (via rigo:simulate:o:<dep>)
2d25df31e8811ccaa9d5ed188e846727aa5d962d [Rigo] OrphanedAppsNotificationBox: show App info rather than spawning App removal
2aa9a6c4967525d2a5373bb40d14f0b7d4dd0ce6 [Rigo] do not show links to Entropy Store if App is from Installed Repository
91fbf4cecf2220dc396ecbf29424e041b4679f53 [Rigo] Application: add is_installed_app() method
032b02edde834b9c590b657c308a507854d5f4a3 Application: resolve installed packages repository into available
e8aece32f86d455b1cdfaf824b32cb54e1060731 [Rigo] rework OrphanedAppsNotificationBox logic, make it easier to use
f7ade49625619cc6ab28e7464957cb5cdb3a0fdb [Rigo] implement handling of unsupported_applications() RigoDaemon signal
27f69f58e7b1dbf5acdf7dcc49b41415e6082c83 [Rigo] Notifications: trivial i18n fixes
776933daba6b42985d55f58f7c551e864f249645 [RigoDaemon] add unsupported_applications() signal
6ada5a9c5c0c85dbffefc06eae3077a6e3dc98a6 [Rigo] AppDetails: add fullname property returning package atom
aed0867d6e9f5c1ef4e0fbc6c48007ca60387259 [Rigo] fix typo in method name
be95f30356f2733974d68fb367e118e4c0085dea [equo] make use of Client.calculate_orphaned_packages()
374845e913cca2e1001ee0324901398fd20b8577 [entropy.client] introduce Client.calculate_orphaned_packages()
c3bba9a10dbe977a71053d2c02200df6fb28a5f0 [Rigo] ReadersWritersSemaphore is not reentrant for readers
7829eee1dcd906d8a467a7cd27188484b85bf32d [todo] update TODO
56264f3a409981016a585b483789089be1ddbf6a [Rigo] remove activity_rwsem usage from updates calculation code (experimental)
790f2121210e5be0fdd902999246f706b0e9d7db [Rigo] several misc bugfixes related to recent code dump
f193f44f0de910bdb230b2b2a3cfe973a2c135b9 [RigoDaemon] acquire exclusive lock after polkit auth request (to avoid UI lag)
0cfbd6a3bc0c93bfbd6f76d3cb6fbb556583e6ca [todo] update TODO
fe5e723d8a09abfceb8f4df4d1d9526f66a2c3fc [Rigo] implement License management code for System Upgrade activity
e35b225d26a3f007a26b403e0a6c96cc26a4c9e1 [Rigo/RigoDaemon] implement basic support to System Upgrade
34ee151d9a81520e21bb35d854f566e1c379c1f3 [Rigo/RigoDaemon] implement Application removal support
154d038b7f46443565813d7cb4936712ed444a77 [todo] update TODO
e6b24784baccdb868c186c071ea9ecb011b88e9f [Rigo] notify user about apps being removed due to conflict
b62e46abfcd3e4eef73e7c5aec940de114e3843e [Rigo] fixup several undefined references (thanks pylint)
b928757e57565730a314351db964840a8cb88a54 [todo] update TODO
96842e5043755c3e350434341f8d6b4e948615c3 [RigoDaemon] always write debug messages to stdout
1084359821936530868042670509fdc7c14d9920 [entropy.const] const_debug_write: make posible to write to arbitrary files
3c5f2bf8b6d1348c7d51e0452f847bf16a7d06a9 [Rigo/RigoDaemon] move authentication in RigoDaemon's security domain
892a2d5eaefe644e8fcbd9c60c48c3e690feb32b [Rigo] during App management, show the remaining enqueue actions
59b0aae5b1259da5ecf59ae1fe3b53fdae70a398 [Rigo/RigoDaemon] complete initial application install implementation
ada9d15f685e8c2d964a71003dd78af0e2863c40 [Rigo] if --dumper is passed, test main thread health status before dumping threads state
1dcff4ce0af20f6dc91442cfa10413f66c3aa9dc [entropy.client.interfaces.package] better handle download when network is unavailable
e25ebbb59ee5f63a3f7878be7d1ee4a651a79be3 [entropy.const] dump_signal: print stack variables if extended=True
0e3b18be2f6a4c57a64e8e1aefc7749f7c7e7726 [entropy.client] only setup differential download when edelta support is available
940b99b65651caf47ad4d8574fb60e4e38b210c4 [entropy.client] trivial code style update
1b7ad171df89a4f628ba1289a9faebf0d2f89cda [todo] update TODO
f07e53c597b095882a3461b67eea23354900c5ee [RigoDaemon] implement stdout and stderr redirection to Rigo
3ee2e5cd56fc54fd36a15b8e5956873c64fcf5bb [todo] update TODO
da1a55a57f084bcebc48dd6eab3b0c6e7bfda3fb [Rigo] add app removal simulation cheatcode
b58d1164c172b2c002f5e47a087ada079a989f75 [todo] update TODO
0c506f51640f6a898b4c555962c53f4d8e7689f5 [RigoDaemon/Rigo] first chunk of App management code (install action only, incomplete)
4c954a919493255d76b883abf1440e053cbab9c1 [entropy.client] _lock_resource: always increase lock reference count
a20d8da8682109811c91e7c34e7b7b28a68df834 [Rigo] ask for exit confirmation when there is local activity
c659d4cbb4bc5a8d2356b4a539495721cc2c0dc4 [Rigo] dump threads every 30 seconds if --dumper is passed
ee25f790af4e1d086d47f3521f8c291e7d5e8aec [Rigo/RigoDaemon] implement transaction state update notifications
72def71a0773b0c501668318f2bfe1c161695641 [Rigo/RigoDaemon] implement Application License management
ac8358772e11d6ff5dad6c898f11a7a8c929235f [RigoDaemon] transaction_finished(): return AppTransactionOutcome struct
794e3a91346c2e6f2430e8318b52d00ba867679c [todo] update TODO
abdb7dc53f48c1f62eb674d3813c89afc70a7660 [RigoDaemon] add reload() Dbus method
a3d82ff44f133cfc74f87f343236f154b9d47139 [RigoDaemon] expose daemon API version to Rigo
f2f58e86169f88a05d1819e569ff1104d084b1af [Rigo] list Application dependencies in App View
228e0a7da1738a56e2d8a416d41d16c1bcbae089 [entropy.db] add EntropyRepository.retrieveRuntimeDependencies()
d1965b71ac6b18e5a1978e440157c5c1b88e28ae [Rigo] show installed Application version if available
47b9570224cd8ab877cf7dcecde836fde0b9dc50 [Rigo] implement centralized Application transaction state
dd46c23b2065c500b2ca1f3e72e7ae241b25fe66 [entropy.spm] PortagePlugin.add_installed_package: make sure to always run os.utime
99b20257a4a7f9906fe87bb6cdf82c80b36819cb [entropy.client] handle _repodb_cache atomically
115988a08c29cfe83c200237bf0a614adf10a27a [entropy.client,entropy.server] drop __del__(), can be racey
d465bb56e29fc0b87f119ec57b8d83c788119374 [entropy.db] EntropyRepository: use RLock() to handle connection pooling
af525fb0eaa9b4608999c911785727a5e302d158 [Rigo] Entropy API: enforce the new singleton class
ef28caff3b818ded6615881354be3950cf510165 [RigoDaemon] reduce fake app management time
5bdaad7257b73b7824836545b76884dfd146fbb7 [Rigo] Application.get_extended_markup: fix typo in rwsem management
b093f24fbbac936d8274399e84258e0d767f9f3f [Rigo] enforce AppTreeView redraw whenever App state changes
6bce9168f04e5cd2fa7d063cde615aa3a5de088e [Rigo] call AppTreeView.clear_model() rather than model.clear()
92e42ca3aad80a3b8303510ecf6be1fecc30eff8 [entropy.db*] EntropyRepository, do not close() on object destruction
6d0c2d93a802786e2f8425cda92dc47402902328 [Rigo] wrap a dedicated rwsem around any EntropyRepository call
30041ee0f2ab690906661fd7b35e7f1ec5d60e7c [Rigo] implement App Install transaction validation checks and application-abort signaling
b6c71301d663dfbac28e4dad83e83bee96138331 [Rigo] NotificationBox: enable message text wrap
14023c39d1b72e6236d6f9164c7bd1b2708e524c [Rigo] add Application.is_installable()
539476d3a3e934804f3ef8f798fc203ddc073cb5 [Rigo] add package set search support via "@setname"
48c74e2db10535692d228685599a11236713bac0 [Rigo] add Search Bar completion code, but keep it disabled due to Gtk3 bug
332b8ffe03cefedd27b56c6e7ed1d9c35d355029 [Rigo] handle Application processing in AppTreeView widgets
53ec387cd54757cb0b335494eec0cf4d4abefc7b [Rigo] AppTreeView: drop weirdo code from Software Center
196036ebd7d719bd4022e6c748c7cea59455259f [Rigo] several App Install UI improvements
1c8872d6104810f591ca81507e7e74db72d17b39 [RigoDaemon] add action_queue_length() dbus method
b9747f32acd751f55ca183d4ca90c44074d94c79 [Rigo] Rework search thread locking, add more App Management code
43f929d8ef09c054bdd535f0ed021079a158c98a [Rigo] fix typo in string expansion
efef827057dbe0db977b4901f41de46b4fc028ae [Rigo] Add Application.is_removable()
b4e9f9f78fcf4456c91cc96fba6b1054ef7ff60b [RigoDaemon] fix _busy(), also raise SameError (which is actually expected)
5557bf8b3f9e47c3130d058bdd69b2e79b638776 [entropy.misc] add non-blocking methods to ReadersWritersSemaphore
87fd48eafee12842b3a08066145a1cdaf5f43643 [Rigo] introduce SharedLocker to avoid reentrancy of Entropy Resources Lock
b400b4bfea9f1fb69ffbe3183b45e77b94d619a6 [RigoDaemon] rename is_exclusive() to exclusive()
7c132a9bf44edc209b26362b19fa44b51301e873 [RigoDaemon] drop text-based UrlFetcher progress output
9d5c88abce7baa2f8721a5313e701e0f2c2e4d44 [Rigo] move RigoAuthenticationController to separate module
aa49714d45f93207c92851542521387767a87941 [RigoDaemon] simplify ping/pong protocol
339b8a7417d08c144bb4eea97d51e262dcec0c17 [Rigo] Add Application Info to App Box in Work View Area
767bd7eb2a6b77e21badb11d6e2ec752c2a7e54b [Rigo] implement Application Information Box in Work Area
4b0945e724cddf3cc2012efe98fcc9d0560092b2 [todo] update TODO
5f63057c059cdc2fcdb836421f123058eb8aa663 [Rigo/RigoDaemon] first chunk of code related to Application Management, WIP
5839d818192c08cdfa225c799ef62134cfd4dc50 [entropy.const] const_debug_write: add force argument support
efde0c2ec3d9c86fa548e86d4742d0845b318432 [Rigo/RigoDaemon] greatly simplify resource passing rendezvous
4da1bd7a5ced78fcef9f2f15f4d8a05fb9cc1831 [Rigo] move LocalActivityStates to rigo.enums
3e94e1cf52904f81077a3f1fa6e36104fa735ab3 [Rigo] add bottomNotificationBox GtkVBox
9c0cbf836873f403b7f244ae4f52d5fb8e87a18a [Rigo] add Application.get_installed() method
c62790b9339604c5ad6945057358292a1f3324ff [entropy.db] add searchKeySlotTag()
e7d22c33fe0663b31e86296508e53a8ea1927ec7 [Rigo] notify User in case of unavailable repositories
361c4166dab9d7494ffb07e86b4e2b1e40abab91 [entropy.client] introduce Client.unavailable_repositories()
56fc4844329dc0a314aea5211c5aa716bef19e18 [Rigo] explicitly notify User when repositories have been updated
33175e3895ce740cce1c7eb887061314679f8c3b [Rigo] consolidate previous work
ab0e36a313138e8cbee997ee57c9cb70f0969abe [RigoDaemon] move PolicyKit actions to RigoDaemon
9fc23256e965fea197312839cfcaef253a2a2ac6 [Rigo] use PolicyKit to authenticate Repository Update
543fbda4f40d5edc4b31a9307b2179d915b15dc1 [RigoDaemon] implement PolicyKit support
d04e7de070973bdfee30231d62896c5f3ebcc47c [Rigo] move completed Rigo View Controllers to separate modules
1affa249ca4e521f692d53552b2abf5f985ca475 [RigoDaemon] move dbus configuration to separate module
629fca50b28f8ec30006e3f018d7b5342c9018cc [Rigo] provide installed icon image
99cf283a94774db1af6dc1eb9e4355316f175633 [Rigo] force Gtk 3.0 by the beginning
b2f3bd5b8cf7b9528996e684c94c51cbbe5b35b6 [Rigo*] fifth daemon architectural design
b7d198c776e46c042ce396bbe6aaf19b06bed936 [entropy.client] Client, more locking cleanup
f46922e6cac8b521df963f9498266a33d1a59d95 [equo] text_ui: re-acquiring entropy resources locks after exec() is bad
7d262a71e2e73db64cf87afd9be646e083fc71d2 [Rigo] implement resume support on Repositories Update
5d420224642cce90a6ac4b8b1de3ab9dd327c4ab [RigoDaemon] wait on activity_mutex before releasing resources lock
6a4da6c261448416509f2c6873449f35ef7e7c3b [rigo] fifth architectural design iteration, things should work now
7d2633f2a08a9983c68fbe1ae372528fbe2b30dd [entropy.client] _lock_resource: avoid to deadlock when _unlock_resource is called
63e9764bfa99bddd98f1281a4f6b307be3a4d89c [entropy.db] EntropyRepository: mtime() can return OSError, need to cope with it
4816c90e80af917d85ce507d2f8f046d6cc869ef [rigo] trivial comment fix
6bb4f6b28c548d7aaf42e739feecdf79a9e915a8 [entropy.db] EntropyRepository: validate Live cache against mtime()
40343d071945d12caf62e14765001e51bb8a7250 [rigo] fifth RigoDaemon architecture iteration, let's see...
cd9a2b12209413f9704e289cdce4ad1e9f58f5dc [rigo] only connect signals when needed, fix YES/NO dialog on exit during activity
9584c0ae71059b355830e78499a048474b6ee7f1 [entropy.cache] better handle sleeping in EntropyCacheWriter thread
5649c1dc80530a4568bbc6a8bfb48023cabaf0c1 [entropy.cache] trivial tweaks to cacher thread
1270c28fd9238ea20c8a9877035d328a7d52ef45 [rigo] first chunk of RigoDaemon integration code, still WIP
d2ef8c8005eb60cac6a789d8d39e1569b5359e73 [todo] update TODO
50ebb63cc7ab4fbb259e17062a57f36173e5dba3 [rigo-daemon] third architectural design iteration, still WIP
caf2e2192d725692cd5f672c4dc64479a8cb64cf [entropy.db] atomMatch: versions can be an empty set
1f334138fbf1005228f3fc55bc23bdfdf60e0e2a [entropy.client] reorder_mirrors: hostname property can be None
f294ec3c1d467d6c3abbf481d78f26927f0d2700 [rigo-daemon] second architectural design iteration, starting to look good
0e9491082b97decc8e8f4a2fc134433973e69d4a [entropy.misc] introduce ReadersWritersSemaphore object
62a67600d82c9b3de5ff91089353c47fdd58b4a9 [entropy.misc] drop MasterSlaveLock, no longer used
912bf157027b2b92228e453466d79dfc33f35c81 [rigo] emphasize the App View exit button
7fb23c224ffc0e6af83ea1810f7d0d29c2c491f7 [rigo-daemon] first commit, introduce RigoDaemon dbus service
37133e2ab2382860cec1e805850bb61d72d26fa7 [entropy.client] add Client.promote_resources()
9b52c0f04ac4f496da09db0d10cb8b2cf79fe4c5 [entropy.client.interfaces.repository] provide unlocked_sync() method
922fc34d7e721cb6b6560270442bf74b57f41c10 [entropy.client.interfaces.db] do not touch lock files permissions
3195a2368989a60fb13849581350fb223ccf4f37 [entropy.security] add Security.unlocked_sync()
b379bbc8ad9078af24c0aa224b0eeb6a213dd2d9 [entropy.misc] FlockFile: add try_promote() method
6ba23248ffd98f16e4f00d0c39c419caaa309476 [rigo] properly clean ImageBoxes from app view on hide
9659ce66331e18ed492342a052942c98f341738f [rigo] fix misc, trivial bugs
ed37f776c40287534792dfb74d9e68b7417704c6 [rigo] add Install/Update/Remove/Reinstall buttons to AppView and config signals
83ea6931962396f1d743800a78db26a4e4b94334 [rigo] replace "remove ?" with "remove" in CommentBox removal link area
a36209f0d15a66a4773a625ab2ade62289d0b774 [rigo.models] add Application.is_updatable() method
de7e0287c439b11393c05253db1ddc440939ca74 [rigo.enums] drop unused enums (not all)
72d326c35ab103330ca3812ef7e7c9ab7ff2fee4 [rigo] enable filtering support in Application View TreeView
87e984b30319185175351bcce522cafb2c71c16f [entropy.client.services] make get_document_url() fetch atomic
234907f6069e6ce8aa6c661264f54b5f08df17a9 [rigo] use prepare_markup() and escape_markup() when needed
18e1744607f8798d4b24872b88005524eef11a9a [rigo.entropyapi] Enable WebService cache aging, default to 14 days
058e448ebd51f17c82a329f4ad99052fd01194d6 [entropy.dump] do not unlink() old cache files if aging threshold is reached
bf01329f4d0070da77329b557833bacf957b8b31 [entropy.services] WebService: make possible to configure cache aging
a48cb985c66426fcd954807d142033415a116961 [entropy.cache] EntropyCacher: add cache aging support
623930ee4b3d43e7707964568e807aa25b859276 [entropy.dump] add cache aging support to deserializer
63947241b41677284cc1cfb61f43da891e4d03f5 [entropy.const] do not hardcode "raw_unicode_escape"
7e3c89f3d6b2c7b7e34bde4698667ff36e12f99c [entropy.dump] trivial code style update
527cbbbaa99d5eff999826fe317beb9adf663c13 [entropy.dump] getobjmtime: fix possible race wrt file removal
3f45623ab560fd5e230ac376feb042850f0755ba [entropy.dump] use etpConst['conf_raw_encoding']
fcf07b0d5961ef2a765633bc87b00fd0745c70b9 [rigo] beautify download stats in Application View
0a6d1b081d7a1c8d70f6e35c2624d43aab88807e [rigo.utils] add prepare_markup() function
0a5c263c3f81f60f8f59b2d7e7de52f9d76e7063 [rigo] beautify downloads amount representation in the TreeView
ee14030a3053c244913e8b64a8c5d9426450a607 [rigo] ApplicationMetadata: dispatch events as soon as they are ready
66089d4b29b14ac235ddabfcd376a58c0fbf8c76 [rigo] always emit() in the MainThread
5d04371ddf5f98dc14baba6d18dfc2fbb3de60e6 [rigo] make sure to call queue_draw() when answering to redraw-request event
ee37e90de4b663a5fa2433514b5f24429c0af5bc [rigo] implement comment removal support
2e8a1c20013d47c291b50eab5fbd66e748ae67f5 [rigo] beautify NotificationBox layout and LoginNotificationBox widgets
8019a86eb10a465e153bdc88bc72e58695e8e33e [rigo] add context_id to LoginNotificationBox constructor
7ee54b964bb04dbeb493a83492c4ffce4a47a575 [rigo] improve the look and feel of the login notification box
21dcdcc6367da8656669bf03397fa24750070096 [entropy.db] _migrateBaseinfoExtrainfo: make sure tables exist before running the query
a09063da9902ceace6d7a150474313aab3880602 [rigo] discard remote Web Service requests if App is no longer visible
fbe8068cca4283948498717c628bc5acb2ef8749 [rigo] raise the number of icon and rating worker threads to 3, respectively
0a91618f46cfcc78f7f5bd8a065242ff6bee52a7 [rigo] search bar: also search through descriptions
81738b8d3a8f87e56813ff5c612d0ebb30d90b90 [entropy.client] atom_search: make possible to also search through package description
de72481fbd1d1dff1bc546e1da66e26162c2ef8f [entropy.db] searchDescription: improve search results
1ef6959c0e0e1c1bba02047eb98f0af9c6d2ef5b [conf] fix Internode mirror URLs, fixes bug #3090
f3b96ece61dd7d91416228c09b5e5842787b5c76 Tagging Entropy version 1.0_rc90
303b7ad1ea9589afe717f96c1d37285366d9fa41 Release Entropy 1.0_rc90
3c8ec43e351832f0ca5f2e9dcc1580987c20c79a [entropy.client.interfaces.dep] SLOT intersection: alter dependency adding slot
732482473f51c954b5cb5a9a788c51d48b2b74dc [entropy.dep] dep_getslot: remove tag before mangling.
80f1e1182ebee7242bd60228fede343cf4cca06c [entropy.client.interfaces.dep] don't spam stdout with same progress values
154c5c3010e8daee6bd04553f933280c215138c5 [rigo] implement "not found + did you mean" message when search returns 0 results
bfa92152957e8587b7b2c5fe76e287872faaca68 [rigo] notify user when connectivity is absent (via Entropy Web Services)
095038425ae93f484a22a86388a19a1e91aa44c4 [entropy.const] improve thread dump signal function
71308d09dec50aa00d5cbbbfe88d5c3f0d23281f [rigo] implement loading of Application Images
161ba2cfd941686a3d4a35d60b98b09acfb9e5f1 [entropy.client.services.interfaces] add ClientWebService.get_images()
2e329f6311bf906519b069f939da6553e41cf391 [rigo] actually show VBox when CommentBox(is_last=True)
59c24a4c6b6a1f1660f8586333cc91c464e10bd1 [rigo] UTF-8 fixes in Application()
8a5575a6b00328e98d874c965fc95dc4437534d4 [rigo] fix UTF-8 markup escaping wrt GObject idiotic escape function
7c97d9db7b886da1f73b4fa2b2cf321384577059 [rigo] uniform file header
24fbdc5f569657ff67aa2af4cf4c8aef7d3d4227 [rigo] App Rating integration, NotificationBox Context support, a lot of other improvements
671901279ad0c3c1b74f42b0ee032fb4ec7dccb4 Tagging Entropy version 1.0_rc89
b97c1dd8b7ae4ee8820b92bc77fc28a35ab6253d Release Entropy 1.0_rc89
85ebb0ebacf963baa35c2dc2c152cb0f905db91a [entropy.const] rework ETP_ARCH_CONST and keywords configuration, make it work with overridden values
74805acac02cdd4c8523eed015d7205cd6cca94a Tagging Entropy version 1.0_rc88
65506c706fc36a7244e496e23dab673266d82d4f Release Entropy 1.0_rc88
642da47e4004b5fb6347c127a2013939a7c40d9f [entropy.const] add _RAW_ENCODING and fix wrong encoding detection code
18282e37647479f913dfa12a620cb2d3abf38131 [entropy.spm] PortagePlugin: try using raw_unicode_escape when reading .desktop files
a28a92c2a3a9bfad332e61eefc2d9dc7720c53e8 [entropy.const] do not hardcode UTF-8 string, but rather use _ENCODING
ba805a528f1ba82357062fee95f20f823490e801 [rigo] more UI work for Application View Pane (comments handling)
c1ef9ae4b52c5d11940fbf2a85d25074e8d36eec [entropy.client.services] make possible to retrieve documents in reverse order
4e2882ef26293a8c69087b6236df7ead2983ca42 [rigo] another chunk of Application View code
550be469a17683744b7b17f53b167014e4e91a85 [entropy.client.services.interfaces] drop incomplete comment
6b3f214f6ffeef6435b2726f5ed510edd875b75b [rigo] another set of code update, still UI work
4673c622a4b0a6feb748ad127ee2a791cd866c34 [entropy.spm] improve heuristic used to detect non-kernel ebuilds
ac8de69970dca4f0e697bfb05784103b6d7fde65 [rigo] rework some code paths to be more signal-centric, more work on the app details pane
74149c79c1355b8f1a75aa0a0212581ad6567190 [entropy.spm] PortagePlugin: be more robust against fucked up portage world file
ceeaf62ddee82eb36a71bedac8f94f481b57d181 [entropy.client] improve code that handles the Entropy Resources Lock
66b05a32a57eb61e9722c765e5340a6cd00469dc [rigo] start implementing Application View UI mode
eb65e05410ec9fb206072fab758c3f89ba6cd91d [rigo] implement UpdatesNotification "Show" button action
d38cc2befdafa61c2510a529ace6ef87d69fe231 [rigo] implement UI view changes as a Finite State Machine
064f18b719f94b95f30e50fe1fb822485008901b [rigo] start moving code to separate packages, enforce signals usage
13b7a70b63e9f9654ab15358c0dbf26446e8e939 [rigo] drop networkmanager dependency
31cfd410abb614a660bba2a58d2987b4eb39417d [rigo] add custom ApplicationView (Gtk.VBox) supporting package related signals
4fa3cf9e847e458a1ac69bba61b3a80df683c088 [equo] warn user if repositories haven't been updated for a while
1c213a911b8d1b4ffce612407327bc295f95f79e [entropy.client] add Repository.get_last_sync_time()
26cd526b583ad07b465cecf9c74caf00a2db35cc [rigo] improve NotificationController and NotificationBox UI
351b2b23b9f5eedcf508ce59580028088c0c1d2a [entropy] fix typo in documentation
a67a52f49a1df39e0f23e02c1e1c43a4b8eda47e [eit] enable shared locking usage for "unlocked" methods
d02d4e9356af07a57d4db6b0ff2c1836e4f416ec [equo] use blocking mode when acquiring the shared lock
1371a8d540cb3d3c557f0f2b9ea62c4fd6a37694 [rigo] implement Entropy Resources locking
91dd06b168b98888f4a7c4a5b99225f6a9dcf7c5 [equo] implement shared Entropy Resources locking where required
451c2b158bbd56c9ff7774dbea36dc84d5f51d1b [entropy.client] add support for shared Entropy resources lock acquisition
acf58620347b431e1e4898366b2fc7707667abbe [entropy.client] drop Client.another_entropy_running()
897a91d4434038e7caf82ce2e760efb37514d6d0 [entropy.client] migrate Entropy resources locking functions to FlockFile
c2d0c819237f3b79e0128c5ce34ee239a1396c27 [entropy.misc] add non blocking methods to FlockFile
7c2c9437bb09b4e072319a850d47bea561b70820 [entropy.misc] add FlockFile class
6cdede57ab2a6df1572cbcce722eac7cc892fe76 [entropy.cli] remove deprecated acquire_entropy_locks, release_entropy_locks
24bbfae7c799ed155e160fada7b5f4502c2ccdc5 [po] update Polish translation, with corrected plural forms thanks to last changes
4150fa8856e8992c30885877f558fa9a5a76630d [rigo] implement more methods in AppListStore
d16a3845196b888feb71c3d4682b47d3859274f3 [rigo] properly position installed overlay icon over application icon
fc59f0bc808f79178fd76f01458b9c2318c3d5e6 [rigo.utils] drop utf8(), not needed
1ae108898346f8282d6e64c8b0c81276103d9f4f [entropy.cache] put EntropyCacher to sleep when there's nothing to do
3a7e33ce726a9d78ad97001189b56a2181737b13 [rigo] fix WebService cache dir path, make it point to $HOME/.entropy/ws_cache
0ce9fe62d36f1ac12289cec25cbe4602d40624b2 [po] update translations
affcf204255d9b7581dadd8aa2cbac8b1ab561f2 [entropy.i18n] rename P_() into ngettext().
f4e2ae464094c1284f070376f122fd4b83b48159 [rigo] rework model and controllers layers in order to improve caching
e914763b6de16defeb17d1533987c477c1e1ef13 [entropy.client.services] implement ram-caching for get_downloads()
a7e5f2f3cb81469ead3d4a0d4c3f4dd4f37cdb42 [rigo] integrate package icons retrieval
a8420b5ad5eb995ee6a7d66b5fa045d34ad73bf0 [i18n] use ngettext in some places where it's most useful
f59d04baa9291cfa6566bc2911bc2e108c244d50 [rigo] add more interactions on the UI, consolidate current code (not complete yet)
f148ca069447f52822163011c39813c36890750e [rigo] add a TODO line
c76f3168b7a44895b4e99dc1e79e92b6f8220713 [rigo] add Rigo prototype app (almost nothing is implemented)
7b0c95078bed140cc91d6c383a6764d571dea88f [entropy.client.interfaces.db] do not use "&>", which is bash only
dafc861554fbdfe7c4cb7c7f57ad9939105bb55b [entropy.spm] PortagePlugin._pkg_foorm: catch OSError during env setup
3d3b9967e88bde9e94771d18453235eae65aca6e [sulfur] catch WebService.MethodNotAvailable exception during UGC login
eca401649db970be8fb0df02d126953569ebe91c [entropy.fetchers] UrlFetcher: handle HTTP response without Content-Length
056f552dab9692b469d36ab8bd27a419e8bca498 [entropy.client] implement Client.atom_search
f53b11e5274007d18a3548f1a0efe15de8b4281a Tagging Entropy version 1.0_rc87
0ceb055608814bfa8d99a7ecfd0356c2677d1927 Release Entropy 1.0_rc87
6782d4581a218196e36ce62a753edd72ee88dd34 [entropy.spm] PortagePlugin: fix NEEDED.ELF.2 parsing
e09ab9af1e073a006d86198a51ab1fb90129deb7 Tagging Entropy version 1.0_rc86
b2a00296552514820f8a2c9d5e03146ea6c39ca4 Release Entropy 1.0_rc86
95ddc907a770821a3780a5d12c003a107c0542ab [entropy.const] make possible to override the default arch using /etc/entropy/.arch
0eb3b67ea5e10db20b40f1b75bd59ed0fd0d5446 Tagging Entropy version 1.0_rc85
0594b8df4a1874d21f0c314d5e08e81799471bae Release Entropy 1.0_rc85
28ee430fc3911b377f509affd0ed03f369d650de [matter] fix typo in list comprehension, use real_queue, not package_queue
c7253fdab2c316ce576ecf87dd4235e7019f6c58 [eit.commands.commit] open repository in write mode to force treeupdates
ea26cfb1dae204301aa8667c1e5356435df97764 [entropy.server] document pitfalls in scan_package_changes() usage
898294d0f27d062fe9e86bc99b41868fe4927afe [equo] force digest = "0" when regenerating packages
45bd00aff91a7c0bd80702f99748e81169efe0c3 [entropy.client] do not pull in packages already up-to-date if digest == "0"
a7b2ff1301bf151e05cd67f209668dd1b5855a2e [entropy.db] _migrateBaseinfoExtrainfo: fix foreign_keys usage, and drop all indexes
7170a1e13cc6082f8425a48e70adbd417fe64fca [entropy.db] fix baseinfo indexes creation for baseinfo_extrainfo_2010 schema
97b45b1fc3c799477de8a185efb4f84c55135d84 Tagging Entropy version 1.0_rc84
e480256b33e7f898eecc2fe4a135d19d0e03450f Release Entropy 1.0_rc84
4175177430e801f9fbd5dc126bc77678a41f4be7 [todo] update TODO
d08812879caa9cde2bddc5f7f8992837951e3fd3 [eit] update man pages
9e7055f6be995ae98dbbf135ad0869f309994e39 [entropy.server,eit] split push from pull (in repo sync)
c169f0e4b2207803c6737e8d5c9d492f71a098c2 [entropy.graph] Graph.get_adjacency_map: hold the original data
71d150f670d12f3c5134bcf2b01e9bdce7f3487e Tagging Entropy version 1.0_rc83
1a83081f0d291308b30dcc71f77419432d61a8b1 Release Entropy 1.0_rc83
e3622615af0f7ae86d51c98ac1bbf0ecd0f4aa8c [entropy.tools] add /etc/ld.so.conf.d support
b481a2338acbf1fc23f43ed76bbef090d4dbd308 [entropy.qa] /etc/ld.so.conf can be unavailable, do not check for it
309ce12db9ccdd3cbba2be9bace2715c40dffb5f [matter] make sure to not account the same atom twice on the compiled list
67a2d34af7af041b45699c6da6edc1fc6a5e5dc4 [matter] filter out broken Portage Package objects, those with broken "cpv" attr
daec2d3fb3ae5f10629d106a8013707b5b897fa1 Tagging Entropy version 1.0_rc82
52640c1be3b7d7247842a7aa1a517268dd5220b3 Release Entropy 1.0_rc82
c6795d3cf8933806e73bed4a564b48f0a7fbae40 [entropy.spm] PortagePlugin: always discard FEATURES=ccache when calling doebuild()
5773450f9a2a94cacc804dfae31dc8f285b54a78 [matter] use threading Lock instead of multiprocessing, make it work under qemu-user
d70ef7121b7290efc0c59cae274ca0c2d53e8e5a [todo] update TODO
38bd3c8fbe8fe2e83e86133fe04df1757b9ae87d [po] add plural forms settings for Polish
970978ee976f1916c6bbe132315c7b568d8d1a41 [entropy.i18n] add P_(), for supporting gettext plural forms
926107dd5e3c5134720c1eb4c0abf576300abf04 [po] update Polish translation
75a48ee85f23c3f7f22f249ef408b1880d402d17 [services] entropy-updates-services: avoid loading/unloading Entropy but rather keep an instance alive
82526282512529841032cbea9293193bc54c375f Tagging Entropy version 1.0_rc81
217ae143457b53271bb3789c608b92fc0edc0766 Release Entropy 1.0_rc81
e6ecf02ee3cbf35dce33f75104ba349fe7ca8334 [entropy.server] _run_package_files_qa_checks is I/O bound, no need for parallelization
bf327ce01e4a64e30a61cc4214da616a58da8340 [entropy.const] install debug signal handler on SIGUSR1, thread dump on SIGQUIT
146343107d417da403dfa5906c78f4ee155341e9 [entropy.const] make possible to override ROOT from env using ETP_ROOT
bb008eaa227414843925c43023b3a94b0af82799 [entropy.spm] PortagePlugin: vardb._plib_registry might be None (Portage 2.1)
d76aba5c9edf285762a1c7e91177b7b7c3042e9c Tagging Entropy version 1.0_rc80
769638eb609ef647807eaa584c31310ebfaf9a6d Release Entropy 1.0_rc80
938b6bcf712793873aec9f6eddb7b208cbccbebd [todo] update TODO
8958f947d58b7de20f0abaf95c6e6ca376d6d46a [entropy.const] rework automatic ARM architecture and keywords detection (will be moved to repositories.conf)
86db7bc8f5f63e47c088bd10054920e1f8f9b04d [entropy.spm] PortagePlugin: add support for NEEDED.ELF.2
790fe3b1e146f713f44787621e3419575ecc9c87 [entropy.spm] PortagePlugin: keep INHERITED and FEATURES metadata entries (used by portage-repository-converter)
384f281f47fe6dfd52569ec233a9b3bd1e073727 [todo] update TODO
e5da3c306321a3565c8608eed77b376716aa4fc6 [entropy.spm] PortagePlugin: INHERITED is not used
c80fb76ab98e42cd94c6635c12009806cc202d0c [todo] update TODO
5fa3e58679bdbd68feabcaa9a524f6253d281d6a [entropy.spm] PortagePlugin: drop FEATURES usage completely
104fb3b15199036a720ff433201d05bf96f8d425 [todo] update TODO
6e0396aa03a3bf4f8a19dbf8742a95a87faba701 [entropy.core.settings.base] spit more user-friendly error messages
8756ccc65f9b5cbaab36d0eda9518e95b3307abb [entropy.transceivers] use os.EX_OK
27d3e3a71bb3d1f6dd4badbf88a793d8cb22fbc0 Tagging Entropy version 1.0_rc79
7c4a7a2cc64c3248fc37df92724001c12487c3dd Release Entropy 1.0_rc79
906e7781ea2e3a4f02204d6a8ef186800bd46899 [entropy.spm] PortagePlugin: make sure to always filter out FEATURES=noauto before calling doebuild()
522bb22abac2364a96a8289051b516e608a56322 [equo] text_repositories: improve error messages, apply David Narvaez patches
54de55922481a6d871a5eff8713bfe6255db6b57 [entropy.server] fix undefined reference in _update_rss
2d57e507db0e6c79428e71025302208326414288 [services] repository-webinstall-generator: trivial code fix
83a5bfbc10ccbbb407fd6226a116a9299b102230 [services] repository-webinstall-generator: actually remove ancient .etp files
a67e30c04e64d6fae7d45b86a0737fcece120549 [services] repository-webinstall-generator: use print_info instead of print_warning
11f1eee75ab9a8895c51d0e9ff0c2e95fe37bb19 [services] entropy-pkgdelta-generator: write to stdout
5d39b4c423eeab0bcdcdb1f41124dc9b9d1a1e40 [services] repository-webinstall-generator: execute cleanup even if no new .etp files have to be created
a03536bb1894a59610872b8ea5a31f24c1ca9e9b [services] fix $@ usage
4c0008f62810e9599abcc612c8d8a53a4b45aca6 Tagging Entropy version 1.0_rc78
2c55308018da0b3b155181001da70e4d2a06582b Release Entropy 1.0_rc78
fd96d36a71cbc2ae299630860c874ed5938126f8 [entropy.client.interfaces.dep] fix dependency calculation when ASAP scheduling is enabled (default)
563cf65ed698c4cea7d53a94b129121afd1c04d3 [entropy.client.interface.dep] fix typo in comment
46f9819f5658b97bde31f179eec25690ac567c28 [todo] update TODO
6d39dfb28430d4feaf9aaa4659e84e9f791aea1e Tagging Entropy version 1.0_rc77
5dec2edb5db664dc80380f88ac27ab3bcdc67f40 Release Entropy 1.0_rc77
1d46c240e316b69cc4fb09e19e28ad83ab177b17 [entropy.server] initialize_repository: make sure to have all the repository directories in place
ae48fea5a9334f32aff405bd9777f3791c912f29 [sulfur] if exit status is > 255, pass it through the mod operator (this fixes Sulfur respawns with kdesu)
d97bc5834628cda2a7b0913d8a5c876c4d241641 [po] update translations
01d09ecfcee7de3f250cb66c0350d4dd89567c8e [eit] add more man pages
27de6bea4665129cfe06dc9e09d37820a403df80 [todo] update TODO
e46999556aef196992f619baa33a8564fe574d6f [po] remove vacuum.py from POTFILES.in
7195ca4d8e6a844b4b08a7a7fb24efecce2ffd4a [eit] add more man pages
16ea86b711e6f86628af0abe9dbfc3b9879b07bc [sulfur.views] catch TypeError in case of concatenation failure
65aaad61d99098b41ea00a9c4a9929ec44eda25a [eit.commands.commit] make sure that store_dir exists
c44cb0195d012a4477fab642a87d88c735f29eef [eit] add "eit init", "eit deps" man pages
4e7a895938a92ac29b7b923e958fd256f6eef6ad [eit] add "eit graph", "eit revgraph" man pages
6c39444d75d950e99845b55c2c65e41079397b3d [eit] add "eit own" man page
2aae56dbe865454d962328b123cc01d9cc72e51a [eit] add "eit files" man page
5ea5915b47223a00aba3f86cded0597d131e3a4a [eit] add man page for "eit cp", "eit log", "eit mv"
c371785a96c37736e3f9ab7dd25c02076ea5f07b [eit] add "eit-checkout" and "eit-cleanup" man pages
98f33451b4dbe17f292ecb9517cafde478001c9e [entropy.core.settings.base] catch any possible exception when calling generic_file_content_parser
dd5855df2532d2e85f354975a73958d95d074ad6 [eit.commands.bump] add man page
cf01429b791b24b1562ba5a8a93bfe03ba0bcfb9 [equo] make clear that running "equo update" as user without the dbus service is not possible and should be then done as root.
6a69307f4c26cb7e498809d37b8cc17064e7a592 [eit] add eit-notice man page (and improve automatic man generation functions)
f436f65f53f6342a113e538727317128eb35c521 [entropy.server] fix typo in codecs_fdopen() usage
87f5ae732a493c7d10abec9c0df8ba70a5e8cd17 [sulfur] PkgInfoMenu: some metadata can be not available at load time
9025ba68b5448e2f4471fbf87e4808e7df98dc0a Tagging Entropy version 1.0_rc76
f41ee1e41356e4a5b89efc8ad75614609dbcc68e Release Entropy 1.0_rc76
1e60fa9890ef8a2216fd89b147d9da829e191184 [entropy.spm] PortagePlugin: do not pass use_cache to doebuild()
ccb18bcb6f83da0a082989088ce8a5874bd58c88 [entropy.spm] fixup doebuild() call
c1e1dd656fc8ad98461ce05db19251cc435c6f1b [matter] make possible to disable the "preserved libraries" QA check using --disable-preserved-libs
9ef0a016382ebc01d4454c2a45e775536874844c Tagging Entropy version 1.0_rc75
c5bbde02f6e93c0fead61e0e98d5ac340e49e6a3 Release Entropy 1.0_rc75
2f02cf0672ca1934c34c7442d025aded45205172 [server] fix installation of eit modules
c8343a356d724739b1f58cbe88bbe40b81adbc5e [server/doc] Makefile: create man/ if it doesn't exist
63c0881277538e6553b508519c49966a9cb4b4a7 [eit] move eit bash completion script to server/
7d3515ddaffc35b8754f0e1aef292901a10f2586 Tagging Entropy version 1.0_rc74
8f98f3502201e1c3a08e81501644d36f4ce221e3 Release Entropy 1.0_rc74
4d343233dcd86913b59f1744a615f86b1d1802c0 [entropy.*] drop usage of another_entropy_running(), wait_resources() or similar methods should be used
032fb247407a6d4a65f990457142674c6abbf843 [entropy.client.interfaces.package] handle dump_entropy_metadata() errors properly
bda1c3c4ccd8b625db2871ae608d11ca91abbd8f [entropy.tools] dump_entropy_metadata: check against None rather than using "not"
e29e5c64245ef2dee8e3de42b68fe125c5262b55 [conf] uncomment sabayon-limbo entries by default (repo is still not available ootb btw)
d123f7c58a784d4c41bcb870f18850aad1ddbfc7 [entropy.tools] raise _locate_edb() size threshold to 500Mb (due to xonotic-data)
389c30ed24368b5caa0e22a73f3216ae9fbf5c58 [entropy.client.interfaces.dep] do not pull in a random package only matched by the key if key+slot is not available in repos
a84a304070ce2e56ed2f11e5bbf96a59c820f420 [todo] update TODO
396f8714a07f708a87b4e49adcf2f1e5d0125f94 [server/doc] add eit-branch man page
2c1e69fcf4cf62350100d998d53434817a1eac4e [eit.commands.branch] add --no-copy argument, add man support
e5d6980267747de39e62381e7d2ba1513e52365f [eit.commands.command] move man() from eit.commands.commit to eit.commands.command (rename to _eit())
3e85e43daf7b259153347a71d0ddf2e2062c2524 [eit] cleanup doc/ directory
44471c5ba3fbf683a7a77fc1e20ed578c08b66db [entropy.server] move Makefile logic to server/, add man support to eit, move matter to server/
7bd5694b91c7e606ca3df6541bd0f27595b1e426 [entropy.client.interfaces.methods] fix undefined reference "accomplished"
83038666a5994bd5d13594f135846ced1f4e1a9f [sulfur] drop libglade warnings caused by editing sulfur.glade with latest Glade-3
8e01786474c9a6903786f4cca291f29d455ccb0f [sulfur] cleanup sulfur.glade xml (drop dead code)
929eca46bafdd71d82cd09c979413788ec7b09db Tagging Entropy version 1.0_rc73
cc72585bab6a4745d8f71438005f0f1718d16f7e Release Entropy 1.0_rc73
e527cc7e2ec1493ce67641a546e4e1c9627e7f0b [entropy.client.interfaces.methods] _create_pid_file_lock: handle ENOENT & EACCES correctly, close bug 2835
4df27228b977c6db63c8dbe7d1f3680217a6e9ed Tagging Entropy version 1.0_rc72
6d1ff06c9cb24bbd4abe062d82b97b34f419bf82 Release Entropy 1.0_rc72
b43adff637efe29ddafcc5d63a3e51733f5d944f [entropy.client.interfaces.dep] introduce the "Slot intersection" feature
7b7ff9c82e12e1ecf3a481cc4134e7cc1096689f [equo] if equo match finds nothing, return exit status 1
d5adabcb55ea11f1e65bb146d5c043f07c3fbeeb [sulfur] fix typo, thanks to Andrey Esin
659f2903197f9d642795add8e3db750d646245bc [i18n] update de translation
039fea49c04463bdc6c7eb99c720e0969d0d72b5 [entropy.server.mirrors] use atomic lock()-ing mechanism when locking a mirror
a90e450433864e2ab044aba992c90b8a5da6f9ce [entropy.transceivers] add lock() method, bumpi API rev
